unknown

Version 5.0

February 2012


Introduction to SCENE LT

1. Introduction to SCENE LT

SCENE LT is a free point cloud viewing software to provide to your partners together with your scan data. It is specifically designed for all FARO laser scanner scan data and allows viewing and evaluating scanning projects which have been prepared with SCENE. Also importing CAD models in VRML format in order to compare them with the scan points, exporting scan data into various point cloud formats as well as the Draw-To-CAD link to FARO Cloud for AutoCAD are available. SCENE LT may also be used to view 3D point clouds which have been downloaded from SCENE WebShare over the Internet.

This document contains all general information and specific instructions needed to use SCENE LT. Visit the FARO Customer Service area on the Web at www.faro.com to search our technical support database, which is available 24 hours a day, 7 days a week.

1.1 System Requirements

1.2 Software Installation

1.3 Operation


System Requirements

1.1. System Requirements

In order to use SCENE LT seamlessly, your computer should have the following minimal specifications:

  • Processor - 32-bit (x86) or 64-bit (x64) processor with at least 2-gigahertz (GHz).
  • Main memory – a scan with 30 million scan points takes up approximately 400 MB when loaded in full resolution. Therefore, your computer should have at least 4 GB of main memory.
  • Mouse – the mouse should have 2 buttons and a scroll wheel.
  • Graphics card – the graphics card must support OpenGL 2.0 or higher and should have at least 256MB of memory.
  • Network card – required for licensing SCENE LT.
  • Operating System - Windows XP, Vista or 7 operating system (32bit or 64bit versions)

Recommended system:

  • Multi-core x64 processor system
  • At least 8 GB of main memory.
  • Dedicated graphics card with at least 512 MB memory and OpenGL2.0 support.
  • Solid state hard drive for maximum performance.
  • 64-bit Windows 7.


Software Installation

1.2. Software Installation

Insert the Installation DVD supplied with the scanner, select the product and follow the installation instructions on the screen. An installation wizard will guide you during installation. You must belong to the group of administrators or power users to install the software.


Operation

1.3. Operation

On the first program start, SCENE LT will ask you to set up a default project location. If you already have existing scan projects in a dedicated spot on your hard disk drive, you would typically pick this directory as your default project location. You can add more default project locations later under Tools > Options > Folder > Project Locations.

After having set up a project location, SCENE LT starts with the Project Selector window by default. The Project Selector presents all the scan projects known to SCENE LT at that time. For more information on the Project Selector, see chapter 2.4.

Once you have opened a scan project, the typical SCENE LT window appears. This window is made up of the following areas:

Figure 1‑1: Composition of the SCENE LT window

Menu bar – contains all the menus with commands for the general operation.

Toolbars – provide a quick and easy way to access common menu features with the mouse.

Structure view – displays the structure of the Workspace, including all sub-folders and objects. The structure view is moving aside if you do not need it any more. The released space on your screen is allowing SCENE LT to display more scan data. Whether the structure view stays visible or is folded away automatically may be controlled by the pin needle button at the top right of the structure view window.

Status bar – displays command and scan point data details and responses to the last command executed.

Scan and object views – the visual presentation of the scan data and other objects. Scans and objects can either be displayed in a quick view, a detailed planar view or in 3D view. The scan and object views can be displayed as tabbed or as unanchored windows. Tabbed windows are the standard display option and allow you to maneuver between multiple windows by clicking at the tabs of the windows. This is intended to free more space on your screen. You can change between the two display options under View > Tabbed Documents. Views displayed as unanchored windows can be minimized by clicking on the minimize button [image] in their title bar. Views displayed as tabbed documents have additional display options that can be accessed by right-clicking on their tab or title bar. A further display option is the presentation mode. SCENE LT is minimizing all menus and toolbars to provide maximum space on the screen for scan data. This feature is controlled via the View menu or by using CTRL-F11 or ALT-ENTER as short cut command.


Scan Projects, Workspaces and Scans

2. Scan Projects, Workspaces and Scans

When working with SCENE LT, a scan project can be seen as the whole of all the data that is required to successfully process the recorded scan points in order to achieve the desired result. The result of a scan project in SCENE LT typically is a comprehensive project point cloud of the scanned object. A scan project in SCENE LT usually consists of the scans as they were recorded by the scanner, corresponding scan point clouds, the project workspace, SCENE WebShare data and the project point cloud. SCENE offers functions to administrate the scan project. You may manage a revision history of your scan project, revert to previous versions, and work collaboratively with others on the same project by maintaining local workspaces and sharing the changes to the centrally provided scan project.

In SCENE LT, you first have on the one hand, the scans with their millions of data records that include position, reflectance, and color for single scan points, and a workspace on the other. This workspace may be a local workspace or the project workspace.

Scans are the scan files as they are recorded by the scanner and thus consist of scan points that were recorded from a single scanner location. Scans are organized in a row column order.

Scan point clouds are an alternative representation of the scans and have to be created from the single scans. Scan point clouds are organized in a spatial data structure that facilitates fast visualization of scan points and automated point loading based on point visibility. They may facilitate and accelerate the processing of the scan points.

A workspace contains the scans, the scan point clouds and all the data required to process the scans, making the analysis comprehensible. This typically includes:

· Documentation objects, which provide information about user defined points of interest in the scans or in the point cloud.

· Geometric objects identified in a scan.

· Reference to external coordinate systems.

· Measurement logs.

· CAD models for comparing scanned reality with the existing plans.

Unlike scans and scan point clouds, the project point cloud consists of the points of all the scans within you scan project and can be seen as a comprehensive point cloud of the complete scan project. It is typically created from all the single scans in your project after they have been preprocessed, colorized and registered. For more information, see chapter 5.

SCENE WebShare data is created from the scans and consists of panoramic scan images which can be put on the Internet, thus enabling you to share scan information of your scan project with others. For more information, see chapter 6.

2.1 Scan Project

2.2 Workspace

2.3 Working with Scans

2.4 Scan Point Clouds

2.5 Project Selector


Scan Project

2.1. Scan Project

Scan projects offer an easy way of working with your scan data. A scan project is a central storage which contains all the shared data of a project. For this, SCENE LT offers tools for collaborative work, change management, sharing and publishing data.

The scan project consists of the project workspace (the hierarchical structure of scans and objects as defined during scanning and throughout the registration process). The scan project can be identified by the .lsproj file which is accessible in the folder of the scan project. It is usually named like the scan project itself. The scan project also includes all point data of the project (row-column based scans and point clouds).

In addition to the shared project data, private and non-shared data owned and maintained by individual users can be maintained. This is done by the means of local workspaces.

The benefits of scan projects are:

· Complete project history and version control

· Quick and easy export of current and previous states of a scan project

· Quick and easy restore of previous project states

· Collaborative work

2.1.1 Shared Data vs. Local Data

2.1.2 Working with Local Workspaces


Shared Data vs. Local Data

2.1.1. Shared Data vs. Local Data

As mentioned above, SCENE LT distinguishes between the scan project– the data that every member of a team can access – and local data, which is owned by individual users. Even if you are working on scan projects only by yourself, it is important to understand the fundamental difference.

The scan project is considered to be the current “ground truth” of a project, the state of a project all contributors agreed on. All unmodified point data typically is shared data and belongs to the scan project. This means that all the row-column based scans and the point clouds that exist in the project workspace are shared among all users of the scan project. This data is shown in local workspaces as long as it is not modified.

When working collaboratively with others on a scan project you typically maintain a local workspace of the scan project and conduct all your work on the basis of this local workspace. From time to time you may then share your changes to the centrally provided scan project and share your changes with the other project collaborators. Sharing your changes to the scan project will update the project workspace and the scans or point clouds maintained in the scan project. Typically, local workspaces are saved on your local hard disk and the scan project is saved to a central storage server to which all project collaborators have access.

Local data is owned and maintained by users and is not visible to others until changes are shared with the scan project. Scan data becomes local data once it is modified and stays local until the changes are shared with the scan project.

The following diagram illustrates the difference between shared data of the scan project and local data.

Figure 2‑1: Shared and local data

Shared data can (and will) be read and visualized by every user. The project point cloud is an excellent example for this. Once created, it will be visualized in every (local) workspace associated with the scan project but stays part of the shared data in the scan project. Only the changes (e.g. deleting scan points) to the project point cloud done on the basis of a local workspace are maintained locally until the changes are shared to the scan project.

Please note: with SCENE LT you may load and view the centrally provided data of a scan project or project workspace but it is not possible to make any changes to them unless you create a local workspace from the project workspace. Opening a scan project in SCENE LT opens its data in read only mode. Only local data (the data of a local workspace) can be changed and saved with SCENE LT. With SCENE LT these changes cannot be shared with the associated scan project.


Working with Local Workspaces

2.1.2. Working with Local Workspaces

Local workspaces can be created from the current version of the project workspace. For this, click the [image] button in the project toolbar or use File > Scan Project > Create Local Workspace instead.

A local workspace is saved in the file system as a file with the extension .fws (scan files have the extension .fls). Each local workspace has an associated folder in which local changes to scan project data will be stored. This folder has the same name as the local workspace and is created in the sub-folder “Workspaces” of the folder of the local workspace file.

After creating a new local workspace, this folder will contain a predefined folder structure but otherwise will be empty. No project data is copied until changes have been made and saved.

By default the local workspace will access the shared data of the latest revision of the associated scan project.

For more information on scan project file structure, please refer to chapter 8.4.

2.1.2.1. Modifying Local Data

Once you modify data from within your local workspace, these changes are stored inside the aforementioned dedicated local workspace folder. For example, if you remove scan points from a scan and save your local workspace, this scan will be copied from the scan project into your local workspace folder and the changes are applied to this local copy of the scan. The shared scan project data will not be changed.

As stated above, the project point cloud is part of the shared data of a scan project. It can be accessed by all local workspaces of the scan project. The project point cloud can also be modified from within a local workspace. However, when saving a local workspace, the modifications to the project point cloud are saved as part of the local workspace but unlike scans, the project point cloud will not be copied to the local folder of the local workspace.

All modifications made in the local workspace are not visible in other local workspaces or in the project workspace until they are shared with the scan project. As soon as they have been shared, they become part of the project workspace and are visible to other users.


Workspace

2.2. Workspace

You can create a new and empty workspace by the command New Workspace in the File menu under New or by double clicking on a scan file (with the extension .fls). SCENE LT will then open a new workspace which contains only this scan. A new workspace initially exists only in SCENE LT and not as a file in the file system nor is it associated to a scan project, so you have to explicitly save the workspace.

Workspaces without associated scan projects can be turned into scan projects or associated to existing scan projects when they are saved. The Save As dialog offers these options for all workspaces that do not have a link to an existing scan project.

Figure 2‑2: Save As

Use Create New to create a new scan project for this workspace. With Use Existing you can associate the workspace to an existing scan project. The workspace will then be treated as a local workspace of that scan project.

Initially, a new workspace has to be filled with scans or CAD models first.

2.2.1 Importing Scans

2.2.2 Workspace Structure

2.2.3 Finding Objects in the Workspace

2.2.4 Auto Save


Importing Scans

2.2.1. Importing Scans

2.2.1.1. From the FARO Laser Scanner Focus3D

The FARO laser scanner Focus3D saves the scans to a removable SD card. To transfer those scans, first start SCENE LT, then insert the Focus3D SD card into the memory card slot of your computer or a connected memory card adapter. The SD card will automatically be recognized by SCENE LT and you will be asked whether to import the scans or not. Clicking yes starts the transfer and import process of the scans. If the related project is not known to SCENE LT, it creates a new scan project and a project folder within your regular project location which is specified under Tools > Options > Folder > Project Locations and transfers the scans to it. Furthermore, SCENE LT creates a new project workspace and automatically imports the scans to it. If the scans that are imported from the SD card belong to an already existing scan project known to SCENE LT, they will automatically be transferred to this project and imported to its project workspace.

When the FARO Focus3D scanner saves its scans to the removable SD card, it initially generates several files for one scan and puts them all into one folder. This folder is named according to the specified scan name. During the transfer process SCENE LT combines all the files of this folder to one .fls scan file.

If you want to import FARO Focus3D scans manually, drag and drop the appropriate folder from the SD card to SCENE LT or use the Import command. In this case, navigate to the folder of the appropriate scan; in this folder select the scan’s identification file. This identification file bears the name of the scan and has the extension .fls. Please note: this file may not be confused with the .fls scan file that is created by SCENE LT during the transfer and import process as described in chapter 2.2.1.3 .

2.2.1.2. From the FARO Laser Scanner LS and Photon

With the FARO Laser Scanner LS and FARO Laser Scanner Photon you have two options to record scans. You may record them in remote mode or in local storage mode. Please see the scanner manuals for more information on this.

If you are scanning in local storage mode, the scans will be stored to the internal hard disk of the scanner and you need to transfer them to your computer first in order to import them to SCENE LT. To transfer the scans, connect your computer to the scanner, make sure that scanner and computer are in the same network (see scanner manual for more details) and enter two backslashes followed by the scanner’s IP address into the Windows Explorer’s address bar (e.g. \\192.186.2.122). You should then have access to the scans folder on the scanner’s internal hard disk. Transfer the scans to your computer by drag and drop and then import the scans to a workspace by dragging & dropping the appropriate files to SCENE LT, or via the Import command.

2.2.1.3. From the Local Hard Disk

If you already have scan files on your hard disk, then start their import either with the command File > Import or by Drag & Drop. SCENE LT can import scan files from different scanner manufacturers. You can import the scan files in FARO Laser Scan format, E57, Z+F ZFC, Leica PTZ, PTX format or as an XYZ text file. With the last two formats listed, however, you have to make sure that the scan points in the scan file are arranged so that they correspond to the row or column-oriented recording process of the scanner. You also have to make sure that the scan was not registered.

Scans are always saved in FARO Laser Scan format. Therefore, if the scan does not originate from a scan file in FARO Laser Scan format, a new file is created in this format when saving the workspace.


Workspace Structure

2.2.2. Workspace Structure

All objects in the workspace are arranged in a hierarchy so that they are easier to find. This is similar to the file system, where the files are placed in folders, which can also be nested hierarchically. There are also folders in SCENE LT. There are folders for containing scans (Scan Folder) and folders for general use that can contain all other objects (Folder). A scan is also essentially a folder which, apart from scan points, can also contain additional information (however, no further scans).

In the structure view you can see the hierarchy of the objects.

Figure 2‑3: Structure view

On the top level of the workspace hierarchy, you can find the following folders:

Measurements– contains the measurement logs.

Models – contains CAD models.

References – contains survey data and any self made reference points.

Documentation – contains the documentation objects.

Scans – contains scans. This folder is usually named according to the name of your scan project and might have several scan subfolders depending on the structure of your scan project.

You can rearrange the objects within the hierarchy. To do this, select an object and using drag & drop, move it to the folder in which you require it to be located. You can do this in the structure view and in the planar view. If you use the left mouse button, the properties of the object will not change. Especially the local coordinates will not change. But because of the hierarchy of coordinates it may have changed its global coordinates (see chapter 8.5 for a detailed description of coordinates). If you use the right mouse button, you’ll get an additional context menu with which you can decide what should happen with the object.

Figure 2‑4: Drag & Drop with right mouse button

Here you can not only choose between copy and move, but also select that the object should keep its global position.

Apart from this hierarchy, the objects are also assigned to layers. Layers are used to group objects independently of their hierarchy and to control the visibility of these object groups. For example, in your CAD model, you can place the interior walls of a building on a separate layer. If you then make this layer invisible, you very easily obtain an impression of the available floor space in the building. The visibility settings are explained in chapter 3.5.

You can give most objects their own names, which may only contain letters, numbers, the point ‘.’ and the underscore ‘_’. Scans cannot be renamed. The References folder should not be renamed because it is used for registering the scans.


Finding Objects in the Workspace

2.2.3. Finding Objects in the Workspace

SCENE LT offers a search functionality to search for objects within the current workspace. This search can be found in the menu bar under Tools > Find and Locate Object. A dialog will open where you can enter the name of the object to search for.

If an object with the given name is available in the workspace, it will be expanded in the structure view of the workspace and located in the currently opened and active view.

The search is non-case sensitive and takes substrings into account (e.g. if you search for “sphere”, an object named “Sphere_123” will get found as well).

In case multiple objects are found, all of them are expanded in the workspace tree and the containing bounding box of all found objects will get located in the active view.


Auto Save

2.2.4. Auto Save

SCENE LT has an auto save functionality that helps to recover unsaved changes which have been lost due to an unplanned application exit such as an application or system crash or a power outage. Note that this functionality is not designed to replace normal save operations. Auto save does not cover changes to the point data itself, like deleting scan points, filtering or colorization. All other changes, like scan registration, object operations or project structure changes will be covered by the auto save functionality. Therefore you should use the regular save command in frequent intervals in order to preserve all the changes you have applied to your current workspace.

2.2.4.1. Auto Save Configuration

The auto save configuration is managed under Tools > Options > General. Here you may enable or disable the auto save functionality and set the time interval for the automatic save operations. For more information, see chapter 9.1.4.1.1.

2.2.4.2. Restoring an Auto Save

During startup, SCENE LT automatically detects all auto saves available from SCENE LT instances which exited due to an unplanned event. Whenever SCENE LT detects auto saves ready to be restored, it will display a dialog listing all available auto saves. You can identify the correct auto save based on the name of the original file for which the auto save was created and the time and date of its creation. Auto saves will be available until explicitly deleted or until an auto save is loaded. In this case you can choose to save or dismiss (by closing the workspace or scan project without saving) any changes that were stored in the auto save file.

Figure 2‑5: AutoSave detection dialog


Working with Scans

2.3. Working with Scans

A scan can contain several million scan points and with full resolution it has a correspondingly high memory requirement. Compared to the scan point cloud which is another representation of a scan, the scan points are organized in a row column order. Apart from the scan points, a scan contains further data such as the status when recording the scan as well as the exact position and orientation. All this data is combined in the scan file but it is handled separately in SCENE LT. It is therefore possible to access additional scan data without the scan points having to be loaded in the memory.

If you want to display or process the scan points of a scan, you have to save them in the memory. In a somewhat abbreviated manner, we call this “loading a scan”, although what we are actually referring to is loading the scan points of a scan.

A scan is always either loaded or not loaded; it is never partially loaded. For this reason, you should avoid loading a lot of large scans simultaneously because the memory requirement would be enormous. If you want to process scans in full resolution, you should select precisely the scan points required from the scans and load only these. If the scan points of a scan are no longer required, you should remove them from the memory. If full resolution is not required, you can also load the scans in reduced resolution. You can find the necessary settings for this under Tools > Options > Scan Data (see chapter 9.1.4.1.7). Depending on the memory of your computer, you might not be able to load large scans completely. In this case you have to load these scans with reduced size. Therefore we recommend reducing the scanning area to the area of interest before recording a scan in full resolution.

2.3.1 Loading Scans

2.3.2 Unloading Scans

2.3.3 Single Scan Points

2.3.4 Copying Scans


Loading Scans

2.3.1. Loading Scans

In the structure view, the scans in the workspace are listed under a scan folder. A scan is identified by the cloud symbol [image] . Modified unsaved scans are marked with a star in the cloud symbol [image] . If a scan is loaded in full resolution it is marked with a [image] symbol, if it is loaded in reduced resolution it is marked with [image] .

Figure 2‑6: Structure view of a workspace

A scan is loaded automatically if you want to view it in a detailed planar view, quick view or in 3D. You can also load a scan explicitly. To do this, open the context menu of the scan and select Loaded. In the context menu you will also see a small check mark if the scan is loaded.

Upon loading a scan for the first time, you will have the choice to apply a set of default filters to the scan (see chapter 9.1.4.1.12 ).


Unloading Scans

2.3.2. Unloading Scans

If the scan points of a scan are no longer required for what you are currently working on, you should remove them from the memory. To do this, open the context menu of the scan and select Scan Loaded. The check marks by the entry and by the cloud symbol will disappear. All planar views of the scan are closed and the scan points of the scan are removed from the 3D views. Quick views are not affected.

Please note that closing a view of the scan does not remove it from the memory!


Single Scan Points

2.3.3. Single Scan Points

Figure 2‑7: Scan point data in the status bar

If you open the planar or the quick view of a scan, you can view the data of single scan points. To do this, move the mouse pointer over the planar view. In the status bar, you will find the following details for the scan point that is currently under the mouse pointer:

· Row, Column – The row and column within the planar view.

· Polar Coordinates – Horizontal angle from 0° to 360°, the vertical angle from +90° to -90°, and distance from the scanner. Polar coordinates have their origin in the scanner position.

· Cartesian Coordinates – Coordinates along the three axes x, y, and z. Cartesian coordinates take into account the placement of the scanner within the coordinate system.

· Reflection or Color Value – For a scan point with color, the red, green, and blue values are displayed. Otherwise the reflection value is displayed. Dark scan points have a small reflection value, bright scan points a high one. The reflection value of scanners from different manufacturers is not necessarily comparable. There are for example scanners with a brightness range from 0 to 255, and there are scanners with a range from 0 to 2047.


Copying Scans

2.3.4. Copying Scans

You can also copy scans or sections of scans and then treat them as independent scans. You can therefore reduce scans to the important sections without losing the original data.

To do this, open the planar or the quick view of the scan and select an area that you want to copy. In the context menu of the selected area, click on Scan Points > Create Scan. A dialog opens where you can select a noise compression rate.

Figure 2‑8: New scan

With a noise compression rate of 2:1 or 4:1, the number of rows and columns will be reduced accordingly. So with a rate of 4:1, the resulting scan will only have 1/16 as many scan points as the original selection.

It is recommended to use the integrated smoothing filter when reducing the noise in a ratio of 2:1 or 4:1. Dist. Threshold is the threshold for calculating the mean value. If the distance between the center scan point and a scan point of the surrounding area is beyond the threshold, this scan point will not be used when calculating the mean value. The smoothing filter never removes scan points but rather alters their respective position.

A new independent scan is created and you will be prompted to give the new scan a name. When assigning a name, please make sure that no other scan has this name. The scan initially only exists in the workspace; no scan file exists in the file system at this stage. When you save the workspace, the corresponding scan file is also created.


Scan Point Clouds

2.4. Scan Point Clouds

Scan point clouds are optimized for fast visualization of large amounts of scan points. Scan point clouds have to be created from the single scans and thus consist of points from only a single scanner position, but are fundamentally different from traditional row-column based scans. Scan point clouds are not organized in a row-column order; they are organized in a spatial data structure that facilitates fast visualization of scan points and automated point loading based on the camera position and point visibility. Scan points clouds do not have to be loaded prior to be visualized in the 3D view. This empowers you to actually see all scans of a project at once.

However, the row-column based scan data will still be used for planar view visualization and for operations in the quick view and can be used for visualization in 3D views if needed. To switch from scan point cloud visualization to row-column based scan points in 3D views, simply load the scan as described in chapter 2.3.1 and the view will draw the row-column based points instead of the scan point cloud. Unload the scan, to see the points of the scan point cloud again.

Scan point clouds behave very similar to scans. They can be transformed and moved around like the scans. However, scan point clouds do have some significant advantages:

· Fast visualization without manually loading scans

· Highly interactive registration in correspondence view

· Visualization of large amounts of scans at once

· Transformable like traditional scans

· Advanced 3D point selection tools like the Brush Selector (See chapter 4.1.2 )

2.4.1 Working with Scan Point Clouds


Working with Scan Point Clouds

2.4.1. Working with Scan Point Clouds

Scans and scan point clouds are closely related to each other. Transformation changes for scans are applied to both, scan and scan point cloud. The deletion of points in a scan point cloud will also be applied to the associated scan. When points are deleted or otherwise modified in the scan, the scan point cloud of this scan will be removed. If the scan point cloud is part of the shared data of a scan project, it will be automatically recreated after the next share (when working on a local workspace) or save (when working on the scan project). If the scan point cloud is part of the local data of a local workspace, it will have to be recreated manually when needed.


Project Selector

2.5. Project Selector

SCENE LT comes with an easy to use visual tool for managing and accessing scan projects: The Project Selector.

An internal database is maintained by SCENE LT to provide a quick and convenient access to all your scan projects and project workspaces. The Project Selector shares look-and-feel and a lot of its features with SCENE WebShare (see chapter 6).

Starting SCENE LT will bring up the Project Selector window, presenting to you all the scan projects known to SCENE LT at that time.

Figure 2‑9: The Project Selector Window

2.5.1 Default Project Location

2.5.2 Opening Projects

2.5.3 Filtering, Sorting, Searching

2.5.4 Managing your Projects

2.5.5 Scanner Administration

2.5.6 Remote Server Connection

2.5.7 Additional Settings and Information


Default Project Location

2.5.1. Default Project Location

On the first start of SCENE LT the Project Selector will ask you to set up a default project location. If you already have existing scan projects in a dedicated spot on your hard disk drive, you would typically pick this directory as your default project location. You can add more default project locations later under Tools > Options > Directories > Project Locations.

SCENE LT will scan the directory and subdirectories for existing scan projects and immediately show up the results in the Project Selector window. Projects are identified by their ‘ScanProject.dat’ file which was created when a workspace was saved in a version of SCENE LT before version 5 or by their “ProjectName.lsproj” file. It is not recommended to manually change or delete these files except when deleting the whole project.

SCENE LT will verify all known projects at startup and show only existing projects in the Project Selector view.


Opening Projects

2.5.2. Opening Projects

To open a scan project, you can either double-click on the project’s preview image or simply click on the preview image to bring up a selection of available local workspaces.

Figure 2‑10: Open Projects

If SCENE WebShare data is available for the selected project, an option for SCENE WebShare is added to the available workspaces. Select this option to open a SCENE WebShare view for this project to learn more about SCENE WebShare please refer to chapter 6).


Filtering, Sorting, Searching

2.5.3. Filtering, Sorting, Searching

The Project Selector allows you to apply several filters and sorting mechanisms.

Projects can be filtered to show projects with SCENE WebShare data only, projects without SCENE WebShare data only, your favorite projects or ignored projects. Both methods can be combined to reduce or increase the number of projects shown by the project selector.

Figure 2‑11: Sorting and Filtering Projects

The search field can be used to search for specific scan projects or key words and will refine the search results on-the-fly while you type.


Managing your Projects

2.5.4. Managing your Projects

The features of the Project Selector provide powerful tools for quick and easy project administration.

2.5.4.1. Adding Existing Projects

You can add existing projects to the Project Selector by clicking the Add Existing Project button [image] in the top left corner of the Project Selector view.

This will bring up a directory selection dialog, asking for the project location. Pick the desired directory and confirm your selection. The project Selector will update itself and show up the new project immediately, if valid project data was obtained from the given directory.

2.5.4.2. Creating New Projects

New projects can be created by clicking the Create New Project button [image] .

You will be asked for the scan project location and a unique name. The resulting project will be created in the selected project location.

2.5.4.3. Project Previews

Each project preview offers several buttons in the top right corner.

Figure 2‑12: Project Preview

2.5.4.4. Favorites

Favorites are your most popular projects. You can add a project to your favorites by clicking the Add to Favorite button [image] . You can remove a project from the favorite list any time later. To show only favorites, simply select the Favorites option in the Filter drop-down menu.

2.5.4.5. Ignore Projects

Ignored projects are hidden from the Project Selector. They will never show up except you select the Ignore List [image] option from the Filter drop-down menu. You can remove projects from the ignore list any time and they will show up in the Project Selector view again.

2.5.4.6. Edit Project Information

Clicking the Project Information Button [image] will bring up the screen shown in Figure 2‑13.

Project information such as project name and project description can be monitored and changed here. Information like the project’s location on your hard disk drive or the project’s ID cannot be changed.

Figure 2‑13: Project Details View

2.5.4.6.1 Key Words

Key words can be defined for every project. These key words are utilized by the search for quick access to all your data.

2.5.4.6.2 Position

Add a position to your project to make the Google Earth View feature available. The coordinates have to be entered in decimal notation. Here are some example coordinates:

  • Moscow: Latitude: 55.758032 Longitude: 37.617188
  • Sidney: Latitude: -33.870416 Longitude: 151.204834
  • Rio de Janeiro: Latitude: -22.902743 Longitude: -43.214722
  • Seattle: Latitude: 47.606163 Longitude: -122.332764

2.5.4.7. Google Earth View

If positional information is provided for a project, the Google Earth View Button becomes available in the project’s preview. Clicking this button will open a Google Earth view of the project’s location in your default web browser.


Scanner Administration

2.5.5. Scanner Administration

You can open a Scanner Administration view from within the Project Selector by clicking the Scanner Administration [image] button in the top left corner.

For more information on the Scanner Administration View please refer to chapter 6.


Remote Server Connection

2.5.6. Remote Server Connection

Connections to remote SCENE WebShare servers can be made by entering the server address into the Server URL text filed on the right hand side of the Project Selector view. By pressing the Connect button, SCENE LT attempts to connect to the remote server and stores the server’s address in the history list for quick access.

Figure 2‑14: Remote Server access

If the connection was successfully established, a SCENE WebShare View will be opened showing the content of the remote server. Please refer to chapter 6 for more information on SCENE WebShare.


Additional Settings and Information

2.5.7. Additional Settings and Information

2.5.7.1. Switch Off Project Selector

The Project Selector can be switched off in regular SCENE LT options at Tools > Options > Scan Data.

2.5.7.2. Default Project Location

The default project location may be changed in Tools > Options > Directories.

Figure 2‑15: Change default project location

Multiple default project locations can be used. The first entry in the list will be used for the creation of new Projects. All entries in the list will be scanned for project data at SCENE LT startup.

2.5.7.3. Requirements

The Project Selector View requires Adobe Flash Player 10.x. If necessary, the Flash Player will be installed during the SCENE LT installation process.


Displaying Scan Points and Objects

3. Displaying Scan Points and Objects

There are various views to display and examine scans and point clouds:

· Quick View – The standard scan view to examine single scans. For this, the scan does not have to be loaded. The quick view is available within a few seconds; in the meanwhile the scan data will be loaded in the background. You can manipulate the scan points as soon as background loading is finished. Until then you are only able to view and navigate.

· Planar View – Used to examine single scans. The scan must be loaded; this will happen automatically if required.

· 3D View – The 3D view is not limited to display the scan points of a single scan or scan point cloud, it also offers the combined viewing of all the scans and objects in your project point cloud or workspace.

· Overview Map – With the overview map you get a top view of your complete scan project. The overview map is only accessible if WebShare data of your scan project is available.

3.1 Navigating within the Views

3.2 Quick View

3.3 Planar View

3.4 3D View

3.5 Visibility Settings

3.6 Object Visualization

3.7 Locating Objects in the Views

3.8 Overview Map


Navigating within the Views

3.1. Navigating within the Views

In the views, you take a position as an observer in the room and look in a certain direction to observe the scanned area with a freely selectable scale. Depending on the type of view, your selection of position may be limited; in the quick view and the planar view, you can only assume the position of the scanner, i.e. you cannot move freely in the room as an observer. This is only possible in the 3D view (see chapter 3.4). Line of sight and scale are freely adjustable in all types of view.

When you open the view of a scan, at first you are in the position of the scanner when it recorded the scan. You will see the scan points of the scanned area all around you. To change the scale, use the scroll wheel of your mouse. If you turn the wheel towards you, you increase the scale; the displayed area becomes smaller. This is similar to using a telephoto lens on a camera. If you turn the wheel away from you, you decrease the scale. The displayed area becomes larger, similar to using a wide-angle lens.

Change the line of sight by pressing the left mouse button and moving the mouse. In the toolbar you can select from two different ways of putting this mouse movement into action:

Observer-based navigation [image] or [image] – When navigating, it seems as though you are moving. For example, by turning the mouse to the right, you seem to turn to the right and objects from the right margin move into the center of the image.

Object-based navigation [image] – When navigating, it seems as though the objects move while you stand still. For example, by moving the mouse to the right, your entire surroundings seem to turn right and objects from the center of the image move to the right margin.

If there are several interesting areas in a scan which you would like to view again alternately, you could open several views of the same scan and then set the line of sight and scale to the interesting areas. However, you can also work with one single view, set the line of sight and scale to an interesting area and then save this setting. Use the [image] button on the toolbar to save the view orientation. If you have saved several view orientations, you can switch between these orientations by selecting the required orientation from the list of orientations available. You can see the list by pressing the [image] button in the toolbar. You can also switch from one orientation to the next by using the function key F2. By using shift + F2, you switch back to the preceding orientation.

If you have set the visibility of the scan positions accordingly, (see chapter 3.5) you can use the displayed scan positions to quickly switch from the current position to the position of a neighboring scan. For this, double click on the scan position


Quick View

3.2. Quick View

Figure 3‑1: Quick View

The quick view displays the content of a single scan. Start the quick view by double clicking on the scan in the structure view or via the command View > Quick View in the context menu of the scan. The scan points do not have to be loaded to be displayed. Therefore, the quick view of a scan is available within a few seconds. Once the quick view has been opened and is displayed, the scan point data will be loaded in the background. However, until then you can view the scan and navigate but you cannot access and thus not manipulate the scan points. You will be able to access the scan points and get all the scan point manipulation functionality as soon as the scan data has been fully loaded. The quick view is the standard view.

The navigation and visibility of objects are outlined in chapter 3.1 and 3.5. The following restrictions apply in the quick view:

· You always see the scanned area from the scanner position, which means you, cannot leave this position. However, you can of course change your line of sight and scale.

· The field of view cannot exceed 180°.


Planar View

3.3. Planar View

Figure 3‑2: Planar View

Like the quick view, the planar view displays the content of a single only. Start the planar view with the command View > Planar View in the context menu of the scan. At first glance, the planar view may appear very strange because the scanned area seems to be distorted. Straps and supports do not run in a straight line but are curved. For the planar view, SCENE LT uses the same technique as is used for depicting the earth's surface on a map. Also on a map, the area around the poles appears to be magnified, and the flight route between two distant cities is not straight but bent.

The consequence of the distortion is that it only succeeds approximately in displaying other objects congruent with the scan points. If a scanned reference sphere already appears in the view more like an ellipsoid than a sphere, do not be surprised that the added reference object does not cover the reference sphere completely. For this reason no CAD models are displayed in the planar view; use the 3D view for this instead.

The planar view is useful because of the fact that with some scanners, it is the most natural display format of the scan points. A lot of scanners process the horizontal and vertical angles step by step; it is therefore practical to display the scan points in a column and row oriented manner accordingly.

The view starts at the left margin with the first column the scanner recorded. In the local coordinate system of the scanner, this column normally has the horizontal angle of 0°. The subsequent columns then come to the right, with an increasing horizontal angle until 360° is reached with a circumferential scan. In the top row, the scan points with the greatest vertical angle reached are displayed, for example, the zenith with +90°, which is directly over the scanner. From top to bottom, the vertical angle decreases, reaching 0° at the horizontal line and then becoming a negative value. The smallest possible vertical angle is –90°.

The navigation and visibility of objects are outlined in chapters 3.1 and 3.5. As in the quick view, you always view the scanned area from the scanner position - you cannot leave this position. However, you can of course change your line of sight and scale.

As in all views, you can set the scale using the scroll wheel of your mouse. There are also further buttons in the toolbar for the planar view which you can use to change the scale. By clicking on the Zoom Out button you decrease the scale to see a larger area. The Zoom In button [image] increases the scale so you can see more details. You can see the scale set at any time as a number in the toolbar [image] . 100% stands for the 1:1 correlation between a scan point and a pixel. You can also set any scale you wish by entering a number directly in this field. Furthermore, you can also select the required scale from a list of scales available. For this, click on the arrow next to the field with the scale and then click on the scale you require.

You can adjust the line of sight either by using the scroll bars, or in navigation mode, by holding the left mouse button down and moving the scan points in the direction required. To switch into navigation mode, click on the [image] button (pan mode); the mouse pointer indicates it is in navigation mode [image] . When moving the mouse, the pointer changes to [image] . The mouse movement is object-based, i.e. if you move the mouse to the right; the objects appear to move from the center of the image to the right margin. Moreover, you can also change the line of sight using the keyboard, with the left arrow, right arrow, up arrow and down arrow keys. The keyboard entries are observer-based, i.e. if you press the right arrow key; your head seems to turn to the right and the objects from the right margin move towards the center of the image.


3D View

3.4. 3D View

Figure 3‑3: 3D View

With the 3D view, you can achieve the most easily comprehensible view of the scan points and CAD models. The 3D view is normally set up with the field of view corrected, so that you get an impression close to reality. Unlike the quick view and the planar view, scan points manipulation and analysis is limited in the 3D view.

Start the 3D view of a single scan via the command View > 3D View in the context menu of the scan. If the scan is not loaded or no scan point cloud is available for the scan, only its objects are displayed.

You can also open the 3D view for all the scans within a scan folder with the command View > 3D View in the context menu of the folder. If scan point clouds for the single scans are not available, only the points of the loaded scans will be displayed. If scan point clouds of the scans are available, the scans do not have to be loaded to be displayed. If a scan is loaded, always its points are displayed and not the points of the related scan point cloud.

If a project point cloud is available, open its 3D view with the [image] button from the toolbar or via the command View > 3D View in the context menu of the workspace. If no project point cloud is available, this button or command will open the 3D view of the scans in the workspace. Displaying the scans of a workspace behaves like displaying the 3D view of a scan folder as described above.

3.4.1 Navigating in the 3D View

3.4.2 Objects in the 3D View

3.4.3 3D Clear View


Navigating in the 3D View

3.4.1. Navigating in the 3D View

The 3D view is used just like the other views. In addition, in the 3D view you can position yourself at arbitrary positions in space and have a look at the scan points and CAD models. The mouse is used to define the turning movements you want to perform, and with the keyboard you define the actual movement in space. When you have selected the fly mode of the observer-based navigation [image] the cursor keys left, right, up, and down move you to the left, the right, forward, and downwards. The keys page-up and page-down move you up and down. In addition, you can press the shift key to accelerate movements. The walk mode of the observer-based navigation [image] is similar to the fly mode but the z-value cannot be changed by walking forward. The walk mode is e.g. very useful to limit movement to one level of a building.

When you have selected object-based navigation [image] , the cursor keys define how the objects move, whereas it appears you stand still. You can adjust the speed of the movement and the behavior of the mouse wheel under Tools > Options > Navigation (see chapter 9.1.4.1.13). By default the rotation of the 3D view is stabilized by a locked Z-axis. On the Navigation tab in the options by deselecting Snap to Z-axis you can turn this behavior off which results in an unlocked Z-axis and thus in a completely free rotation of the 3D view.

If Snap to Z-axis is turned off, you have the option to rotate the 3D view around its line of sight. To do this, click near to the left or right border of the open 3D view and drag the mouse in any direction. A circle will appear in the middle of the view indicating the rotation angle.

Figure 3‑4: Rotation around the line of sight

Navigation hot keys:

· „B“ key: Toggle between Walk- and Fly mode

· „Space“ key: Toggle between observer based- and object based navigation.

· „Control“ key: Temporarily use object based navigation when observer based navigation is active

· Middle mouse button (hold Down): Temporarily use pan mode

· „P“ key: Toggle between perspective camera and orthogonal camera

· „Q“ and „E“: Roll camera left/right

· „V“ key: remove camera rolling

· „C“ key: Toggle clear view

· „Backspace“ key: Go back to previous camera position

· „T“ key: Align camera to surface normal

· „X“ key: Move Camera to 3D point

· „Alt+P“: Save 3D view screenshot

Further information on navigation operations available in the 3D view can be found in chapter 9.2.6.


Objects in the 3D View

3.4.2. Objects in the 3D View

Figure 3‑5: CAD object in 3D View of a scan

The 3D view is usable even without scan points if you want to view CAD models. The most interesting view is the combination of CAD model and scan points. With this you can very easily compare the CAD model with the scanned reality.

If desired, selected scan points may be compared with each other or with the CAD model. Start with the 3D view of your CAD model or a selected area of the scan points. Then arbitrarily select other scan points. This selection may also belong to a different scan! Add the selected scan points to the 3D view with the command Add Scan Points in the context menu.

If you start the overall 3D View in the context menu of the workspace or with [image] button from the toolbar, all objects in the Models folder will be displayed.

With observer-based navigation, you are always the center of rotation. With object-based navigation it is different: When you start a 3D view on a scan, the scanner position itself is the initial center of rotation. When you start the 3D view on a CAD model or a selection of scan points, their center will be the initial center of rotation. You can select a different center of rotation by simply selecting a visible CAD object and using the command Set Rotation Point in its context menu.

Very often, CAD objects are hierarchically structured. For example a robot may consist of a platform, an arm, and a tool. When you now click with the mouse on the platform, it isn’t evident whether you want to select the whole robot or just the platform. In SCENE LT, you’ll start on the highest level of the hierarchy, in this case the whole robot. If you want to select an object at a lower level of the hierarchy, simply click again without moving the mouse in between. By this you can descend the hierarchy step-by-step until you have reached the part of the object you are interested in. You can also ascend in the hierarchy when you press the shift-key while clicking.

In the context menu of a CAD object in the 3D view you can also set individual objects to be visible or invisible. To do this, place a check mark by the entry Visible. This setting works in combination with the visibility of the layer and the visibility of the object type. This means an object is only visible if it is set to visible on all three levels.


3D Clear View

3.4.3. 3D Clear View

The 3D view also has another representation, the 3D Clear View. The clear view mode gives an improved and high-quality presentation of scan points in 3D view. It adds transparency to the otherwise completely opaque point cloud rendering. This allows for viewing through walls or ceilings and may give a much better impression of the spatial structure of the underlying point cloud. Points in areas with low point density will be displayed more transparently and points in areas with a high point density will be displayed more brightly.

Use the command View > 3D Clear View to open the 3D view in clear view mode or enable it in the visibility settings of the 3D view (the clear view mode is only available if 32 bit color depth has been selected in the display properties of Windows).

Figure 3‑6: Clear View Mode


Visibility Settings

3.5. Visibility Settings

The views can also show objects other than the scan points, such as:

· The positions of the other scans in the workspace.

· The simple objects assigned to a scan that were created by a fit, for example spheres, and 3D points.

· CAD models.

Not all views can display all these objects. For further information, please see the more detailed description of views.

You can decide whether or not to display the objects using the visibility settings, which are arranged in three levels:

1. The visibility of the layer to which the object is assigned.

2. The visibility according to the prominence of the object.

3. The distance of the object from the observer.

An object is only visible if the visibility on the first two levels is set accordingly and it is located in the set range.

Press the [image] button to get the dialog box for the visibility settings.

The visibility settings are maintained separately for each view. It is therefore possible that an object is visible in one view and not in another. When you open a new view, this view initially takes over the default values of the visibility settings. You can also change these default values. In the context menu of the Workspace, select Planar View Visibility Settings for the default visibility settings of the planar view, or 3D Visibility Settings for the default visibility settings of the quick view and the 3D view.

3.5.1 View (3D View and Quick View)

3.5.2 Scan Points (3D View)

3.5.3 Layer

3.5.4 Extra


View (3D View and Quick View)

3.5.1. View (3D View and Quick View)

Figure 3‑7: Visibility Settings -View

3.5.1.1. Camera

Normally, the 3D view displays the scan points and objects with the correct field of view, in other words, objects of the same size appear smaller with increasing distance (Perspective View). You can also change the view to orthographic representation. Then objects of the same size always appear the same size, regardless of how far away they are. This type of representation is common in a lot of CAD systems. Enable Frustum Culling to draw only the objects that are within the view frustum. Enable Back Face Culling to disable the drawing of the back face of objects.

3.5.1.2. Navigation Hint

Display or hide the small coordinate system in the view.

3.5.1.3. Render Mode

Wireframe – Show objects as wire frames.

Smooth Shading – Perform smooth shading on surfaces.

Accelerated Rendering – Accelerates the rendering of scan points in 3D view. This option is only available if scan points of scan point clouds or project point clouds are visualized.

3.5.1.4. Background Settings

Select either a single or gradient background color. As single background color the selected top color will be used. The gradient background color starts with the selected top color and transitions linearly to the selected bottom color.

3.5.1.5. Statistics

Displays the number of frames per second

3.5.1.6. Stereoscopic Mode

SCENE LT supports viewing the scan points in a 3D stereoscopic mode which is only available in the 3D view. This mode greatly enhances the 3D perception of the viewed point cloud by representing two offset images to the viewer, one for each eye. Viewing the point cloud in the stereoscopic mode greatly improves the orientation in your scan project and facilitates to distinguish between near and far objects; stray points are perceived as less disturbing. This mode is only available in the 3D view and has no effect on the other views.

To fully benefit from this mode, several system requirements have to be fulfilled:

· For generating the stereoscopic output, SCENE LT uses the Quad Buffering technology, so your graphic card and the installed graphic card driver have to support OpenGL quad buffering. Graphic cards supporting this technology are e.g. AMD FirePro or NVIDIA Quadpro (except Quadpro NVS) cards.

· You need a 3D Stereo capable output device. Depending on the graphic card, different output devices are supported, e.g. 120Hz monitors with shutter glasses, HDMI 1.3 capable DLP devices or 60Hz monitors with anaglyph glasses. We recommend using a bundle consisting of a NVIDIA Quadpro series graphic card, a NVIDIA 3D vision kit (shutter glasses) and a 120Hz Monitor.

To switch to the stereoscopic mode, please follow these steps:

  1. Prior to starting SCENE LT, enable OpenGL quad buffering in the settings of your graphic card driver. For more information on setting up the graphic card driver, please read the manual of your graphic card or see chapter 8.6. This chapter describes the driver configuration for an exemplary hardware system.
  2. Start SCENE LT, load your scan project, switch to the 3D view and open its visibility settings (from the context menu of the 3D view).
  3. Enable the stereoscopic mode and use the slider on the right to adjust the depth effect of the 3D visualization. This setting changes the perceived distance of the focal point. You might have to adjust this repeatedly until you get the best 3D viewing results.

It is recommended to enable SCENE LT’s presentation mode under View > Presentation Mode in the main menu (see also chapter 9.1.3) when viewing the point cloud in stereoscopic mode as interface elements such as the menus and the toolbars are still displayed in 2D and this may affect your 3D viewing experience.

Please note that the stereoscopic mode is for examining the point cloud, operations such as point selection or measurements are disabled in this mode.


Scan Points (3D View)

3.5.2. Scan Points (3D View)

Figure 3‑8: Visibility Settings –Scan Points

3.5.2.1. Scan Point Size

Set the size of the scan points in the 3D view. You can select between two preset sizes or change the size manually with the slider. If Auto Apply is enabled, new settings are visible immediately; you do not need to click on the Apply button.

3.5.2.2. Color Settings

Select the color for the scan point. You can select between:

Measured Value – Grey value according to the measured value.

White – White points.

Black – Black points.

Unique for Scans– The scan points of each scan are displayed in unique colors.

Unique for Clusters – The scan points of the scans within each cluster are displayed in unique colors.

3.5.2.3. Subsample Settings

Reduce of the point density during navigation in 3D view. A value of e.g. 30 means that at least every thirtieth point will be displayed when moving the point cloud. Lower values mean that more scan points will be displayed, which could, depending on the performance of your computer system, result in a slower animation of the point cloud. When you turn this function off all points will be displayed during navigation.

3.5.2.4. Clear View Settings

In the clear view mode, points in areas with low point density will be displayed more transparently and points in areas with a high point density will be displayed more brightly. By changing the settings with the slider you can intensify or weaken this effect.

3.5.2.5. Gap Filling

The gap filler fills gaps between scan points that are physically close to each other.

Figure 3‑9: Gap filling turned off (left) and turned on (right)


Layer

3.5.3. Layer

Figure 3‑10: Visibility Settings -Layer

Toggle the visibility of the available layers and their related objects and the object names in the view. See chapter 3.6.2 for more information.


Extra

3.5.4. Extra

Figure 3‑11: Visibility Settings -Extra

3.5.4.1. Objects

Display or hide certain types of objects:

Models Folder – Display CAD models.

References Folder – Display reference objects.

Scan positions – Display scan positions.

Cameras – Display the camera positions of other views.

3.5.4.2. Scan objects

Display or hide the objects that are assigned to the scans in the view. You may display these objects only if the scan is loaded.

3.5.4.3. Visibility

Set the minimum and maximum distance at which objects are shown.

3.5.4.4. Documentation Objects

Set the maximum distance at which documentation objects are shown.


Object Visualization

3.6. Object Visualization

3.6.1 Material

3.6.2 Layers


Material

3.6.1. Material

The appearance of objects is determined by their shape, color, the composition of their surfaces and the basic material characteristics. For example, glass has the basic material characteristic of being transparent. Independent of that, it can be clear or colored, smooth ground or abraded. In SCENE LT, all these characteristics are included in the term material, so in this example, material does not simply mean glass, but a particular abraded green glass.

Objects that are created from a fit have a material that reflects the quality of the fit in its color. Of course, imported objects have the material that is preset in the VRML model. The objects created directly by you initially have a material with a neutral grey as the color.

You can change the material of an imported object. To do this, open the Material dialog in its context menu. You will find further explanations in chapter 9.3.1.

It is possible that several objects can share the same material definition. For example, imagine the model of a car. Here it makes sense for all tires to have the same material definition so that they all have the same color.

You can also make use of the hierarchical structure and change the material characteristics of several objects at the same time. To do this, open the Material dialog for the appropriate folder (see chapter 9.3.1).


Layers

3.6.2. Layers

Layers are used to group objects independently of their hierarchy and to control the visibility of these object groups. For example, in a CAD model, you can put buildings and machines on different layers. If you then make the layer with the machines invisible, you can view the cleared building.

In its basic state, the workspace contains the following layers:

MatchedObjects – The layer for objects that were created by a fit.

Measurements – The layer for measurements.

Models – The layer for CAD models.

ObjectMarker – The layer for object markers.

References – The layer for reference objects.

Scans – The layer for the scan points of a scan.

PointCloud – The layer for the scan points of the scan point clouds and the project point cloud.

Text – The layer for text fields.

Trajectories – The layer for trajectories

InternalObjects – The layer for internal objects

AncillaryObjects – The layer for lines, objects that belong to category 2 and for corner points that are categorized as children of nearby corner points.

You can set the visibility of the layers in the views, rename layers, create more layers and delete layers that are no longer required. To do this, start the command Layer Manager in the context menu of the Workspace.

Figure 3‑12: Layer manager

In the first column you will see the existing layers. To rename a layer, click on the name of the layer and enter the new name. Names must be unique; two layers may not have the same name. You can create a new layer by entering a new name in an empty field of the first column. You can delete a layer by selecting the command Delete in its context menu. If there are still objects in these layers, they automatically move to the layer that is currently active. The active layer cannot be deleted.

You can change the active layer in the second column. When importing CAD models, they are automatically attached to this layer.

The layer assignment of an object can be changed in its General tab.

Figure 3‑13: Layer assignment

By using the Select active layer button, the object is assigned to the currently active layer.

You can also set the layer assignment for a folder and can then choose whether this layer assignment should apply to all objects from the hierarchy of the folder. Generally, the hierarchy and the layer assignment are independent of each other, which means an object does not have to be assigned to the same layer as the folder it is in.

Figure 3‑14: Layer assignment for a folder


Locating Objects in the Views

3.7. Locating Objects in the Views

Objects can be visible in both the structure view and scan views. To find objects in the scan views, use the command Locate in the context menu of the objects. If, for example, you have an object in the structure view in front of you and now want to see its embedding within the scan points in another view, first activate this other view and then call the command Locate in the structure view in the context menu of the object. The field of view and scale of the other views are then set so that you can view the object required.

In the same way, you can also select an object in a different view than the structure view and call the command Locate in the context menu of the object. The field of view and scale are then reset in this view and the object is also selected in the structure view.


Overview Map

3.8. Overview Map

SCENE LT can display an overview map of your complete scan project that helps orient you in the project. You can access the overview map of your scan project with the [image] button in the toolbar.

The overview map is only available in SCENE LT if WebShare data of your scan project is available.

Figure 3‑15: Overview Map

Zoom bar

Scan position

Measurement tools

Height Indicator

Scale

Visible area of a scan

Show / hide quick navigator map

The overview map in SCENE LT has nearly the same functionality as the overview map you might already know from SCENE WebShare. For example, it also supports Point-to-point measurements (start them with the [image] button) and area measurements (start them with the [image] button). Hide and display the measurements with the [image] button. Measurements created in SCENE LT’s overview map are added as a child to the “Overview Map” object in the Structure View of the workspace. To open the property dialog of measurements, double-click on it in the map or in the Structure View.

The circular icons represent the various scanner positions. A double-click on them opens the Quick View of the related scan.

Please see chapter 6.2.3 to learn more about navigating and working in the overview map.


Processing Scan Points

4. Processing Scan Points

4.1 Selecting Scan Points

4.2 Creating Objects

4.3 Analyzing Scans

4.4 Exporting Scan Points


Selecting Scan Points

4.1. Selecting Scan Points

4.1.1 Selecting Scan Points in the Planar View or the Quick View

4.1.2 Selecting Scan Points in 3D View


Selecting Scan Points in the Planar View or the Quick View

4.1.1. Selecting Scan Points in the Planar View or the Quick View

In the planar view and in the quick view, it is possible to select scan points and then apply a command to this group. For example, you could apply a fit on this group or export the group into a CAD system. Selected scan points are colored yellow. There can only be one selection simultaneously in all views, in other words, if you make a selection in one view, the selection disappears from the view worked on before.

To select scan points, you have to choose an appropriate selection tool from the toolbar:

Rectangular selection [image] – Select a rectangular area by first defining a corner of the rectangle by clicking the left mouse button and holding it down. Then drag the mouse to define the opposite corner of the rectangle. You can then release the mouse button.

Linear selection [image] – Select an arbitrarily shaped line of scan points by first defining the starting point of the line with the left mouse button. If you now release the mouse button, you can move the mouse to the next point of the line and click to fix the point. A straight connection is drawn automatically between these two points. You can also hold the mouse button down - then all the scan points that you move over with the mouse are selected. Lock the selection by double-clicking with the left mouse button. The linear selection has a thickness of one point.

Polygonal selection [image] – Select an arbitrarily shaped area of scan points using the same technique as for linear selection. However, when completing the selection, the line will be closed; in other words, the last fixed point is connected to the starting point. The selection comprises all the scan points that are enclosed within the outline.

Circular selection [image] – Select a circular area of scan points. Start the selection process by clicking with the left mouse button; a circle with the radius just set is displayed. You can change the radius by turning the scroll wheel on the mouse. Click with the left mouse button again to place the selection in the chosen location and to end the selection process.

Polygonal edge selection [image] – Select an arbitrarily shaped area of scan points, with the polygon following the visible edge in the scan points. The selection behaves like the polygonal selection. If you reach an edge, i.e. an area in which there is a noticeable difference in the reflection value, the selection will automatically follow this edge. If there is no such edge, a straight connection is drawn. If you are not confident with the polygon, you can undo the last part of the polygon by backtracking it in the opposite direction. You can always backtrack to the last fixed point. With a click on the right mouse button, you switch edge detection on or off, and you can cancel the selection.

Elliptical selection [image] - Select an elliptical area of scan points. Start the selection process by clicking with the left mouse button on the starting point of the desired elliptical selection. An ellipse with the starting point of the major axis just set is displayed. You can change the length of the minor axis (i.e. the “width”) by turning the scroll wheel on the mouse. Click with the left mouse button again to select the end point of the major axis (i.e. the “length”) and to end the selection process.

If you wish to select an area that you cannot see with the set line of sight, you can also switch into navigation mode during the selection process. Simply press the control key.

There are different types of selection combinations, which determine what effect the next selection to be executed has on the selection that already exists. Select the required combination type from the toolbar.

New selection [image] – The next selection replaces the existing selection.

Add selection [image] – Combination mode whereby the next selection is added to the existing selection.

Subtract selection [image] – Combination mode, whereby the next selection is removed from the existing selection.

Intersect selection [image] – Combination mode whereby the difference of the two selections is retained.

You can also store selections temporarily in region objects and reactivate them when required. You can then use a saved selection, such as a selection just made with the mouse; in other words, you can add to the existing selection, remove it or cut it. To create a region, simply select Create Objects > Region from the context menu of the selection.


Selecting Scan Points in 3D View

4.1.2. Selecting Scan Points in 3D View

Operations that can be made on selections in the 3D view are limited to point deletion.

The polygon selection tool [image] known from the planar view or the quick view is also available in the 3D view. The polygon selection only applies to scan points organized in a row-column order. If the points of scans and scan point clouds or the project point clouds are visualized in the same 3D view (combined viewing of the point cloud and scan points of scans), it only applies on the scan points of the loaded scans.

The 3D polygon selection tool [image] is similar to the polygon selection tool above, but only selects points that are organized in a spatial data structure (points from scan point clouds and the project point cloud).

The 3D brush selection tool [image] can be used similar to brush tools known from 2D image processing programs and works with scan- or project point clouds only. Traditional row-column based scan points cannot be selected with the 3D brush selector. The brush works in three dimensional spaces, meaning that you can use the mouse to literally paint points which are going to be selected. Drag the mouse while holding down the left mouse button in order to paint the points. The 3D brush has the shape of a sphere. A transparent red circle will highlight the area where the selection sphere is currently located. Moving the cursor around while having the brush selector tool activated will highlight the scan points that are currently within the selection sphere. Use the mouse wheel to modify the radius of the sphere. Hold the shift key to modify the sphere radius more quickly.

Points that are currently within the selection sphere are highlighted. The color of point highlighting depends on the current selection mode:

· New Selection [image] : Yellow

· Add to selection [image] : Green

· Subtract from selection [image] : Red

· Intersect with selection [image] : Blue

The selection modes add, subtract, and intersect can be used to create complex selections. Brush selections can be combined with polygon selections this way, too.


Creating Objects

4.2. Creating Objects

Within SCENE LT, a variety of objects are available that help analyzing the scans and that may be used to enrich the scan data with additional information. These are:

· Documentation objects, which provide information about user defined points of interests in the scan.

· Simple geometric objects identified in a scan, like spheres, planes, slabs, lines, points, pipes or rectangles.

· CAD models for comparing scanned reality with the existing plans.

· Pictures taken with a digital camera.

4.2.1 Documentation Object

4.2.2 Region

4.2.3 Geometric Objects

4.2.4 Object Marker Tools

4.2.5 Exporting Objects

4.2.6 Importing Objects


Documentation Object

4.2.1. Documentation Object

You can create documentation objects for keeping records of points of interest in a workspace or in a scan. A point of interest may be an existing object in the workspace (e.g. a scan, a sphere or a model) or a single scan point in a scan.

Documentation objects allow enriching scan data with additional information like comments or links to external documents or web sites.

To add a documentation object to an object in the workspace select the command New > Documentation in the context menu of this object. The documentation object is then stored underneath the referenced object in the workspace. Deleting the referenced object will also delete its documentation objects. The origin of the documentation object corresponds to the center of the referenced object.

Figure 4‑1: Documentation object

To attach a documentation object to a certain scan point, select the documentation tool [image] from the 3D view tool bar, and then click on the point of interest in the view.

Figure 4‑2: Documentation object in 3D view

Detailed information can be entered in the documentation object’s properties dialog:

Figure 4‑3: Documentation object properties

Position - determines the position of the documentation object in the workspace.

Description – detailed information about the documentation object.

Hyperlinks – hyperlinks to files or web sites. Add a new hyperlink by entering its address into the lower text field, then press Add. You can change the order of the hyperlinks with Up / Down, delete them with Remove or open them by double clicking on the list item or by selecting the Open button.

You can enter the name of the documentation object in tab General.


Region

4.2.2. Region

A region is used to mark a particular selection of scan points and to save them in the workspace in order to examine it more closely later. To create a region, select the scan points in the quick view or in the planar view and use the appropriate command under Create Objects in the context menu of this selection.


Geometric Objects

4.2.3. Geometric Objects

SCENE LT supports the creation and fitting of a variety of simple geometric objects, like points, planes, spheres, pipes or lines.

You can create geometric objects manually in the context menu of a scan or a folder under New. In the dialog that appears, enter the geometric parameters of the object, such as the object’s position, location in the room or its size.

Of course, such geometric objects exist in the scans, too; therefore it is far more interesting to get their parameters from the scan points. There are several possibilities to create objects from the scan points:

· Manually from a selection of scan points: To do this, select an area of scan points in the quick view or in the planar view of a scan and instruct SCENE LT to fit the geometric object by selecting the appropriate command in the context menu of the selection under Create Objects.

· With the Object Marker tools: For certain objects you may also use the Object Marker tools to perform a fit. For more information on the available Object Marker tools, please see chapter 4.2.4.

Some of the created geometric objects are usually used as reference objects to register the scans. So, in most cases, the creation of objects and reference objects is an essential work step in processing your scan project.

When fitting a geometric object, not only the geometric object but also a related fit object is created. This fit object describes the origin of the object more closely and contains some quality criteria which allow conclusions about the accuracy of the object fit.

Figure 4‑4: Fit objects in the structure view

If you change the parameters of the geometric object after the fit, the fit object is no longer active. You can reactivate an object fit by selecting the command Active in its context menu. The changed parameters will then be replaced by the parameters of the object fit.

If a geometric object has an active object fit, the overall quality of the fit with the object is symbolized by a traffic light. Green means that all the quality criteria are met. The Amber shows that at least one quality criterion is somewhat compromised and red means that at least one criterion is seriously compromised. These objects are then displayed in the views in the appropriate color. Objects without an active object fit are shown in blue. You can find more information on the individual quality criteria of the different object fits in the chapters 9.4.3 to 9.4.18 .

You can delete the fit object if you do not require it, without the geometric object being deleted in the process.

4.2.3.1. Point

The point is the simplest geometric object. It is identified by its name and its position in the room.

Points can be fitted in the quick view and the planar view using the Object Marker.

Figure 4‑5: Point Properties

You can add GPS information to any point object. This information will be used for the correspondence search and for registering the scans. To add GPS information, open the properties dialog of the point object or its fit object. On tab Point Properties, use the Add GPS Position button; the properties dialog will be extended by an additional tab GPS Reference to enter the required information.

Figure 4‑6: GPS Reference

Format – Use the drop down menu to choose whether to specify the GPS information in the form of GPS or UTM coordinates.

Position - For the GPS coordinates latitude and longitude, please use the decimal degree notation; separate both by space.

Altitude – Enter the altitude above sea level.

Accuracy – Specify the accuracy for the given GPS position. Correspondence search will only accept such potential corresponding objects that do not conflict with this given accuracy.

Once GPS information is available for the point object, the Add GPS Position button on tab Point Properties will be replaced by a button to remove the coordinates.

4.2.3.2. Mean Point

You can determine the mean point of the selected scan points using Create Objects > Mean Point. The mean point is very useful for determining a point on a level surface. Creating a mean point guarantees that the point is situated in the center of mass of the selection.

4.2.3.3. Contrast Mean Point

The circular flat target is one type of paper targets which may be used for scan registration. The circular flat target usually consists of a white circle on a dark background. The mean point of the circle is used for the scan registration.

Figure 4‑7: Circular Flat Target

In order to determine this mean point, select the target in the scan and use the command Create Objects > Contrast Mean Point in the context menu of the selection. The selection should contain the complete circle and the selection should be made on the dark background. The shape of the selection is not important; only that it contains the complete circle.

In general, it is recommended to use checkerboard targets instead of circular flat targets. The recognition of checkerboard targets is usually more precise and SCENE is able to automatically identify those targets in the scans. This makes reference creation and registration less time consuming.

4.2.3.4. Checkerboard Points

A further, often used type of paper targets is the checkerboard target. A checkerboard target fit determines the center point of the target’s four quadrants. This point is used for scan registration.

Figure 4‑8: Checkerboard target

To create such checkerboard points, use the Object Marker tool. To get best results, the fitting of checkerboard points should be done before the scans are colorized.

4.2.3.5. Corner Point

Corner points are formed by two intersecting perpendicular lines. Additionally to the position of the corner point it also contains a planarity that describes the evenness of the point’s environment.

4.2.3.6. Sphere

When registering scans, another geometric object is of particular importance: the sphere. A sphere is determined by its position and its radius and its central point is used for the registration. Hence, you can add global position information to spheres as well (see chapter 4.2.3.1 for more information).

There are two types of fit:

1. Fit with a free radius. Apart from the position, the radius of the sphere is also calculated from the scan points. Use the command Create Objects > Sphere.

2. Fit with preset radius. This type is particularly well suited to fitting survey spheres because their radius is known in advance. Create spheres with a preset radius with the command Create Objects > Sphere Radius, the appropriate Object Marker tool or the automatic search. You can predefine one or more sphere radiuses under Tools > Options > Matching > Match Sphere Settings (see 9.1.4.1.10.2).

4.2.3.7. Plane

There are two types of plane in SCENE LT:

1. As an idealized plane. This is infinitely large and has no edge.

2. As a plane with a defined edge.

Figure 4‑9: Plane

In both cases the position and orientation are described by the position of a point of the plane and a so-called normal. A plane is identified by the fact that it is level, i.e. there is precisely one direction that the plane stands perpendicular to (actually, there are two such directions; however, they are exactly opposite one another). This direction is called the normal of the plane.

There are several ways to fit planes:

· With the appropriate command under Create Objects in the context menu of a points selection.

· With the Object Marker tool.

Figure 4‑10: Fit object of the plane

There are the following quality criteria for the fit:

Number of scan points – The number of scan points in the selection used for the fit.

Transversal Normal deviation – The standard deviation of the normal, which is determined using the interim results of the fit. A high standard deviation indicates that the selected area is not as flat as it should be. There could be a ripple or there might be other objects in the plane. The standard deviation is broken down in a transversal and longitudinal deviation.

Longitudinal Normal deviation – The standard deviation of the normal in longitudinal direction.

Scan point distance – The standard deviation of the distance of the scan points from the plane that has been determined. This is a good measurement for noise.

Planes can be used for registering scans by using walls, floors or ceilings as a reference. With plane objects two scans facing to the same side of a wall can be aligned to each other by using this wall as a reference. If you want to align two scans from opposite sides of a wall you have to use the slab object instead of the plane object (see chapter 4.2.3.10).

4.2.3.8. Limited Plane – Expand Plane

Of course, in the real world, there are no mathematical idealized planes - every surface is limited by a border line. Therefore, in this software there is also a type of plane that is limited and saves its border points.

Since it would be a lot of work to define the border line yourself, a limited plane is created in combination with an automatic plane expansion. If you apply the command Create Objects > Expand Plane to a selected area, the automatic plane expansion is executed and produces a limited plane as a result.

With automatic plane expansion, a plane is created that continues to enlarge until the adjacent scan points fail to meet the expand plane parameters. You can set these parameters under Tools>Options>Matching>Expand Plane Settings (see chapter 9.1.4.1.10). In so doing, not only the scan point itself is examined, but also its direct surrounding area. For example, if the scan point is situated in a surrounding area which is clearly not flush with the expanding plane, this point would not be added to the plane.

In addition, the border line for the plane is also calculated. When recording, since the scan points were not explicitly oriented to the border of the plane, it is also not practical conversely, for the border line to follow each scan point of the border area. You would then get a very jagged border line, the jags of which do not represent the reality. Therefore, the calculated border line does not compulsively follow every single scan point but is smoothed out. You can also set the smoothing parameters via Tools>Options>Matching>Expand Plane Settings.

4.2.3.9. Intersection Point

The intersection point is formed by the intersection of a plane with the virtual laser beam of the scanner. To create an intersection point, you first of all need a plane. In the context menu of the plane, select the command New > Intersection Point. Now go with the mouse pointer to the place in the scan where you want the intersection point to be, and click with the left mouse button. You therefore select the direction in which the intersection point lies from the scanner. The distance to the scanner does not, however, come from the scan point now under the mouse pointer, but from the intersection of this direction with the plane selected beforehand.

Figure 4‑11: Fit object of the intersection point

The fit object of the intersection point shows with which plane the intersection took place. If the parameters of the plane were changed, perhaps by a new fit of the plane, the intersection point is automatically recalculated!

4.2.3.10. Slab

A slab is similar to a plane and may also be used as a reference for the scan registration. Like planes, slabs can be created from floors, walls or ceilings; but in contrast to a plane, the slab object will be used to align two scans recorded from the opposite sides of the slab. For this purpose you need to specify the slab’s thickness and the side of view in its properties dialog.

There are various ways for fitting a slab. You can create slabs with the object marker tool (for more information, see 4.2.4), from a selection of scan points (with the command Create Objects > Slab in the context menu of the selection) or from a plane object (New > Slab by Plane in the context menu of the plane object).

Figure 4‑12: Slab properties

To define the slab you have to specify its name, its visible face (Face A or Face B) and its thickness either in its properties dialog or in the slab fit dialog.

Figure 4‑13: Slab Fit

The quality criteria for the slab fit are exactly the same as the criteria for the plane fit (see chapter 4.2.3.7).

When registering scans, which were recorded from the opposite sides of the same wall, you may use this wall as a reference by defining it as a slab object. In both scans, the corresponding slab objects must then have the same Thickness but a different value for the Face.

4.2.3.11. Pipe

The Pipe represents a cylindrical object. It is specified by its outside diameter and length.

To create a pipe, go to Tools > Pipe Fit.

First, you have to draw a line along the pipe’s axis, and then draw a line to indicate the pipe’s circumference. SCENE LT will then automatically match a pipe object into your scan.

Figure 4‑14: Pipe creation

Figure 4‑15: Pipe in 3D view

Another way to create a pipe is from a selection of scan points. To create a pipe object from a selection of scan points use the command Create Objects > Pipe in the context menu of the selection.

If necessary you can adjust the pipe’s diameter and length in its properties dialog (see also chapter 9.4.9 and 9.4.10 ).

Pipes can be used as references for registering scans.

4.2.3.12. Lines

Line detection is based on a combination of reflectance contrast and distance discontinuity. Lines are in particular a useful visualization for main structures of the scan and can help to orient oneself in unloaded scans.

Figure 4‑16: Automatic line detection

4.2.3.13. Rectangles

Rectangle detection is based on line detection and searches for rectangular structures in the line detection’s result. A rectangle consists of its midpoint (position), the normal and a major- and minor axis that define the extent of the rectangle.

4.2.3.14. Mesh

When an object is scanned, the scan points represent individual spots on the surface of the object. If you want to reconstruct the surface itself, you can create a mesh which takes the scan points as a basis and approximates the surfaces within certain limits. This approximation is done with a set of triangles.

Depending on the curvature of the real surface and the required approximation quality, the number of triangles can vary between a few and a huge number.

The approximation quality can be controlled by a set of parameters, which you can enter when you create a mesh:

Figure 4‑17: Mesh generation parameters

2nd level simplification – Activate 2nd level simplification based on the distance between scan point and nearest triangle.

Distance threshold – A triangle approximates all scan points within this distance threshold. The smaller the value, the more triangles you’ll get.

Activate triangle removal – If an object is in front of a different object, neighboring scan points shouldn’t be connected by triangles. Here you can activate the removal of triangles which match both following requirements.

Angle below – The angle between the triangle and the scanner. The larger the value, the more triangles will be removed.

Edge length above– The edge length of the triangle. The smaller the value, the more triangles will be removed.

Although the resulting mesh may be a relatively small collection of triangles, its appearance can show more details. This is done by a texture, which is similar to a photo glued onto the triangles. By default the display is with textures.

Figure 4‑18: Mesh with and without texture


Object Marker Tools

4.2.4. Object Marker Tools

Figure 4‑19: Object Marker Tool Bar

With the object marker tools you can quickly fit different types of objects in a scan. Predefined types are:

· Sphere

· Circular Flat Target

· Plane

· Checkerboard Target

· Slab [image] .

· Scan Point

Choose the object you want to create from the object marker tool bar and mark the scan point of interest in the planar or quick view of the scan. A selection is then created that starts from the marked scan point and extends into the surrounding scan points. The algorithm used to create the selection depends on the type of the object marker.

The object will automatically be fitted and the properties dialog of the object marker appears. On tab Object Marker Properties you can then change the object type and insert further information. If you do not want to create a certain object with the object marker leave the type field empty. You can create objects from an object marker later by using the command Operations > Object Marker > Create Objects in the context menu of a scan, a scan folder or workspace.

All the scan points of a scan or a scan folder marked by object markers can be exported using the command in the context menu of the scan or scan folder (see chapters 9.3.26 and 9.3.28 ).


Exporting Objects

4.2.5. Exporting Objects

In order to use points, planes, pipes and spheres in CAD systems, with SCENE LT you can export these objects in different formats as a file and then import this file into your CAD system.

Export the points, planes, pipes and spheres of a scan by opening the context menu of the scan and selecting the command Import/Export > Export Objects. If you want to export the objects of all scans in a scan folder, open the context menu of the scan folder and select this command from there.

Figure 4‑20: Exporting objects

Format – The following formats are available: DXF, IGES, and VRML. Depending on the format selected, you can set further settings on a separate tab.

File name – Name and location of the file to be created.

DXF

SCENE LT uses DXF 12. Textures of meshes are not supported.

IGES

IGES is a multivendor-capable standard for the exchange of CAD drawings. SCENE LT uses IGES version 5.3.

You can find further details on the meanings of the settings in chapters 4.4.5 and 8.3.8 .

IGES doesn’t support the textures of meshes.

VRML

SCENE LT uses VRML 2. When exporting meshes, the textures are stored in separate files.


Importing Objects

4.2.6. Importing Objects

To compare the scanned reality with the models from the CAD system, you can import the model into SCENE LT. For this, the model must be in the multivendor-capable VRML (Virtual Reality Modeling Language) data format. A lot of CAD systems give you the option of exporting the models in this format. For this, please read the instructions for your CAD system. The way exporting in the CAD system MicroStation works is described at the end of this chapter.

Import the model via the command File > Import.... In the dialog, select file type VRML, which has the file extension .wrl.

After entering the file name, the VRML Import dialog opens:

Figure 4‑21: Settings for VRML import

Although the VRML standard recommends a specific coordinate system and a specific unit of length, not all VRML files are modeled that way. The standard defines the unit of measure of the world coordinate system to be meters, and a coordinate system in which the y axis points upwards. Because many VRML files are modeled differently, you can select different settings.

When importing a VRML model, you can ask SCENE LT to combine any meshes in the model into a single one. This will increase the performance.

SCENE LT does not support all objects or object properties that are available in VRML. The following parameters are not transferred:

  • Light sources
  • Textures with 8 or 16 bit per pixel (use 24 bit per pixel instead)
  • The Inline node

In these cases, when importing the data, you will get a warning that the VRML model was not transferred completely.

After importing, in the structure view under the Models folder, you will see a new folder which contains your imported model. The model can only be viewed in 3D view and quick view; planar view will not display CAD models.

Note: How to export CAD models from MicroStation in VRML format: select the command File > Export > VRML World... and then click in the view you want to export. The Export VRML World file dialog appears. In the dialog, set the version number to 2 and select Export Linear Geometry and Export Higher Order Surfaces. Select Y Axis Up if you want to achieve a standard conformant file. Please make sure that Drop Cells To Components and Drop Text To Components are not selected; this would cause the data volume to increase considerably.

Figure 4‑22: VRML Export in MicroStation


Analyzing Scans

4.3. Analyzing Scans

You can use the scan for many different purposes. For one, scans document the geometric reality completely in three dimensions. In SCENE LT, there is an efficient technique for using this documentation characteristic with the views. For another, because they are three dimensional, scans also enable you to copy the reality faithfully to the computer and to easily analyze them there. At the same time, SCENE LT provides you with both visual and mathematical based procedures.

4.3.1 Inspection

4.3.2 Measuring Distances

4.3.3 Visualizing Scales and Distances

4.3.4 Surface Analysis

4.3.5 Coloring the Range


Inspection

4.3.1. Inspection

You can use the 3D view to compare scanned reality with existing CAD models. When doing this, we recommend that you start from the CAD model and open a 3D view from there. Then add the selected scan points from the scan one by one and compare whether the CAD model matches the reality.

Figure 4‑23: Discrepancy between
scanned reality and CAD model

In the example shown, you can see that the pipe from the CAD model does not match the reality. When carrying out renovations which rely on the correct position of the pipe, this could lead to unpleasant surprises.

With the 3D view, you can also compare new construction proposals to the current project environment. This overlaying comparison gives you the ability to identify problems such as collisions and poor optimization of space.


Measuring Distances

4.3.2. Measuring Distances

With renovations, you are often confronted with the question of whether there is still enough space in the building for the intended machinery. Since you can only rely on the CAD model of the building to a certain extent, you will probably have to examine and take measurements of the critical places on site. Using scanned reality, you can easily address queries at your computer, such as: What is the clearance height of this gate? How great is the distance between these supports?

This chapter describes the measurements that can be done in the planar, quick and the 3D view. For measurements in the overview map, please see chapters 3.8 or 6.2.5

There are two different approaches for measuring distances, either between scan points or between objects such as spheres or planes.

4.3.2.1. Point-to-Point Measurements

To start a measurement between two or more scan points, click on the [image] button in the toolbar.

Point-to-point measurements are available in the planar view, the quick view and the 3D view.

Figure 4‑24: Point-to-point measurement

To select measure points, select valid scan points in the respective view with the left mouse button. To select the last measure point and finalize the measurement, double-click with the mouse. To cancel the current measurement, click the right mouse button or press the Esc key. To leave the measurement process, click the right mouse button or press the Esc key again.

Several keyboard commands are available in the Quick View and the 3D View:

· Return key: Finalize the measurement without adding a last measure point.

· Backspace key: Remove the last measure point.

· Home key: Add a last measure point at the start position and finalize the measurement.

A new point-to-point measurement gets added as a child to the current scan when measuring in the Planar View or Quick View and to the Measurements folder of the workspace when measuring in the 3D View.

A point-to-point measurement made in the 3D View is only visible in the 3D View. It is not linked to any individual scan. If the involved scans are later altered or transformed, the measurement stays in the same place. In this case you could delete the measurement and create a new one.

Please note: Point-to-point measurements may be susceptible to single noisy scan points.

In the quick view and the 3D view, a yellow dashed line is drawn between the measure points. Labels show the overall distance and the length of each measure segment. In the planar view, only the overall distance is shown.

Figure 4‑25: Measurement with invalid measure points

Invalid measure points of point-to-point measurements are indicated by a red outline as illustrated in Figure 4‑25. While it is not possible to select invalid scan points as measure points in SCENE LT, this may happen in SCENE WebShare when the sky or an area with heavily filtered scan points is selected. Therefore, invalid measure points may exist in workspaces downloaded from SCENE WebShare. An invalid measure segment is indicated by a red dashed line.

Two additional lines show the vertical and horizontal distance between the first and last measure point.

4.3.2.2. Object Measurements

Probably you frequently have to measure distances to level surfaces, for example to the wall, the floor or the ceiling. In this case you should fit a plane through the wall and measure from the plane to the point you are interested in. When using a plane, the measurement is automatically taken perpendicular to this plane.

Object measurements are available in the planar view, the quick view, the 3D view and the structure view.

Click on the [image] button in the toolbar to start a measurement between objects.

Figure 4‑26: Object measurement

You can measure between objects of the following types:

· Sphere (type 1)

· Point Object, including Checkerboard, Corner Point (type 1)

· Scan (type 1)

· Plane, including Plane Extension, Rectangle, Slab (type 2)

· Pipe (type 2)

To select objects for your measurement, select them with the left mouse button. You can measure the distance between more than two objects if you hold down the Shift key when clicking on the next object. However, an object measurement can only contain one object of type 2. You can also select objects in the structure view this way.

Figure 4‑27: Checkerboard point – plane measurement

A new object measurement gets added to the “Measurements” folder of the workspace.

Object measurements are visible in the planar view and quick view if the view shows a scan that contains an object that was involved in the measurement.

If the position or location of the objects used for the measurement change, for example, by a new fit or by updating the registration, the measurement is automatically updated.

4.3.2.3. Measure Objects

The representation of a measurement is called a measure object. To open the properties dialog of a measure object, double-click on it in the structure view, on a label or near a measure line. The property dialog provides distance information and a list of the involved objects of an object measurement. It is also possible to hide the lines for the vertical and horizontal distances and the label for the overall distance by selecting the corresponding checkboxes. For more information, see chapter 9.4.6.

Figure 4‑28: Properties of measurement object


Visualizing Scales and Distances

4.3.3. Visualizing Scales and Distances

SCENE LT allows to visualize dimensions and distances in the 3D view by displaying a customizable two dimensional grid. This grid is a set of visible lines that serve as a visual distance reference and can be seen as a two dimensional ruler. The grid can be positioned anywhere in the scene and gives a good impression of distances and scales in the point cloud. This tool is only available in the 3D view.

Figure 4‑29: Regular grid in 3D view

Figure 4‑30: Polar grid in 3D view

To toggle the visibility of the grid, use the [image] icon in the 3D view toolbar. By default, the grid is located in the coordinate origin and lies in the XY plane.

The grid can be customized according. Use the drop down menu of the grid icon in the 3D toolbar to make your adjustments.

Figure 4‑31: Drop down menu of the grid

The grid can be displayed in two different styles: as a two dimensional regular grid or a polar grid. The regular grid divides the space in axially parallel and evenly spaced rectangular areas. Both scales in x and y direction show the distance in relation to the grid’s origin (see Figure 4‑29). The polar grid consists of concentric rings and radial dividers. The concentric rings show the distance to the grid’s origin. With the radial dividers one can estimate the angles between two points of interest (see Figure 4‑30).

Increase Resolution - Increase the resolution of the grid by decreasing the distance between the displayed lines by a factor of 2.

Decrease Resolution - Decrease the resolution of the grid by increasing the distance of the displayed lines by a factor of 2.

Attach to Surface - Activates a tool to align the grid to a surface. This surface can be defined by picking three points in the scene.

Attach to Point - Change the position of the grid’s origin. Pick a point in the scene and the grid’s origin will be moved to that point.

Properties - Opens the properties dialog of the grid.

Figure 4‑32: Grid properties

Style - choose between the regular and the polar grid.

Define the dimensions of the displayed grid in both directions by entering a start and an end value. Define the resolution of the grid by changing the distance between the displayed grid lines for both directions.

Colors - Change the color of the lines for the two directions.

Figure 4‑33: Grid properties – Display Options

On tab Display Options you may toggle the visibility of certain visible grid elements:

Direction X - x-axis (colored line)

Direction Y – y-axis (colored line)

Labels X – labeling of lines parallel to the x-axis

Labels Y – labeling of lines parallel to the y-axis

Primary Scale X – labeled lines of the grid in x direction

Primary Scale Y – labeled lines of the grid in y direction

Secondary Scale X - non-labeled lines visible at certain zoom levels in x direction

Secondary Scale Y - non-labeled lines visible at certain zoom levels in y direction


Surface Analysis

4.3.4. Surface Analysis

When fitting scan points to a plane, as a result, you also obtain the quality criteria of the fit which tells you how well the scan points actually converge through a plane. Using the quality criteria, you can see a color representation of the evenness of a surface in relation to a proposed plane.

Color representation of a surface area can be achieved by firstly identifying which plane you want to use to compare the scan points. Then select an area of scan points and in the context menu of the plane, start the command View Point Distance. The selected scan points are then colored in.

Figure 4‑34: Surface analysis

Using the settings in Tools > Options > View, you can set the upper and lower threshold for the color range. Under the column Plane Distance Visualization, enter the range that should be colored in. A scan point that lies below the plane by this distance is colored in blue. A scan point that lies above the plane by this distance is colored in red. Scan points that lie in between assume a color between blue and red accordingly, while the scan points that lie very close to the plane are colored green. Scan points lying outside this range are not colored in.


Coloring the Range

4.3.5. Coloring the Range

The scan points in the planar and quick view are normally displayed so that the reflection value of a scan point determines the brightness of the pixel. You can also display the scan points so that the pixel assumes a different color depending on the distance of the scan point from the scanner. You can also then choose to either have all scan points in a range assume the same color or have the color reflect the actual distance.

This type of visualization is appropriate, for example, when analyzing a scan, if it must not fall below a certain level of precision. Generally, the quality of a scanner's distance measurement is not constant across the entire range but decreases as the distance increases. You can then highlight in color the range in which the distance measurement is no longer satisfactory.

Figure 4‑35: Far away scan points colored

You can also do it the other way around, i.e. color the usable scan points.

Figure 4‑36: Close scan points colored

Another practical use of this function is with scanners that only have a very small ambiguity interval. With some scanners, the distance measurement is limited to a certain range, depending on the specifications of the model. If an object is measured and its true distance lies outside the range, the measured value is depicted incorrectly, i.e. too close. In such a case, it is useful to color the boundaries of the range so that the observer can identify them immediately.

Figure 4‑37: Ambiguity interval boundary

You can find the necessary settings for coloring under Tools > Options > View, as described in chapter 9.1.4.1.9. You can switch the highlighting on or off using the Color range button [image] in the toolbar.


Exporting Scan Points

4.4. Exporting Scan Points

In order to use scan points from the scans in other applications such as CAD systems, SCENE LT exports the scan points and writes them in a file. You can then import this file into the desired application.

To export all scan points or a selection of a scan, open the context menu of the scan or selection and select the command Export Scan Points. The command Direct Export will export scan points directly without opening the Export Scan Points dialog. The scan points will be exported with prior settings. If you want to export scan points of all the scans in a scan folder, then select the command Import/Export > Export Scan Points from the context menu of the scan folder. The scans are then loaded one after the other, the export is executed and the scans are unloaded again.

Figure 4‑38Exporting scan points

Format – The following formats are available: E57, VRML, DXF, XYZ text, XYZ binary, IGES, PTS, PTX, PTC and POD (Pointools). Depending on the format selected, you can set further settings on a separate tab, which are described in the following chapters.

File name – Name and location of the file to be created.

Full scan – Export the entire scan.

Selection – Export the selection.

Since even small selections of a scan can contain a great number of scan points it may be necessary to reduce or thin out the exported scan points. Thinning out is achieved by only exporting every second, third ... scan point of a row or column. Therefore, thinning out is done according to the arrangement of the scan points in the planar or quick view.

Rows – Reduction by thinning out the rows

Columns – Reduction by thinning out the columns

With the value 1, every column/row is exported, with 2 every second, and so on. For example, if you enter the value 10 in both fields, you will thin out of a tenth of the columns and a tenth of the rows, therefore in total you will have a reduction of one hundredth of the scan points.

For further reduction you can indicate the distance threshold a scan point may be away from the scanner.

Min. Distance – The minimum distance the exported scan points can be from the scanner. Scan points situated closer are not exported.

Max. Distance – The maximum distance at which the exported scan points can be from the scanner. Further away scan points are not exported.

Color and Grey – Export RGB and intensity values of each scan point if available. This function is enabled for the formats E57, XYZ text, POD, PTX and PTS. To export both values, the scan will be unloaded first and re-loaded with both values. After the export, the scan will be unloaded again and the initial scan status will be restored.

4.4.1 Exporting Slices

4.4.2 Tomograph

4.4.3 DXF

4.4.4 VRML

4.4.5 IGES

4.4.6 XYZ text

4.4.7 POD (Pointools)


Exporting Slices

4.4.1. Exporting Slices

4.4.1.1. Single Slice

If, for example, you want to very quickly create the floor plan of a building from the scan points, it is practical to use the slice export. When exporting slices, only those scan points are exported, which are between the top and the bottom limit you have specified. Therefore, if you select a slice where there is hardly any furniture or machines blocking the view, you obtain the floor plan of the building very easily.

Figure 4‑39: Slice of scan points

You can of course also apply the threshold outlined above for reducing and thinning out when exporting slices.

Figure 4‑40: Options for export of slices

The orientation and position of the slice are defined by the reference plane ExportRefPlane in the references folder. The default setting of the reference plane is the ground floor, so top and bottom limits refer to the z coordinate and are limits in height.

If you want to create vertical slices, for example, you can select the corresponding predefined plane with the normal pointing along the x- or y-axis. However, the export of slices is not limited to planes with normals pointing along the axes. With the button Custom you can use arbitrary planes as reference planes. Custom reference planes make it very easy to export scan points of objects that are located above a flat surface (e.g. objects on the floor, on a table, etc.) by fitting a plane to the surface and using this plane as a reference.

The Tomograph can be used with any reference plane and will be explained in chapter 4.4.2.

4.4.1.2. Several Slices

If you want to export several slices at the same time, you can define the slices with a set of planes. In contrast to the export of a single slice, here each plane directly defines the location of the slice. Instead of having a plane and a top and a bottom distance, each plane defines the center of the slice. All slices have the same thickness which you can input into the dialog.

Also in contrast to the export of a single plane, here only those points of a slice are exported which are located within a given radius around the center point of the slice.

The center point of each slice is defined by the position of the corresponding plane (see chapter 9.4.11).

Figure 4‑41: Options for export of several slices

You can create planes either by fitting (see chapter 4.2.3.7) or manually. Please observe that all planes of the workspace will be used as reference planes - even if they are defined in other scans or in completely different folders of the workspace.

In Figure 4‑42 you can see an example of an export with a set of equidistant planes that had been defined manually. This figure shows the exported scan points after they have been imported back into SCENE LT.

Figure 4‑42: Slices defined by a set of equidistant planes


Tomograph

4.4.2. Tomograph

When exporting slices, of course scan points from horizontal surfaces in the slice are also exported, which can make it difficult to define the floor plan. The Tomograph resolves this: it brings out vertical surfaces and hides horizontal surfaces, thereby allowing walls and supports to stand out.

Figure 4‑43: Tomograph

The Tomograph works like an X-ray apparatus - the X-ray goes through the slice (see chapter 4.4.1.1) from above and comes out on a photo plate below. The photo plate is covered with a fine raster and a raster field now either turns black or it remains white. If the X-ray hits sufficient scan points on its way through the slice, the raster field turns black. This occurs predominantly with vertical surfaces. If the X-ray hits only very few scan points, as is the case with horizontal surfaces, the raster field remains white.

Important parameters are the raster size, of course, and the threshold value from which the raster field should turn black.

Figure 4‑44: Settings for tomographs

Set these parameters under Tools > Options > Tomograph.

Raster Size – The raster size determines the resolution your result will have.

Min. Hits – The minimum number of scan points for a raster field to turn black.

Max. Hits – The maximum number of scan points for a raster field to turn black. If the number is exceeded, the raster field becomes white again. The specification of –1 means an infinite number.

Export Height – Without this setting, the raster lies at height 0. With this setting, each raster field lies at the height which results from the mean of the scan points within the field.

The overall size of the photo plate is critical for tomographs: the longer the edge of the photo plate and the finer the raster, the more main memory is required.


DXF

4.4.3. DXF

DXF is a data format developed by Autodesk for the exchange of CAD drawings. SCENE LT uses DXF version 12.

The scan points in DXF are always displayed as points. Since DXF has very few grey scales at its disposal, the visual appearance is not as good as in SCENE LT.


VRML

4.4.4. VRML

Figure 4‑45: Settings for VRML export

Export points as is – Scan points are exported as points. Note: A lot of VRML viewer programs do not support points!

Export points as sphere – Scan points are exported as small spheres.

Export points as boxes – Scan points are exported as small boxes.

VRML2 – Export in VRML2 format. Otherwise VRML1 is used.


IGES

4.4.5. IGES

IGES is a multivendor-capable standard for the exchange of CAD drawings. SCENE LT uses IGES version 5.3.

The scan points are exported as grey points or color points, if color information is available. When you import the IGES file into your CAD system, it decides how it will represent these points in its own grey or color space.

Figure 4‑46: Settings for IGES export

Part – naming the parts is a required component of an IGES file.

Author – specifying the author is a required component of an IGES file.

Organization – specifying the organization is a required component of an IGES file.

Represent Scan Points as:

Points – Scan points are displayed in the CAD system as points.

Spheres – Scan points are displayed in the CAD system as small spheres.

Set Color to – Settings for the colors to be used

IGES default – The export file does not contain any color specifications so the CAD system will use the default color.

Scan point color – Use the grey value or color value of the scan point.

Scan specific – If the export consists of several scans, the scan points from the different scans will have different colors.

Set Level to – Settings for the level to be used

IGES default – The export file does not contain any level specifications so the CAD system will use the default level.

Scan specific – If the export consists of several scans, the scan points from the different scans will have different levels.

Objects

Unbounded Planes – The idealized planes without border are also exported as idealized and without border. Otherwise a square is exported.

Export Object Names – Object names are exported.

Level – Level allocation for object names.


XYZ text

4.4.6. XYZ text

With XYZ text format, the export file contains one scan point per row. Each scan point is identified by its 3 Cartesian coordinates X, Y and Z and the reflection value. You can also specify the row and column number of the scan point. Both these numbers will then be next to the current scan point in the export file.

Figure 4‑47: Settings for XYZ text

Include row/col – Export with row and column number.

Export raw reflections – Export with raw reflections, which can be between 0 and 2047 for the FARO Laser Scanner. Otherwise, the monitor brightness will be exported (values between 0 and 255).

When used without row and column number, this format can also be imported into MicroStation. However the reflection value will not be used by MicroStation, the scan points are uniformly created in the currently active color. To import into MicroStation, use the Import Coordinates button via Tools > Annotation > XYZ Text.


POD (Pointools)

4.4.7. POD (Pointools)

SCENE LT allows exporting of scan points for PointoolsTM. Pointools is a third-party application that provides an environment for viewing, analyzing, editing and producing visual content from a range of 3D data types.

Figure 4‑48: Settings for Pointools Export

For details about the export settings, please refer to the PointoolsTM manual.


Project Point Cloud

5. Project Point Cloud

Like the scan point clouds, the project point cloud is optimized for fast visualization of large amounts of scan points in the 3D view and is organized in a spatial data structure that facilitates fast visualization of the scan points. The project point cloud consists of the points of all the scans within you scan project and can thus be seen as a comprehensive point cloud of the complete scan project. For this reason, the amount of points in a project point cloud can be enormous. Unlike scan files, such large amounts of points cannot be loaded into physical memory at once. Therefore, the points of the project point cloud are automatically loaded and visualized on demand based on the camera position and point visibility. Manual scan file loading is not necessary. If your project has a project point cloud, simply open a 3D View [image] and start exploring.

The automated point loading of the project point cloud is able to visualize hundreds of scans at once – much more than you could ever fit into your computer’s physical memory at the same time with traditional scans. This empowers you to actually see all scans of a scan project at once regardless of whether they fit into your computer’s physical memory or not. The project point cloud is the best way to visualize and manipulate enormous amounts of scan data interactively. It is accessible from all local workspaces of a scan project. There can only be one project point cloud for each scan project. For more information on scan projects and local workspaces please refer to chapter 2.1.

As the point cloud visualization technique is constantly loading scan points from the hard disk drive based on point visibility, the overall performance strongly depends on the speed of your hard disk drive. While project point clouds outperform all other visualization methods (including scan point clouds) on regular hard disk drives, we recommend using a solid state drive for maximum performance. Using a solid state drive will also speed up the process of creating the project point cloud.

The benefits of the project point cloud are:

· No manual loading of scans required

· Very fast visualization of large amounts of scans at once

· One optimized single spatial data structure for all scan points in a project

· Out-of-Core visualization

· Can be accessed from all local workspaces associated with the project


SCENE WebShare

6. SCENE WebShare

With SCENE WebShare panoramic scan images can be put on the Internet, thus enabling you to share scan information of your scan projects with other parties, like far-off company sites, customers, suppliers or partners without the need of additional software. All they need to view the scan data is an Internet browser with the Adobe Flash player plug-in installed.

The SCENE WebShare functionality is also natively built into SCENE LT and requires no extra software to publish the scan data on the web. It allows for a secure collaboration and easy sharing of scan data via the Internet. This will help you to improve the efficiency of your projects without additional investment.

6.1 Viewing SCENE WebShare Projects

6.2 Examining a SCENE WebShare Project


Viewing SCENE WebShare Projects

6.1. Viewing SCENE WebShare Projects

Once you have exported your scan project as a WebShare project you can view it from any place by using the WebShare functionality within SCENE LT or by using any Internet browser.

Please note: The Adobe Shockwave player plug-in needs to be installed in order to use the WebShare viewing functionality. Please install the latest version with your Internet browser.

6.1.1 With SCENE LT

6.1.2 With an Internet Browser


With SCENE LT

6.1.1. With SCENE LT

If your currently loaded scan project has already been exported for WebShare you can open its WebShare View in its context menu under View. To view other WebShare projects, go to the projects selector and open a local WebShare project from the list of available projects or connect to a WebShare server to open a project that is located on this server. For more information about the projects selector and how to open local WebShare projects or connect to a remote WebShare server, refer to chapter 2.4 .


With an Internet Browser

6.1.2. With an Internet Browser

You can also view SCENE WebShare projects on a SCENE WebShare server with a standard Internet browser. To do this, connect your PC or notebook to the Internet, open your Internet browser and enter the URL of the remote SCENE WebShare server into the address bar. The browser will then load the start screen of your SCENE WebShare server which provides an overview of all available WebShare projects.

Figure 6‑1: Remote Start Screen

Control Panel

Login button

List of available remote projects

The list of projects consists of all publicly available projects on this server. You can login with your user account by clicking the Login button on top of this screen. Once you are logged in, this list will be extended with all the non-public projects that are unlocked for your user account. Open a project by double clicking on it or by selecting it from the drop down menu in the control panel.

Figure 6‑2: Project Preview with Google Earth link and Upload Button

Use the Upload button [image] to temporarily upload local workspaces of the respective project to the server. Please note that these workspaces are not permanently saved on the server and are only available within your WebShare session. This session ends after 30 minutes of inactivity or when you leave the WebShare page. For more information, see chapter 6.2.8 .

If geo reference data is provided with a project, a Google Earth link [image] button becomes available in the bottom right corner of the project’s preview image. It will open a new browser window or tab showing a Google Earth view of the location when clicked.

Please see the SCENE WebShare Server manual on how to setup a SCENE WebShare web server and on how to publish WebShare projects on the Internet. This manual may be found on the SCENE DVD.


Examining a SCENE WebShare Project

6.2. Examining a SCENE WebShare Project

Figure 6‑3: Project View

Control panel

Project contents

Overview map

Panoramic scan view

A list of all the project’s scans is displayed in the contents area. The overview map provides an overview of the complete project and facilitates navigation by showing the complete scan project in top view as well as by displaying the individual scan positions as circles on the map. In the main window you can examine the scans in a panoramic view.

6.2.1 Control Panel

6.2.2 Project Contents

6.2.3 Overview Map

6.2.4 Panoramic Scan View

6.2.5 Measurements

6.2.6 Documentation Objects

6.2.7 Saving / Downloading Workspaces from the Web Server

6.2.8 Uploading Local Workspaces to the Web Server


Control Panel

6.2.1. Control Panel

Figure 6‑4: Control Panel

Home Button - Opens the SCENE WebShare start screen.

Help Button – Open the help and further information about the software product.

Project Selector – Contains all available SCENE WebShare projects. Select a project to open it.

Download Button - Downloads the current workspace (not its scans) to your local hard drive. To download individual scans to your local hard disk, open the downloaded workspace in SCENE LT, right-click the scan or a scan folder in the structure view of SCENE LT and use the “download” option or use the download button in the panoramic scan view.

Print Button – Prints the content of the view.

Toggle Button – Shows / hides the control panel

Details Area - Shows detailed information about a scan.

Share Bar – Share the currently loaded project on popular social media sites or via E-Mail.


Project Contents

6.2.2. Project Contents

Figure 6‑5: Project Contents

Select listing mode

Zoom bar

Maximize or minimize the area

Scan preview pictures

The project contents area contains the list of the project’s scans. The scans can be displayed as text or as preview pictures in different sizes. Button [image] displays the scans list in text format, [image] displays the scans with small and button [image] displays them with large thumbnails. You can also adjust the displayed size of the thumbnails manually with the zoom bar.

Double-clicking a scan opens its panoramic image in the main window; moving the mouse over an item shows its details in the control panel.


Overview Map

6.2.3. Overview Map

Figure 6‑6: Overview Map

Zoom bar

Measurement tools

Height indicator

Scan position

Field of view of the currently opened panoramic view

Visible area of a scan

Scale

Show / hide quick navigator map

The overview map provides an overview of the complete scene and helps orient you in it. You can navigate within this map by dragging it with the mouse.

The zoom bar allows you to adjust the zoom level. For a very quick navigation in the scene you can open the Navigator Map at the lower right edge.

The scan positions are visualized as colored circles where the color indicates the difference in height in relation to the reference scan in the project’s reference cluster. The relation between the colors and their indicated difference in height is illustrated by the scale on the right.

Moving the mouse over a scan symbol highlights the scan points covered by this scan. Double clicking on a scan symbol opens the panoramic view of the correlated scan. The blue highlighted triangle starting from the currently opened scan illustrates the field of view and the viewing direction in the panoramic scan view.

The overview map supports point-to-point and area measurements. Start Point-to-point measurements with the [image] button, start area measurements with the [image] button. Hide and display the measurements with the [image] button. For more information, see chapter 6.2.5 .


Panoramic Scan View

6.2.4. Panoramic Scan View

Figure 6‑7: Panoramic View

Tool bar

Toggle full screen

Zoom bar

Neighboring scan position

The main window provides a 360° panoramic view of the scans. You can navigate with the mouse or by using the arrows of the navigation tool on the upper left corner. Navigate with the mouse by holding down the left mouse button and by moving the mouse in the view. The closer the mouse pointer is to the edge of the window, the faster you move the panorama in that direction; the nearer the pointer is to the center, the slower the animation. Releasing the mouse button again stops the animation. You can zoom in or out by scrolling the mouse wheel or by using the zoom bar. You can also let the view turn automatically like a slowly moving camera by pressing the [image] button of the tool bar.

Clicking the [image] button loads the panoramic image in a higher resolution.

Nearby scans are visualized with the FARO Logo surrounded by a white circle; the diameters indicate the distance to the currently examined scan: The bigger the circle’s diameter the nearer is the position of the nearby scan. Like in the overview map, moving the mouse over these circles displays a preview image and additional scan information, double clicking will open the panoramic view of the correlated scan. You can show / hide these symbols in the panoramic view by clicking the [image] button.

Button [image] downloads the .fls scan file from the remote server to your local hard disk drive.

The panoramic scan view shows documentation objects and measurements between objects and between scan points for single scans. Measurements may have been created with SCENE LT or during a previous SCENE WebShare session (see chapters 18.3.7 and 18.3.8 for details). Please note that measurement and documentation objects will only be shown if they are linked to the individual scan. Measurement and documentation objects related to the whole project workspace will not be shown in the panoramic view.

The panoramic view also allows adding new point-to-point measurements and documentation objects.

To create point-to-point measurements click the [image] button in the toolbar of the panoramic view. This feature is only available if the “_3Scans” folder is present on the WebShare Server. Measurement visibility can be toggled with [image] . For more information, see chapter 6.2.5 .

Documentation objects (as known from SCENE LT) can be created with the [image] tool. For more information, see chapter 6.2.6 .


Measurements

6.2.5. Measurements

6.2.5.1. Point-to-Point Measurements

Point-to-point measurements are available in the overview map and in the panoramic view. They compute and display distances between selected points. As known from SCENE LT, point-to-point measurements can consist of numerous points.

Click the [image] button in the tool bar of the overview map or the panoramic scan view or push “M” on your keyboard to start a measurement, and then select the measurement points with the mouse in the respective view. To finalize a measurement push the “Return” key on your keyboard or double-click with the mouse.

Pushing the “Escape” key on your keyboard during the measurement discards the complete measurement. Pushing the “Backspace” key on the keyboard removes the last measurement point.

Figure 6‑8: Point-to-Point Measurement in the Overview Map

Figure 6‑9: Point-to-Point Measurements in the Panoramic View

Double-clicking on a measurement brings up a dialog with detailed information including its name, its total, horizontal and vertical distance, the distances along the X and Y axes as well as the distances of its single segments.

Figure 6‑10: Point-to-Point Measurement Properties

To delete existing point-to-point measurements you can either open the properties dialog and press “Delete” or hover over it with the mouse cursor and press the “Del” key.

6.2.5.1.1 Characteristics of Point-to-Point Measurements in the Overview Map

The overview map shows an orthographical view of the whole project with a certain level of transparency. This orthographical projection reduces data to a two-dimensional space. This implies that the actual three-dimensional position of a given two-dimensional coordinate in the overview map cannot be reconstructed. Therefore, overview map measurements must be understood as two-dimensional measurements. All measurement points will have their height (z-value) set to zero, the vertical distances are always zero.

This method is perfectly fine for floor-plan like distance and area measurements. Keep in mind that the underlying data is only two-dimensional when using the overview measurement tool and interpret the results based on these assumptions.

While measuring in the overview map, measure lines will snap to 90° and 180° angles to facilitate quick and easy measurement of common structures. Hold down the Shift Key at any time during your measurement to override angle snapping temporarily. When the Shift Key is released, angle snapping will automatically be reactivated.

Hold down the Ctrl Key while measuring to drag the map right, left, up or down if areas of interest are not currently visible.

Overview map measurements cannot be directly linked to individual scans; they are related to the whole workspace. Please note that measurements created in the overview map are saved to the workspace as soon as you download it. They will be shown in SCENE LT in the overview map of the related scan project.. For more information, see chapters 6.2.7 and 6.2.8 .

6.2.5.1.2 Characteristics of Point-to-Point Measurements in the Panoramic Scan View

A single mouse click on a measurement in the panoramic view displays additional information without opening the measurement properties dialog:

· The total distance of the measurement,

· its horizontal and vertical distances and

· the distances along the X- and Y-axis.

Figure 6‑11: Point-to-Point Measurement in panoramic view with additional information

Invalid point-to-point measurements are displayed as a red dashed line. Invalid measurement points are indicated by a red outline as illustrated in Fig. 18-11. Invalid measurements may occur when you point the measurement tool to areas without scan points, like the sky or areas with heavily filtered scan points.

Figure 6‑12: Invalid Point-to-Point Measurement in panoramic view

Point-to-point measurements created in the panoramic view are linked to the individual scan and will be saved to the workspace as soon as you download it. They will be available in SCENE LT when opening the workspace. For more information, see chapters 6.2.7 and 6.2.8 .

6.2.5.2. Area Measurements

Area measurements are only available in the overview map. The area measurements tool is very similar to the point-to-point measurements tool. Click the [image] button or push “A” on your keyboard to start an area measurement.

Areas of non-intersecting polygons can be computed. If multiple area measurements exist, the total area of all current area measurements is computed and displayed at the bottom of the overview map window.

Please note that the total area computation simply adds up areas of existing measurements without taking overlapping areas into account.

Similar to point-to-point measurements, a properties dialog opens when double-clicking onto the outline of an existing measurement. To delete existing measurements either open the properties dialog and press the “Delete” button or hover over the measurement with the mouse cursor and press the Del key.

While measuring in the overview map, measure lines will snap to 90° and 180° angles to facilitate quick and easy measurement of common structures. Hold down the Shift Key at any time during your measurement to override angle snapping temporarily. When the Shift Key is released, angle snapping will automatically be reactivated.

Hold down the Ctrl Key while measuring to drag the map right, left, up or down if areas of interest are not currently visible.

Please note that area measurements created in the overview map are saved to the workspace as soon as you download it and will be shown in SCENE LT in the overview map of the related scan project. For more information, see chapters 6.2.7 and 6.2.8 .

Figure 6‑13: Overview Map Area Measurements

6.2.5.3. Measurement Visibility

The visibility of measurements can be controlled with this button. It toggles visibility for all measurements in the respective view. The black icon indicates that measurements are currently displayed; the white icon indicates that measurements are currently hidden.


Documentation Objects

6.2.6. Documentation Objects

Documentation objects are only available in the panoramic view. As known from SCENE LT, documentation objects can be attached to points of interest and consist of a unique name, a description and a list of hyperlinks.

Click the [image] button or push “D” on your keyboard, and then click into the panoramic view to create a documentation object; the documentation properties dialog will be displayed.

Figure 6‑14: Documentation Properties Dialog

Fill in the information for the documentation object and finalize it by pressing OK.

Under Links you may add web sites, mail addresses or links to files related to the documentation object.

To add a file to the documentation object, just enter its filename (including the file extension) into the input field and add it to the list. This file can be opened if it is stored in the folder “Documents” in the project’s directory on the WebShare server. So all you have to do is to manually copy the linked file to that folder on the WebShare server. You cannot upload files to the server via the WebShare user interface.

If the documentation object was created in SCENE and has been exported with the WebShare project, already present links to files will work if these files are available in the above mentioned folder on the WebShare server. When opening such a file, SCENE WebShare will ignore the given path and will search for the file in the “Documents” folder of the project’s directory on the WebShare server. The file will be opened by SCENE WebShare if it is available in that folder.

Please note that similar to SCENE, object names may only consist of letters, numbers “_” and “-“. All other characters (including blanks) are not allowed.

Figure 6‑15: Documentation Objects in the Panoramic View

Double-click on existing documentations to bring up the properties dialog. The position of documentation name plates can be changed by dragging them around with the left mouse button held down.

To delete existing documentation objects you can either open the properties dialog and press “Delete” or hover over it with the mouse cursor and press the “Del” key.


Saving / Downloading Workspaces from the Web Server

6.2.7. Saving / Downloading Workspaces from the Web Server

You can download a workspace at any time by clicking the [image] button in the project section of the control panel. All your current measurements and documentations will be saved to the downloaded workspace. After saving the workspace to your local hard disk drive you may open it up in SCENE LT. Measurements and documentations from your SCENE WebShare session are included in this workspace. The workspace is fully compatible to SCENE LT. Please note that the downloaded workspaces are not associated with a scan project. To establish a connection to an existing scan project in SCENE LT, you may use the save as option as described in chapter 2.2 or save the downloaded workspace to the folder of the related scan project. When opening, the downloaded workspace will then be treated as a local workspace of the scan project. You may then share the changes made in SCENE WebShare to the scan project so that they get available in the project workspace. Overview map measurements made in SCENE WebShare are displayed in the project’s overview map in SCENE LT, if the overview map is available (see chapter 3.8 for more information).

Please note that measurements and documentations created within your WebShare session will never be saved on the WebShare server. Permanent changes to WebShare projects can only be made by changing the original export data on the server. For example, replace the originally exported workspace file with an updated version of the workspace. The new workspace may be a workspace that was previously downloaded after adding measurements and documentations to it.

A WebShare session ends after 30 minutes of inactivity or when you leave the WebShare page. All your current measurements and documentations will then be lost if you haven’t downloaded the workspace before.

As they are not saved on the WebShare server, measurements and documentations created within your session are only visible to you. If you want to share them with others you have to send them your downloaded workspace or permanently change the original export data on the server as described above.


Uploading Local Workspaces to the Web Server

6.2.8. Uploading Local Workspaces to the Web Server

As mentioned in Chapter 18.3.7, persistent changes to SCENE WebShare projects on the server are not supported directly. Modified user data will not be saved on the server persistently. However, by downloading workspaces you can save changes to your local hard disk drive at any time. You may also have modified the originally exported data since the time of the WebShare export. This means that you own an updated version of a SCENE WebShare project. Local workspaces in SCENE LT and SCENE WebShare workspaces are compatible so that local workspaces can be loaded in SCENE WebShare. You may use your updated local data for any of your remote SCENE WebShare sessions. When connecting to the SCENE WebShare server you can decide whether to use the original project data – as it is stored on the server - or to temporarily use an updated version of that same project’s local workspace for that session. Click the projects [image] button in the SCENE WebShare start screen (See Fig. 18-2) to open an upload file dialog. Pick the updated local workspace file to open your local workspace instead of the server’s copy for this SCENE WebShare session. The server will now load and open the project by using your local workspace file. If you are not working with local workspaces in your scan project you may create a local workspace from the project workspace first. All changes to the workspace since the time of the original WebShare export are now being displayed in WebShare as well.

Obviously this is limited to workspace changes. If any of the scan data changed, these changes will not be shown inside WebShare. For example if you deleted one scan from the workspace, it will no longer be selectable inside WebShare, it will not show up in the list of scans but it will still show up in the overview map since altered map data is not part of the workspace itself. If you have added or deleted measurements and documentations, these changes will show up when using the workspace on a remote SCENE WebShare server.


FARO Focus3D Scanner Administration

7. FARO Focus3D Scanner Administration

The built-in FARO Focus3D scanner administration functionality of SCENE LT allows you to manage your Focus3D SD cards, scanner snapshots and your scan projects.

You can open the scanner administration of SCENE LT under View > Administration View or in the projects selector by clicking on the Scanner Administration button. For more information, see chapter 2.4 .

Figure 7‑1: Scanner Administration

Structure view

Administration view

7.1 Items in the Structure View of the Scanner Administration

7.2 Administration View

7.3 Managing Snapshots

7.4 Managing Scan Projects

7.5 Transferring Firmware Updates to your Scanner

7.6 Scanner Service Request


Items in the Structure View of the Scanner Administration

7.1. Items in the Structure View of the Scanner Administration

7.1.1 Scanner Snapshots

7.1.2 SD Cards

7.1.3 Projects


Scanner Snapshots

7.1.1. Scanner Snapshots

Each time you start a scan on your FARO Focus3D scanner, it automatically saves its entire settings to the currently inserted SD card. Thus, a Focus3D SD card not only contains the captured scans but also an automatic snapshot of all system settings, scanning parameters, scan profiles, scanner operators and scan projects that are currently available on your scanner. When you insert a Focus3D SD card into your computer, it will automatically be recognized by SCENE and you will be asked whether to start an automatic data transfer or not. Clicking yes will import new scans from the SD card and create a local copy of the automatic scanner snapshot. The local copy of this automatic scanner snapshot can be found under the folder Scanners in the structure view of the scanner administration and bears the name of your scanner's serial number.

With the scanner administration in SCENE LT you can also set up new scanner snapshots from scratch. These scanner snapshots can be configured according to the needs of your scan projects, which means that you can create several new snapshots with differing settings, profiles, operators and projects according to the needs of different scan projects and transfer their configurations to your FARO Focus3D scanner(s) whenever needed. You can find these new scanner snapshots in the structure view under the folder Scanners.

The structure view shows the complete file structure of the snapshots. You can perform delete commands on the folders and files via their context menu.


SD Cards

7.1.2. SD Cards

The folder SD-Cards contains the FARO Focus3D SD cards that are currently inserted to your PC. Here, the complete content of the SD Card is shown. You can perform delete commands on the folders and files via their context menu.


Projects

7.1.3. Projects

The folder Projects contains all scan projects that are already known to SCENE LT. With the help of the scanner administration you can prepare or create new projects and transfer them to your FARO Focus3D (see chapter 7.4).


Administration View

7.2. Administration View

With the administration view you can view and modify the scanner settings, scan profiles, scanning parameters, projects and scanner operators of all available scanner snapshots. If a SD card is inserted to your PC, the administration view of the automatically created scanner snapshot is initially shown. To open the administration view of another snapshot, double-click the respective item under the Scanner or the SD-Cards folder in the structure view or select the administrate command in its context menu.

Design and functionality of the administration view in SCENE LT is the same as of the user interface that runs on the touch screen of the FARO Focus3D scanner. Please refer to the FARO Laser Scanner Focus3D manual for details about how to change the scanner settings, create and edit scan profiles, scanner operators and projects.


Managing Snapshots

7.3. Managing Snapshots

7.3.1 Editing the Automatic Scanner Snapshot on the Inserted SD Card

7.3.2 Creating a New Scanner Snapshot

7.3.3 Restoring and Editing Manually Created Scanner Backups

7.3.4 Restoring the Local Copy of the Automatic Scanner Snapshot

7.3.5 Transferring a New, Modified or Restored Snapshot to Your Scanner


Editing the Automatic Scanner Snapshot on the Inserted SD Card

7.3.1. Editing the Automatic Scanner Snapshot on the Inserted SD Card

When you open the scanner administration in SCENE LT, the administration view of the automatic scanner snapshot of the currently inserted SD card will initially be shown. You can also open the administration view of this automatic snapshot by selecting the Administrate command in the context menu of the SD card.

Make your changes in the administration view. Please refer to the scanner manual for details about how to change the scanner settings and how to create new and edit existing scan profiles, scanner operators or projects.

When finished, remove the SD card from your PC and insert it into your scanner. For more information, see chapter 7.3.5.


Creating a New Scanner Snapshot

7.3.2. Creating a New Scanner Snapshot

To create a new scanner snapshot, right click the Scanners folder in the structure view and select New - Scanner Snapshot in its context menu. SCENE LT will create a new scanner snapshot and open its administration view. Configure the scanner settings and create profiles, projects and scanner operators according to your needs. You can rename the snapshot by selecting the Rename command in its context menu.

You can also create a new snapshot based on the content of an already existing snapshot. To do this, create a new scanner snapshot, then select the base snapshot and drag it onto your newly created snapshot. Now you have a duplicate copy of your original snapshot that can be modified according to your needs.

To transfer a newly created snapshot to your scanner, select it in the structure view and drag it to the SD card item under the folder SD-Cards. Please note: This will replace the data of your SD card snapshot with the data of the new snapshot. The scans on the SD card remain unaffected by this operation.

When finished, remove the SD card from your PC and insert it into your scanner. For more information, see chapter 7.3.5.


Restoring and Editing Manually Created Scanner Backups

7.3.3. Restoring and Editing Manually Created Scanner Backups

The FARO Focus3D scanner allows you to manually create backups of your scanner data. You can modify these backups with SCENE LT and transfer the modified configuration data back to your scanner.

If you have a scanner snapshot that contains manual backups, open the administration view of this snapshot in SCENE LT and go to Manage > Service > Restore. You will then get a list that contains all the manually created backups that are available in the currently administrated snapshot as well as its automatically created scanner snapshot

Figure 7‑2: Restore manual backup

Click on the backup that you want to restore (_AUTO_BACKUP is the automatically created scanner snapshot, _SCENE_BACKUP the snapshot that has been modified or created with SCENE) and a new screen will appear.

Figure 7‑3: Select restore data

Select the configuration data that you want to restore from the selected backup and press the Restore button.

Note: The restored configuration data will override the configuration data of the administrated snapshot. E.g. if you want to restore or import scan profiles, all the existing scan profiles of the administrated scanner snapshot will be overridden by the profiles of the backup.

You can now modify the restored configuration data and transfer it back to your scanner. For more information, see 7.3.5.


Restoring the Local Copy of the Automatic Scanner Snapshot

7.3.4. Restoring the Local Copy of the Automatic Scanner Snapshot

As described above, SCENE LT will create a local copy of the automatic scanner snapshot. This local copy bears the serial number of the scanner and can be found in the structure view under Scanners. To restore the local copy of your automatic scanner snapshot on your scanner, select it in the structure view. Then drag it to the SD card item under the folder SD-Cards. The configuration data on the SD card will be replaced by the configuration data of the snapshot, the scans on the SD card remain unaffected by this operation. When finished, transfer it to your scanner. For more information, see 7.3.5.


Transferring a New, Modified or Restored Snapshot to Your Scanner

7.3.5. Transferring a New, Modified or Restored Snapshot to Your Scanner

As soon as you have inserted the SD card with a new, modified or restored snapshot into your scanner, you will be asked by the scanner‘s operating software whether to update the scanner with this snapshot or to keep the current scanner settings. Clicking yes will transfer the settings from your SD card to the scanner.

Please note: this will override all current scanner settings, scan profiles and scanner operators with the configuration data of the new scanner snapshot.

You can also transfer your new, modified or restored scanner snapshot later using the restore functionality in the scanner's operating software. To do this, go to Manage > Service > Restore in the scanner's operating software. Select the list item _SCENE_BACKUP, and then select the data that you want to restore and press the Restore button. For more information, see the scanner manual.

If you own several scanners and if you want to make sure that they all have the same configuration, you can transfer one snapshot to several scanners which will then have duplicate configurations.


Managing Scan Projects

7.4. Managing Scan Projects

The scanner administration in SCENE LT provides a quick and convenient way to prepare your scan projects in advance. Projects prepared with SCENE LT usually represent the spatial distribution of your real scan projects and can be transferred to your scanner via the SD card. In the scanner‘s operating software, when carrying out the scan project, you can then assign scans to the created scan project or one of its subprojects. This information is very helpful for the later scans registration and will be used to automatically combine the scans to scan clusters..

To create a new project, right click the Projects folder in the structure view of the scanner administration and select New > Project. You will be asked to give the project a name and to specify its storage directory. To open an existing project, double click the project in the structure view or select Load in its context menu.

To add subprojects, add new scan folders or clusters to your main cluster by selecting New > Scan Folder in its context menu.

Figure 7‑4: Workspace with project structure

When finished, save the scan project and return to the scanner administration view. Select your project in the structure view and drag it onto a snapshot or a SD card. This will add the new project with all of its subprojects to the respective snapshot. Already existing projects will not be deleted. If the added project already exists on the snapshot, it will be updated with the changes you have made. Transfer the snapshot with the added project to your scanner. For more information, see chapter 7.3.5.


Transferring Firmware Updates to your Scanner

7.5. Transferring Firmware Updates to your Scanner

To transfer firmware updates to your FARO Focus3D scanner, drag and drop the firmware update file from the windows explorer to the SD card item in the structure view of the scanner administration. SCENE LT will then copy the file to your SD card into the folder Updates. If this folder does not exist, it will automatically be created. Remove the SD card from your PC and insert it into your scanner. To install the firmware update on your scanner, go to Manage > Service > Firmware in the operating software of the scanner and press the Update button. For more information please refer to the scanner manual.


Scanner Service Request

7.6. Scanner Service Request

In case of problems with your scanner, you can send a scanner snapshot with the current settings of the scanner to the FARO Customer Service that can then analyze the snapshot to find the cause of error. To do this, select Scanner Service Request in the context menu of the respective scanner snapshot. Your default email client should start automatically with an open email window that has the snapshot attached. Please send this E-Mail with a detailed description of your scanner failure to the FARO Customer Service.


Miscellaneous

8. Miscellaneous

8.1 Apps

8.2 DrawToCAD

8.3 File formats

8.4 Local Workspace and Scan Project File Structure

8.5 Coordinates

8.6 Exemplary Driver Configuration for the Stereoscopic Mode


Apps

8.1. Apps

For developers, SCENE LT offers an application programming interface (API) which gives them the opportunity to integrate their own functionality into SCENE LT. This API allows anyone to create custom applications (Apps) which integrate seamlessly into the SCENE LT user interface. Developers are free to share their Apps with others (for free or for sale), so that everybody can benefit from them.

Apps are installed to a folder called “Apps” which is located in the SCENE LT program folder. Each App has its own separate subfolder. To install an App, you may simply copy its folder into the “Apps” folder or use an installer which has to be provided by the App itself. Installed apps are loaded when SCENE LT starts up and keep running while SCENE LT is executed.

To remove an App, simply remove its folder from the “Apps” folder. You need to restart SCENE LT for the changes to take effect.

Installed Apps have to be compatible to the SCENE LT version for which they are installed. When SCENE LT detects an incompatibility to an installed App a dialog is displayed to notify about the App which caused the inconsistency. In this case please contact the App developer to receive an update version of the App.


DrawToCAD

8.2. DrawToCAD

SCENE LT offers a feature for modeling. With DrawToCAD it is possible to draw in the Planar View of SCENE LT and the coordinates are transferred directly into AutoCAD. For this, the software FARO Cloud for AutoCAD is necessary.

DrawToCAD will transfer the coordinates to AutoCAD according to the unit of length for data export selected in the options of SCENE LT (see also 9.1.4.1.3 ).

Figure 8‑1: DrawToCAD

8.2.1 Installation

8.2.2 Working with FARO DrawToCAD


Installation

8.2.1. Installation

During the installation process of SCENE LT you can select to add the DrawToCAD feature. Please note that FARO Cloud for AutoCAD and AutoCAD have to be installed on your system in order to use this feature.

In SCENE LT you will get an additional menu.

Figure 8‑2: DrawToCAD Toolbar


Working with FARO DrawToCAD

8.2.2. Working with FARO DrawToCAD

The idea behind FARO DrawToCAD is to draw in the Planar View of SCENE LT. Here the point cloud looks like a picture and the modeling is much easier as compared to working directly on the point cloud in AutoCAD.

Open SCENE LT and AutoCAD.

For the overview it is helpful to open both windows side by side on the screen.

Click on Connect to AutoCAD [image] . If the connection was successful the two other buttons [image] and [image] are now available.

FARO DrawToCAD reflects the two different modes that are available in AutoCAD:

1. Work with 2D Coordinates:

Choose a draw option in AutoCAD

Figure 8‑3: AutoCAD toolbar

Then click on Transfer 2D [image] in FARO DrawToCAD. Now click on the points in the Planar View. The coordinates of the selected points are transferred directly into AutoCAD.

2. Work with 3D Coordinates:

Choose the 3D-Ployline in AutoCAD. Now click on Transfer 3D [image] in FARO DrawToCAD.


File formats

8.3. File formats

8.3.1 Survey Data .csv

8.3.2 General Scan Data Format .xyz

8.3.3 Binary Scan Data Format .xyzb

8.3.4 Scan Data Format .ptc

8.3.5 Scan Data Format .ptx

8.3.6 Scan Data Format .ptz

8.3.7 Scan Data Format .zfc

8.3.8 IGES

8.3.9 Scan Data Format .e57


Survey Data .csv

8.3.1. Survey Data .csv

Each row of the file contains one single reference point with the following specifications: name, x coordinate, y coordinate, z coordinate and measurement quality. All four specifications have to be given and have to be separated by the same separator, which can be a blank space, a colon, a semicolon or a tab. The coordinates are specified in the unit that has been defined in Tools > Options > Units. Please note that SCENE LT uses a right handed coordinate system.


General Scan Data Format .xyz

8.3.2. General Scan Data Format .xyz

Each row of the file contains one scan point. There are two variants:

With the first variant, the x coordinate, y coordinate, z coordinate and the reflection value are specified for each scan point.

With the second variant, two additional specifications are made for each scan point: the row and the column in the planar representation.

When exporting, the coordinates are converted into the export unit selected at the time; when importing it is assumed that the coordinates will be received in the selected import unit.

When exporting, the reflection value that was also used for the screen representation is taken, so it lies between 0 and 255.

When importing a xyz file that contains both, RGB and intensity values, the RGB values are used.


Binary Scan Data Format .xyzb

8.3.3. Binary Scan Data Format .xyzb

The file starts with details in ASCII format.

The first line reads: # FARO XYZ binary format v1.0

The second row contains the specification ScanPosition, made up of the x coordinate, y coordinate and z coordinate of the scan position.

The third row contains the specification Rows followed by the number of rows.

The fourth row contains the specification Cols followed by the number of columns.

This is followed by 4 bytes with 0 displayed to mark the start of the binary data.

This is then followed by the binary data for each scan point: x, y, and z as the double and the reflection value as the unsigned short. There is no separator between scan points.

All scan points of the area are exported, the values are metric.


Scan Data Format .ptc

8.3.4. Scan Data Format .ptc

PTC is the data format of FARO Cloud, which is used to display point clouds in AutoCAD.

Please note that the export first collects all the scan points before it starts writing the file, therefore the memory demand might be very big.


Scan Data Format .ptx

8.3.5. Scan Data Format .ptx

This format is especially suited for exchanging scan points and their corresponding coordinate transformation.

All values are given in ASCII and are metric. The first line states the number of columns, the second line the number of rows. In the next line, the translation part of the transformation is given (a 3D vector). After that, 3 lines with the rotation part follow (a 3x3 matrix). The next 4 lines contain the full transformation (a 4x4 matrix). Finally the scan points are written, one scan point per line: x, y, z, and a reflection value. In addition, 3 RGB values may follow. The reflection value is between 0 and 1.

When importing a PTX file, the following dialog pops up:

Figure 8‑4: PTX import dialog

Row/Column Orientation

Rows per column - The input file contains the data column-wise, i.e. it starts with all the rows of the first column, then all rows of the second column, and so on. Good when importing FARO PTX files.

Columns per row - The input file contains the data row-wise, i.e. it starts with all columns of the first row, then the second row, and so on.

Intensity Mapping

Linear - A linear mapping of intensity values to grey values.

Non-linear - A non-linear mapping of intensity values to grey values. Good when importing e.g. Leica PTX files.

If the PTX file contains RGB values, intensity mapping is not done. The RGB values are used instead.

If the PTX file contains both, RGB and intensity values, the RGB values are used.

If your input looks like garbage in the planar view, but seems to be OK in the 3D view, then try the import again with a different row/column orientation.


Scan Data Format .ptz

8.3.6. Scan Data Format .ptz

PTZ is the binary data format of Leica HDS scan files, which are usually created with Leica’s scan software Cyclone.

When importing a PTZ file, the following dialog pops up:

Figure 8‑5: PTZ import dialog

Intensity Mapping

Linear - A linear mapping of intensity values to grey values.

Non-linear - A non-linear mapping of intensity values to grey values. Good when importing e.g. Leica PTZ files.

If the PTZ file contains colors, intensity mapping is not done. The colors are used instead.


Scan Data Format .zfc

8.3.7. Scan Data Format .zfc

ZFC is the binary data format of processed Z+F (Zoller+Fröhlich) scan files. These file format is usually created with Z+F’s scan software LFM.

Please note that to date .zfc import is only available on 32-bit systems.


IGES

8.3.8. IGES

IGES is a multivendor-capable standard for the exchange of CAD drawings. SCENE LT uses IGES version 5.3 with the following objects:

Scan point: IGES type 116 (Point Entity)

Point: IGES type 116 (Point Entity)

Sphere: IGES type 158 (Sphere Entity)

Plane (idealized): IGES type 108, form 0 (Plane Entity, unbounded);

Plane (as a square): IGES type 108, form 1 (Plane Entity, bounded); edge as IGES type 106, form 63 (Simple Closed Planar Curve Entity)

Limited plane: IGES type 108, form 1 (Plane Entity, bounded); edge as IGES type 106, form 63 (Simple Closed Planar Curve Entity)

Object name: IGES type 212 (General Note Entity)

Unfortunately not all CAD systems convert the IGES standard completely and correctly.

For example, CATIA and Autodesk Mechanical Desktop do not import IGES type 158. Therefore, you cannot display any spheres in these systems.

CATIA does not import IGES type 212 either, so the object names are also dropped.


Scan Data Format .e57

8.3.9. Scan Data Format .e57

This scan data format is a vendor-neutral standard for storing point cloud data produced by 3D imaging systems. The “ASTM E57 3D file format” (officially ASTM E2807) is a format for three dimensional imaging data such as laser scans. The E57 file used as shorthand for “ASTM E57 3D file format” and is a combination of binary data and XML (extensible Markup Language).

An E57 file can store 3D point data, attributes associated with 3D point data such as RGB and/or intensity values.[1]

When exporting scans to the E57 file format, the following information will be stored in the exported file:

· For each scan point, the xyz-coordinate, RGB and/or intensity values and the corresponding index of row and column. This information is part of the binary section of the E57 file. It is possible to store several scans in one E57 file.

· Additional Meta information like the scan name, the unique ID (Uuid) of a scan and the software version that is used for the export[2]. This information is stored in the XML-part of the E57 file.

SCENE LT supports the import of several features of the E57 file. When importing, the E57 file has to contain xyz or spherical coordinates as well as RGB and/or intensity values for each scan point. If the E57 file contains RGB and intensity values, the RGB values are used. If the E57 file doesn’t contain information about row/column ordering, the following dialog pops up asking you to manually select the correct ordering of the file.

Figure 22–3: E57 import dialog

Row/Column Orientation

Rows per column - The input file contains the data column-wise, i.e. it starts with all the rows of the first column, then all rows of the second column, etc..

Columns per row - The input file contains the data row-wise, i.e. it starts with all columns of the first row, then the second row etc..

Currently, SCENE LT doesn’t support import or export of associated 2D images.


Local Workspace and Scan Project File Structure

8.4. Local Workspace and Scan Project File Structure

Local workspaces are saved in the file system as a file with the extension .fws. In the folder where a local workspace file is saved, SCENE LT maintains another folder called Workspaces. Each local workspace has one dedicated folder inside Workspaces. This folder contains all the local scan files, local scan point clouds, local scan meta information and other local data that are part of the local workspace. This data is organized in several folders:

· 3Scans: Local scan point clouds

· Scans: Local scans

· ScansMeta: Local scan meta information

· Revision.dat: Revision information

Local workspaces may be saved anywhere on your local hard disk drive and do not necessarily have to be saved inside the scan project folder.

Workspaces may contain scans from different manufacturers; however, they are uniformly saved in the much-compressed FARO Laser Scan format, to use the capacity of the data medium efficiently. The hierarchical structure of the scan within the workspace is not mirrored in the Windows file system.

The separation between the workspace and the scans was introduced because, despite their compressed format, the scans take up a great deal of space on the hard disk drive. It is therefore possible to create several workspaces that contain the same scans without the space requirement on the data medium increasing too greatly. You can use this, for example, if you have made changes in the local workspace. You can save the different versions as separate files without duplicating all scan files.

Scan projects are represented by a number of folders in the Windows file system:

· RawScans: Contains a copy of the initial state of all scans of the scan project. Consider this as a backup of the unmodified scan data of your scan project.

· Revisions: All revisions of the scan project will be saved in this folder.

· Workspaces Local workspace data from local workspaces saved in the scan project folder (same as described above)

For more information on local workspaces and scan projects, see chapter 2.1.


Coordinates

8.5. Coordinates

The coordinates of a point describe its exact location in relation to an agreed reference point. This reference point is referred to as the origin of the coordinate system. With a scan, you receive points in the three dimensional space, therefore, for a precise description of a measured point, you need the definition of the origin and three other values which then indicate the relative location to this origin.

Depending on the choice of origin, you can decide between local coordinates or global coordinates. The three other values can be set to different degrees, so that you obtain polar coordinates or Cartesian coordinates, for example.

8.5.1 Local Coordinates

8.5.2 Global Coordinates


Local Coordinates

8.5.1. Local Coordinates

When scanning, the position of the scanner emerges as the natural origin of the coordinate system because when recording the scan, all position specifications of the points are initially recorded in relation to the scanner. This coordinate system is therefore described as the local coordinate system.

8.5.1.1. Polar Coordinates

Due to the rotation of the scanner, its natural coordinate system is the polar coordinate system, with which two angles and a distance value are used to determine the position.

Figure 8‑6: Polar coordinates

For the single scan points created by the scanner, you can find the polar coordinates in the bottom status bar:

Figure 8‑7: Display the polar coordinates of a scan point

8.5.1.2. Cartesian Coordinates

In day to day use, you would generally use Cartesian coordinates, which have a direct reference to concepts such as length, width and height, rather than polar coordinates.

Figure 8‑8: Cartesian coordinates

The conversion of polar coordinates into Cartesian coordinates occurs automatically in SCENE LT. It is completely independent from the location of the scanner or other influencing variables because it simply converts between two types of representation at the same level. The converted coordinates are displayed directly next to the polar coordinates in the bottom status bar:

Figure 8‑9: Display of the Cartesian coordinates of a scan point


Global Coordinates

8.5.2. Global Coordinates

If a scan is viewed in its 3D position against another scan, local coordinates are no longer practical. If, for example, two scans were recorded at different positions, the points within each one can have the same local coordinates; they match reality but not one another.

Therefore, you should relate the coordinates to one reference point which remains the same for all scans. This reference point is normally selected so that it is also possible to make a comparison using other systems, for example a CAD system.

By doing so, you can view polar coordinates and Cartesian coordinates again. However, since the polar coordinates do not produce a clearer representation than the Cartesian coordinates, you will find no use for them in this environment and they are therefore not explained in any more detail here.

8.5.2.1. Coordinate Transformation

You can calculate the global coordinates using the local coordinates of a point if you know the relationship between the local and the global coordinate system. To do this, you transfer the local coordinates into global coordinates by tracing the movement which would make both coordinate systems match. You can differentiate between two types of movement:

If the local origin does not match the global origin, all coordinate specifications must be moved by the difference between the local and global origin. This movement is also called Translation.

Figure 8‑10: Translation

If the orientation of the coordinate axes is different, you have to make them match with a Rotation.

Figure 8‑11: Rotation

The rotation is described by a rotation axis and the corresponding angle of rotation. Generally, any rotation can be described with a single rotation axis; this rotation axis, however, does not necessarily match one of the coordinate axes! It is then sometimes difficult to make this rotation graphically clear. However, you can also split the rotation up into three separate rotations around the coordinate axes. In this type of representation you can imagine the result of a rotation more easily. SCENE LT saves the rotation internally with a single rotation axis and a single angle of rotation; the user interface, however, displays the more comprehensible type of representation of the three rotations around the coordinate axes. Please note that when splitting the rotation into three separate rotations around the coordinate axes, it is important to have a defined sequence of the axes. If you first rotate around x, then around y, and finally around z with some specific angles of rotation, you get different results than you would get with the sequence x, z, y.

Figure 8‑1: Rotation of 90° around y and then 90° around z

Figure 8‑2: Rotation of 90° around z and then 90° around y

In the user interface, SCENE LT uses the sequence x-y-z.

If you want to fine-tune a rotation on a per-axis basis, this default sequence may lead to some unexpected behavior. For example if you want to place an object interactively and you are so far satisfied with the orientation around the x axis and the z axis. Now you want to adjust the orientation around the y axis – but when you change the corresponding rotation angle, the object seems to move around a totally different axis! This is simply caused by the fact that the rotation around the y axis is applied in the middle of the two other rotations. A more intuitive behavior is achieved when the rotation is last in the sequence. You can enforce this more appropriate sequence, when you checkmark Axis snap in the dialog.

Local coordinates can always be transferred into global coordinates with a simple combination of these two basic movements: translation and rotation. This transfer is also called Transformation. The sequence in which the basic movements are executed is important because it makes a big difference whether you first move and then rotate or first rotate and then move. In SCENE LT the rotation takes place first and then the translation.

8.5.2.2. Coordinate Transformation of a Scan

In order to know the coordinate transformation of a scan, you have to know its position and orientation. You can see these values if you click on the scan with the right mouse button in the structure view and select Properties in the context menu.

On the Scan tab, the position and orientation are displayed in compact notation with a single angle of rotation.

Figure 8‑12: Orientation displayed compactly

On the Transformation tab, you will see the same information displayed in a more intuitive way.

Figure 8‑13: Orientation displayed more intuitively

Of course, coordinate transformations can not only be applied to local coordinates but can also be used to convert from one global coordinate system to another. For example, you could use a hall coordinate system as the first coordinate system, which has the origin in the corner of a hall and whose axes run along the walls of the hall. On a greater scale, you could define a plant coordinate system whose origin lies in the south-west corner of the plant premises and whose axes match the four points of a compass.

Figure 8‑14: Hierarchical transformations

Then you only have to describe the transformation between the hall and the plant premises to automatically obtain all the coordinate specifications within the hall in plant coordinates. SCENE LT proceeds hierarchically from inside to outside: first, the local coordinates within the scan are transformed into hall coordinates and these are then converted into plant.

The position of the scan is not only stored in the Workspace and its corresponding file .fws, but also in the scan file itself. When using hierarchical transformations, you should note that the scan file only stores the local transformation, not the global. In the example above, this means that the scan file only contains the relative position to the hall, not to the plant.

8.5.2.3. Transformation and Registration

Registration of scans is always performed in the global coordinate system. If you have added transformations in the scan folders, these transformations will of course also be used during the registration. The result might not be the one you expected: the scans will be positioned on the same global coordinates as they would have without the additional transformations! Only their local coordinates may differ.

If you want to add a transformation because you don’t want to use the coordinate system of the surveyor, you should input it into the References folder.


Exemplary Driver Configuration for the Stereoscopic Mode

8.6. Exemplary Driver Configuration for the Stereoscopic Mode

This chapter describes how to enable OpenGL Stereo for an exemplary hardware and driver configuration. Enabling OpenGL Stereo on comparable configurations should be similar. The stereoscopic mode will most likely run with other driver versions, too. However, the menu structure may look different than described here.

Exemplary hardware and driver configuration used for this description:

  • Hardware
    • NVIDIA Quadro Graphic Card
    • NVIDIA 3D Vision (Shutter Glasses)
    • 120 Hz Monitor
    • Compatible cable (HDMI 1.4 or Dual Link DVI)
  • Driver
    • NVIDIA Quadro/Tesla Driver (Release 295.73)

1) Enabling OpenGL quad buffering

  • Open the NVIDIA system control, e.g. via right clicking on the Desktop and choosing NVIDIA system control in the context menu.
  • In the NVIDIA system control tool select Manage 3D Settings in the structure tree on the left. In the pane that is shown on the right set 3D OpenGL Stereo as global preset under global settings.

Figure 8‑15: Enabling OpenGL quad buffering

2) Set the 120 Hz Monitor as the primary output device (only when using multiple displays)

  • Select Set up multiple displays in the structure tree on the left. In the pane that is shown on the right, right click on the 3D monitor and select Make this the Windows main display.

Figure 8‑16: Select primary display

3) Ensure that the monitor refresh rate is set to 120 Hz

  • Select Change resolution in the structure tree. Select the 3D monitor and then choose 120 Hz in the refresh rate drop down box. The refresh rate of 120 Hz is not available for some resolutions. If the refresh rate is not available for any resolution, the display was not recognized as a 3D display. In this case refer to the manual of the display.

Figure 8‑17: Select primary display

4) Activate NVIDIA vision

  • Switch on the shutter glasses by pressing the button on its left temple.

Please see chapter 3.5.1.6 on how to enable the stereoscopic mode in SCENE LT and view the point clouds in 3D.


Reference Handbook

9. Reference Handbook

9.1 Menu Bar

9.2 Toolbars

9.3 Context Menus

9.4 Properties


Menu Bar

9.1. Menu Bar

Figure 9‑1: Menu bar

9.1.1 File

9.1.2 Edit

9.1.3 View

9.1.4 Tools

9.1.5 DrawToCAD

9.1.6 Window

9.1.7 Help


File

9.1.1. File

Figure 9‑2: File Menu

New - Create a new local workspace or a new scan project. If you open a new project you are asked to provide its storage location and its name. The new local workspace or the new scan project and its project workspace are initially empty and you have to fill them.

Open - Opens an existing project, workspace or scan.

Close - Closes the loaded workspace. If the workspace has been changed, you will be asked whether you want to save the changes.

After closing, a new empty workspace is automatically created.

Save - Saves the workspace. If the workspace has not been saved yet, you will be asked to specify a location to save it to.

When saving, the scan data is saved separate from the other workspace data. The scan data is saved in files with the extension .fls in a folder called Scans. The remaining data of the workspace is saved in a file with the extension .fws.

Saving can fail if the files are write-protected by Windows. Also, changed scan data is not saved if the appropriate setting was set under Tools > Options > Scan Data (see chapter 9.1.4.1.7).

Save As - Saves the opened local workspace under a different name and possibly in a different location.

If the workspace does not belong to a scan project yet, you may add it to an existing project or to a new project. In this case, the following Save As dialog appears:

Figure 9‑3: Save As

Project:

Location – Path to the project.

Name – Name of the existing or new project.

Use Existing – Click to select an existing project and add the workspace as a local workspace to this project.

Create New – Click to create a new project and add the workspace as a local workspace to this project.

Workspace:

Path and Filename – Select the path and filename for the local workspace.

If the workspace is already a part of an existing project, the workspace will be saved as a local workspace under a different name and possibly in a different location but stays part of this project. You cannot add the workspace to another project.

Import - Adding additional data, and expanding the current workspace.

The following data can be imported:

· Scans – Scans can be imported in FARO Laser Scan format, SCENE LT can import scans in Leica’s PTZ, in Z+F’s ZFC format as well as in other formats: .e57, .ptx, .xyz. For more information on the supported file formats, please see chapter 8.3.

· Survey data – The coordinates of the scan points that are extracted for registering the scan (file format see chapter 8.3.1). If a scan point with the same name already exists in the workspace, its values are overwritten.

· CAD Models – Can be imported in the multivendor-capable format VRML. For this, see chapter 4.2.6.

· Workspaces – Expands the current workspace by all the elements from the imported workspace. If the imported workspace and the current workspace have an object with the same name, it is replaced by the object from the imported workspace.

Print - SCENE LT can print the current planar view, quick view or 3D view.

For the planar view, three print pages are created:

1. A circumferential view in one piece.

2. A circumferential view divided into two sections.

3. The visible area in the planar view.

For the quick or 3D view a single print page is created.

Print Preview - Opens the print preview.

Print Setup - Opens the dialog for the print setup.

Recently loaded workspaces and scan projects - A list of the local workspaces and scan projects loaded recently, which can be loaded directly.

Exit - Exits SCENE LT.


Edit

9.1.2. Edit

Figure 9‑4: Edit Menu

Clear Selection – Clears a scan point selection.

Select All – Selects all scan points of the scan in the active planar or quick view.

Delete Object – Deletes the selected object.

Delete Scan Points – Deletes the selected scan points of a scan.

Properties – Opens the properties dialog of the selected object.


View

9.1.3. View

Figure 9‑5: View Menu

Mirror – mirrors the planar view by 90 degrees in left or right direction.

Contrast – choose between low, medium or high contrast adjustments for the planar view.

Tabbed Documents – multiple views are contained in a single window. Use the tabs to navigate between them. If you uncheck this option every view will be displayed in its own window.

Presentation Mode – displays SCENE LT in full screen mode. SCENE LT is minimizing all menus and toolbars to provide maximum space on the screen for scan data.

Show Workspace – Hides or reveals the structure view of the workspace.

Show Statusbar – Status bar along the bottom edge of the screen which displays scan point data, command details or responses of the command last executed.

Toolbars – Hide or reveal the different toolbars.

View – Open workspace in 3D or layout view. Open the FARO Focus3D scanner administration.


Tools

9.1.4. Tools

Figure 9‑6: Tools Menu

Point Settings – Change the scan point size in the 3D view, select between three preset sizes and enable or disable gap filling. For more information, see chapter 9.3.3 .

Select – Select scan points. Choose between the various available selection tools.

Measure Scan Points – Take measurements between scan points.

Mark Objects – Use the currently selected object marker tool.

New Point – Creates a new point in the 3D view.

Pipe Fit – Offers an alternative algorithm to fit a pipe.

Find and Locate Object – Search for objects in the workspace. For more information, see chapter 2.2.3 .

9.1.4.1. Options…

9.1.4.1.1 General

Figure 9‑7: General dialog

Use Project Selector – Use the Project Selector as the start screen of SCENE LT.

Automatically save model – Enable or disable the auto save option and set the auto save interval in minutes.

9.1.4.1.2 Export

Figure 9‑8: Export dialog

Full Scan – Export the entire scan.

Selection – Export the selected area of a scan.

Min. Distance – The minimum distance the exported scan points can be from the scanner. Scan points situated closer are not exported.

Max. Distance – The maximum distance the exported scan points can be from the scanner. Scan points situated further away are not exported.

Subsample – To reduce the amount of exported data, you can impose a restriction on the export so that only every second, third, ... scan point is exported.

Rows – Reduction by thinning out the rows

Columns – Reduction by thinning out the columns

Color and Grey –Exports the scan points with grey and color information if both are available and if this is supported by the selected export format. Grey and color information can be exported to these formats: E57, XYZ-ASCII, PTS and PTX.

9.1.4.1.3 Units

Figure 9‑9: Units dialog

Display – Settings for the units in the display.

Length – Display unit for lengths.

Small Sizes – Display unit for small lengths, such as the quality criteria of the fit objects.

Angle – Display unit for the angle.

Import – Settings for the units when importing.

Length – Import unit for lengths.

Export – Settings for the units when exporting.

Length – Export unit for lengths.

9.1.4.1.4 Tomograph

Figure 9‑10: Tomograph dialog

Raster Size – The length of the raster edge.

Min. Hits – The minimum number of scan points with which a raster field turns black.

Max. Hits – The maximum number of scan points with which a raster field still turns black. If the number is exceeded, the raster field is rated as blank. The specification of –1 means an infinite number.

Export Height – Setting for whether the raster fields should lie at the height of 0 or on the mean value of the scan points that are in them.

9.1.4.1.5 VRML

Figure 9‑11: VRML dialog

Scan points as is – Points are exported as points. Note: a lot of VRML viewer programs do not support points!

Scan points as sphere – Scan points are exported as small spheres.

Scan points as boxes – Points are exported as small boxes.

VRML2 – Export in VRML2 format. Otherwise VRML1 is used.

9.1.4.1.6 Import

Figure 9‑12: Import dialog

Import Length Unit – Import unit for lengths.

XYZ-Import – Specifications for importing scans in XYZ text format.

Explicit limits – Explicit specifications of the scan size.

Rows – Number of rows.

Columns – Number of columns.

Max. Reflection – Maximum reflection value.

Deduce limits from import file – SCENE LT calculates the number of rows and columns from the apportionment of scan points in the import file.

Increase size to compensate angular inhomogeneities – Large variations in angle values are balanced out by doubling the row and column number.

9.1.4.1.7 Scan Data

Settings for loading and saving scans.

Figure 9‑13: Scan Data dialog

Scan maximal size

Auto adjustment – A scan may only take up half of the main memory and is loaded with reduced resolution if necessary.

Mio points – When loading, a scan is reduced to this maximum number of scan points (specified in millions, so 2 correspond to 2,000,000 scan points).

unlimited – The number of scan points is unlimited.

Scan color

Use grey – If grey values of the scan points exist, load them and ignore any color values.

Use color – If color values of the scan points exist, load them and ignore any grey values.

Save modified scan points – Modified scan points of a scan are also saved again in its file. Scan points are changed by applying filters, for example.

Colorize all scan points – The parallax between camera and scanner may lead to objects which are visible in the scan but not visible in the picture, because an object in front of them hides it from the camera, but not from the scanner. Normally these objects wouldn’t get colorized. When you set the checkmark here, these objects will get the same color as the object in front of them.

9.1.4.1.8 Folder

Figure 9‑14: Folder dialog

SCENE WebShare Local Projects Folder – Path to a local folder that contains WebShare projects. When started, WebShare will search in this folder for projects. Existing projects will then be displayed in the projects list of SCENE WebShare. Specify the folder manually or check Deduce from last export to use the folder of the last WebShare export.

Project Locations – Specify the paths to the folders that contain your scan projects. The projects in these folders will be listed in the project selector. Separate multiple folders by semicolon.

Scanner Snapshots Locations – SCENE LT will transfer Focus3D scanner snapshots from SD cards to this folder.

9.1.4.1.9 View

Figure 9‑15: View dialog

Mark Distance Range – Certain ranges of a scan can be emphasized in color in the planar view.

Activate at Startup Time – The emphasis is always automatically used when starting a planar view of a scan.

Invalid Points – If checked, invalid points are also displayed.

Color Coded Distances – The emphasis should not be one color but should assume various colors depending on the distance. Close scan points are colored red and far away scan points are colored blue.

Min. Distance – The minimum distance at which the emphasis should start.

Max. Distance – The maximum distance at which the emphasis should end.

Plane Distance Visualization

Max. Dist. – Sets the boundaries within which you can color in the scan points around a plane. For this, see chapter 4.3.4 .

Advanced Textures / Offscreen Rendering - With some older graphic cards, the 3D view might not be displayed correctly. Switching off the advanced textures and/or offscreen rendering might solve this. When switching off advanced textures, the stereoscopic view is not available anymore. When switching off offfscreen rendering, the stereoscopic view, the clear view and gap filling are not available anymore.

9.1.4.1.10 Matching

Figure 9‑16: Matching dialog

9.1.4.1.10.1 Expand Plane Settings

Figure 9‑17: Expand Plane Settings

Max. Distance – The maximum distance a scan point may be from the plane.

Max. Normal Diff. – The maximum deviation of the normal in the area surrounding a scan point from the normal of the plane to be expanded.

Max. Local Normal Diff. – The maximum standard deviation of the normal in the surrounding area of a scan point.

Planar Test Size – The size of the surrounding area.

Min. Border Split [m] – Smoothing parameter for the border line in the 3-dimensional space.

Min Border Split [px] – Smoothing parameter for the border line in the planar view.

You can set the defaults using the Defaults button.

9.1.4.1.10.2 Match Sphere Settings

Figure 9‑18: Match Sphere Settings

In the Match Sphere Settings you can define the preferred radii of the used sphere reference object. You can preset more than one preferred sphere radius by entering the radii among one another into the text field.

Scan Registration – Check this button to see and edit the sphere radii used for the scan registration.

Forensic Analysis – If you have the Forensic Analysis plugin installed, check this button to see and edit the sphere radii used for the forensic analysis.

You can set the defaults using the Defaults button.

9.1.4.1.11 Language

Figure 9‑19: Language Settings

Automatic language selection – SCENE LT determines the language according to the regional settings of Windows.

Manual language selection – Select one of the available languages. Please note that you may have to install additional fonts.

9.1.4.1.12 Default Filter

Figure 9‑20: Default Filter

Upon loading a scan for the first time a set of filters will be applied to the scan by default. If you switch this behavior off you will then always be informed that using raw scan data is not recommended.

With a filter, selected scan points are corrected or removed from the scans. This is determined by the selection criteria. The filters differ according to which method they identify an inaccurate scan point and which counter measure is then taken. A filter examines each scan point and establishes a quality value in accordance with its particular method. If this quality value is outside the threshold you have set, the scan point is either corrected or removed.

In order to identify an inaccurate scan point, the filters running compare the scan point with the scan points in the surrounding area. The surrounding area is oriented towards the scanner's recording technique, in other words, it is oriented towards the rows and columns, as they can be seen in the planar view.

Figure 9‑21: The area surrounding a scan point

In Figure 9‑21 this surrounding area oriented towards the recording technique is shown. The single scan point marked has the scan points within the surrounding square in its near vicinity. Using filters, you can set what should be regarded as the surrounding area. In this example, the value 5 was set, which means the edge length of the surrounding square is 5.

The Grid Size is the size of the surrounding area used for comparison. For each scan point of the scan or selection, the filter takes the valid scan points of this surrounding area and counts how many of them are at a distance to the scanner which is approximately the same as the distance of the scan point currently being viewed. A scan point is counted if the difference in distance is smaller than the Distance Threshold. If at least the percentage of scan points indicated by the Allocation Threshold in the surrounding area is also within this distance threshold, the scan point remains in the scan. Otherwise it is removed.

9.1.4.1.13 Navigation

Figure 9‑22: Navigation

Here 3D navigation and movement behavior can be adjusted.

With Default Speed you are able to change the speed of the left, right, forward and backwards movement triggered by pressing the different cursor keys.

Accelerated Speed - determines the speed of the accelerated left, right, forward and backwards movement triggered by pressing the different cursor keys in combination with the shift key.

Invert Mouse Wheel - changes the forward and backwards movement by the mouse wheel. The default behavior of the mouse wheel is: spinning it forward will move you backwards in space and vice versa. Ticking the check box will invert this behavior.

Snap to Z-Axis (checked by default) - stabilizes the rotation of the 3D view by locking the z-axis. Deactivating this option will unlock the z-axis an allow you to rotate the 3D view completely free.


DrawToCAD

9.1.5. DrawToCAD

See chapter 8.2.


Window

9.1.6. Window

Figure 9‑23: Window Menu

New Window – Open another view.

Cascade – Arrange windows so they overlap.

Tile Horizontally / Vertically – Arrange windows horizontally or vertically so that they do not overlap.

Arrange Icons – The minimized views are lined up in the bottom edge of the view area.

List of views – A list of all the existing views, including the visible and minimized views.


Help

9.1.7. Help

Contents - Opens the table of contents of the online documentation.

About SCENE LT - Gives details of the version number and copyright.

License Manager - Used to display and modify installed licenses.

Figure 9‑24: License Manager

When you press the Send button, an e-mail is automatically created and displayed. FARO Technologies cares about your privacy, therefore the e-mail is not automatically send, but you can first have a look at its content. It contains simply the information application name, version number, and system-ID. It also contains empty fields where you can input additional contact information. This information will help us to create the correct license for you. Before pressing the send button, please choose the E-mail address of your FARO customer support from the drop down menu.

When you have received a license, please enter the license code in the field left of the Add button. Press Add and the license is added. Please don’t forget to press Apply or OK afterwards. If you press Cancel, the license is not added permanently.

You can delete an old license when you right click on its entry and select the command Delete.

Online Support – Shows information on how to reach the FARO online support sites.


Toolbars

9.2. Toolbars

9.2.1 Standard Toolbar

9.2.2 Planar View Toolbar

9.2.3 Point Selection Toolbar

9.2.4 Measurement Toolbar

9.2.5 Object Marker Toolbar

9.2.6 3D View Toolbar

9.2.7 Project Toolbar


Standard Toolbar

9.2.1. Standard Toolbar

Figure 9‑25: Standard Toolbar

New [image] – Creates new workspace (see chapter 9.1.1 )

Open [image] – Opens existing workspace (see chapter 9.1.1 )

Save [image] – Saves Workspace (see chapter 9.1.1 )

Print [image] – Opens the dialog box to select printing options (see chapter 9.1.1 )

Help [image] – Opens the table of contents of the online documentation.

3D View [image] – Opens a 3D view of the entire workspace, i.e. all models and loaded scans, or the project point cloud if available (see chapter 3.4).

Visibility Settings [image] – Used to display the visibility settings of the currently active view (see chapter 3.5 ).

Project Selector [image] - Opens the project selector (see chapter 2.4 ).

Overview Map [image] - Opens the overview map (see chapter 3.8 ).


Planar View Toolbar

9.2.2. Planar View Toolbar

Figure 9‑26: Planar View Toolbar

Coloring the range [image] – Emphasize certain ranges of a scan in color (see chapter 4.3.5). The settings applied for this are described in chapter 9.1.4.1.9 .

Navigation mode [image] – Set navigation mode.

Set scale 100% [image] – Set the scale to 100%.

Select scale [image] – Select the scale from a list of available scales or by directly entering any scale.

Zoom out [image] – Reduce the scale to see a larger area.

Zoom in [image] – Increase the scale to see more details.

Add documentation object [image] - Select to add a documentation object to the scan (see chapter 4.2.1 ).


Point Selection Toolbar

9.2.3. Point Selection Toolbar

Figure 9‑27: Point Selection

Rectangular selection [image] – Select a rectangular area of scan points.

Linear selection [image] – Select an arbitrarily shaped line of scan points. The selection has a thickness of one point.

Polygonal selection [image] – Select an arbitrarily shaped area of scan points. The selection consists of the area that is enclosed by the border line.

Circular selection [image] – Select a circular area of scan points.

Polygonal edge selection [image] – Select an arbitrarily shaped area of scan points, with the polygon following the visible edge in the scan points.

Elliptical selection [image] - Select an elliptical area of scan points.

New selection [image] – The next selection replaces the existing selection.

Add selection [image] – The next selection is added to the existing selection.

Subtract selection [image] – The next selection is removed from the existing selection.

Intersect selection [image] – The new selection results from the intersection of the existing selection and the next selection.

See chapter 4.1 for more information on point selection.


Measurement Toolbar

9.2.4. Measurement Toolbar

Figure 9‑28: Measurement Toolbar

Measurement between objects [image] – Take measurements between objects.

Measurement between scan points [image] – Take measurements between scan points.

See chapter 4.3.2 for more information on measurements.


Object Marker Toolbar

9.2.5. Object Marker Toolbar

Figure 9‑29: Object Marker Toolbar

Circular Flat Target [image] - Create a circular flat target.

Checkerboard Target [image] - Create a checkerboard target.

Sphere [image] - Create a sphere.

Plane [image] - Create a plane.

Slab [image] - Create a slab.

Scan Point [image] - Create a point.

See chapter 4.2.4 for more information on creating objects with the object marker tools.


3D View Toolbar

9.2.6. 3D View Toolbar

Figure 9‑30: 3D View Toolbar

Observer-based navigation (Fly mode) [image] – When navigating, it seems as though you are moving. For example, turning to the right has the effect that you seem to turn to the right and objects from the right margin move into the center of the image.

Observer-based navigation (Walk mode) [image] - Similar to the fly mode but the z-value cannot be changed when walking forward.

Object-based navigation (Examine) [image] – When navigating, it seems as though the objects move while you stand still. For example, turning to the right has the effect that your entire surroundings seem to turn right and objects from the center of the image move to the right margin.

Pan [image] – There is no turning available in this navigation mode. Mouse movements are interpreted as observer movements (Not available in the quick view).

Standard viewing directions [image] – Sets the viewing direction along one of the coordinate axes. When using the shift-key, the opposite direction is set.

Standard viewpoints [image] – Changes the position and viewing direction to view the complete scene from top, right, back or in an isometric view. When using the shift-key, a bottom, left, or front view is achieved (Not available in the quick view).

View all [image] – Changes the position of the observer in such a way, that a view on all the objects is achieved (Not available in the quick view).

Set rotation point [image] – Sets the center of rotation into the next object you’ll click on (Not available in the quick view).

Align camera to surface Normal [image] - Pick three points in the view to align the camera position to an estimated surface defined by the picked points. The center of rotation will be set to the barycenter of the triangle defined by the points.

Move camera to 3D point [image] – Pick one point in the view to move the camera position to that point. The center of rotation will be set to this point.

Go back to last camera position [image] – Move camera to the previous camera position.

Save 3D view screenshot [image] - Save an image of the current 3D view content.

Manage viewpoints [image] – Save the current camera position and line of sight as a viewpoint, so that you can return to it later. In the drop down menu further functions are available. Here, you may rename or delete the available viewpoints or select and activate one of the available viewpoints. A preset viewpoint is available when starting the 3D view of a scan. It corresponds to the origin of the coordinate system.

Grid [image] - Display or hide a grid to visualize distances and scales. In the drop down menu further functions are available. Here, you may change the properties of the grid. See chapter 4.3.3 for more information.

Documentation Object [image] - Create a documentation object (see chapter 4.2.1 ).

Polygonal selection [image] – Select an arbitrarily shaped area of scan points. The selection consists of the area that is enclosed by the border line. The polygon selection only applies to scan points organized in a row-column order. If the points of scans and scan point clouds or the project point clouds are visualized in the same 3D view (combined viewing of the point cloud and scan points of scans), it only applies on the scan points of the loaded scans.

3D polygonal selection [image] - The 3D polygon selection tool is similar to the polygon selection tool above, but only selects points that are organized in a spatial data structure (points from scan point clouds or the project point cloud).

3D Brush selector [image] - The 3D brush selection tool can be used similar to brush tools known from 2D image processing programs and works with scan- or project point clouds only. Traditional row-column based scan points cannot be selected with the 3D brush selector. The brush works in three dimensional spaces, meaning that you can use the mouse to literally paint points which are going to be selected. Drag the mouse while holding down the left mouse button in order to paint the points. The 3D brush has the shape of a sphere. A transparent red circle will highlight the area where the selection sphere is currently located. Moving the cursor around while having the brush selector tool activated will highlight the scan points that are currently within the selection sphere. Use the mouse wheel to modify the radius of the sphere. Hold the shift key to modify the sphere radius more quickly. See chapter 4.1.2 for more information.

Change point size [image] - Change the size of the points in the 3D view. Select between three preset sizes. A custom point size may be set in the visibility settings of the 3D view (see chapter 3.5.2 ).

Toggle gap filler [image] - Enable or disable the gap filler (see chapter 3.5.2 ).

Toggle clear view [image] - Enable or disable the clear view (see chapter 3.4.3 ).


Project Toolbar

9.2.7. Project Toolbar

Figure 9‑31: Project Toolbar

Open project [image] – Available if you are working on a local workspace. Opens the associated scan project.

Create Local Workspace [image] - Available if you are working on the scan project. Creates a local workspace from the project workspace.

Project history [image] – Shows the version history of the scan project.


Context Menus

9.3. Context Menus

9.3.1 Frequently Used Commands for Objects

9.3.2 Commands for Fit Objects

9.3.3 3D View

9.3.4 3D View – Selected Area

9.3.5 Planar View and Quick View

9.3.6 Planar View or Quick View – Selected Area

9.3.7 Picture

9.3.8 Plane

9.3.9 Expanded Plane

9.3.10 Plane Fit

9.3.11 Constraints Object

9.3.12 Constrained Plane Fit

9.3.13 Slab

9.3.14 Slab Fit

9.3.15 Sphere

9.3.16 Sphere Fit

9.3.17 Region

9.3.18 Point

9.3.19 Point Fit

9.3.20 Pipe

9.3.21 Pipe Fit

9.3.22 Line

9.3.23 Line Fit

9.3.24 Rectangle

9.3.25 Rectangle Fit

9.3.26 Scan

9.3.27 Scan Fit

9.3.28 Scan Folder / Cluster

9.3.29 Scan Manager

9.3.30 Workspace

9.3.31 Snapshot (Focus3D Scanner Administration)


Frequently Used Commands for Objects

9.3.1. Frequently Used Commands for Objects

Visible – Make the selected object visible or invisible.

Center – Display the selected object in the center and enlarged in the active view and use it as the center of rotation.

Locate – Display the selected object in the center and enlarged in the active view.

Set Rotation Point – In the 3D view, the selected object is used as the center of rotation.

New > Documentation – Attach a documentation object to the selected object.

View > 3D View – View the selected object in 3D view.

Export… - Exports the selected object.

Delete – Deletes the selected object.

Rename – Renames the selected object.

Properties – Opens the properties dialog.

Material – Opens the dialog for the material setting.

Figure 9‑32: Material Settings

Create local material – using this dialog, you can set it so that the object has its own material definition and changes made to it apply to this object only.

Auto apply – The effects of the new settings are applied and displayed immediately. Otherwise you have to use the button Apply so that your changes become visible.

Base Color – The base color of objects.

Emissive Color – The color that the object radiates independently. This is only practical for objects that can radiate their own light.

Specular Color – The color for the reflected highlights of the object.

Shininess – A measure for the shininess of an object. The higher the value, the clearer and more differentiated the reflected highlights appear.

Transparency – The transparency of an object. The higher the value, the better you can see through the object.

Ambient Intensity – A measurement for how strongly the undirected ambient light is reflected.

Using the Initial button you can go back to the initial values if you had changed the settings using Apply or Auto Apply.


Commands for Fit Objects

9.3.2. Commands for Fit Objects

Select – The selection that was used to create the fit object is reactivated. The selection combination mode determines how the new selection results from the existing selection and the reactivated selection.

Delete – Deletes the fit object.

Rename – Renames the fit object.

Properties – Opens the properties dialog.


3D View

9.3.3. 3D View

Figure 9‑33: 3D View Menu

Current Selection – Delete the scan points of the current selection

Add Scan Points – Add the scan points of the current selection.

Export

Scan points – Export the scan points

Objects – Export objects

.

Show All Objects – All objects, which have been set to invisible, are reset to visible.

View All – Changes the observer position and viewing direction in a way that the view displays all objects and scan points.

Camera

Figure 9‑34: Camera Menu

Normally, the 3D view displays the scan points and objects with the correct field of view, in other words, objects of the same size appear smaller with increasing distance (Perspective View). You can also change the view to orthographic representation. Then objects of the same size always appear the same size, regardless of how far away they are. This type of representation is common in a lot of CAD systems.

Properties…

Figure 9‑35: Camera Properties dialog

See chapter 9.4.2.2 .

Clear View Mode – Turns clear view mode on or off (see chapter 3.4.3 ).

Scan Point Size Adjustment – The scan points are normally displayed so that you don’t see the background between two neighboring scan points. Here you can change this behavior.

Visibility Settings – Open and edit the visibility settings of this view. See chapter 3.5 for more information.


3D View – Selected Area

9.3.4. 3D View – Selected Area

Figure 9‑36: Selected Area

Delete Inside Selection – Delete all scan points inside the selected area.

Delete Outside Selection – Delete all scan points outside the selected area.

Remove Selection – Remove the selection.


Planar View and Quick View

9.3.5. Planar View and Quick View

Figure 9‑37: Planar / Quick View Menu

View – Open the scan in a new view; either as 3D view, 3D Clear view, quick view (available in planar view) or in planar view (available in quick view).

Scan Points –create a new scan from the scan.

Export –

Direct Export – Exports the scan point with the settings of the last export.

Scan points – Export the scan points of the scan.

Scan Properties – Opens the properties dialog of the scan.

Visibility Settings – Open and edit the visibility settings of this view. See chapter 3.5 for more information.


Planar View or Quick View – Selected Area

9.3.6. Planar View or Quick View – Selected Area

Figure 9‑38: Selection Menu

View – opens a 3D view of the selected scan points.

Scan Points

Figure 9‑39: Scan Points Menu

Push – Move the selected scan points 76.8 meters forward.

Pull – Move the selected scan points 76.8 meters backwards.

Create Scan – Create a new scan from the selected scan points.

Create Objects

Figure 9‑40: Create Objects Menu

Sphere – Perform a sphere fit on the selected scan points.

Sphere Radius – Perform a sphere fit with known radius on the selected scan points

Plane – Perform a plane fit on the selected scan points.

Slab – Perform a slab fit on the selected scan points

Expand Plane – Starting with the selected scan points, perform an automatic plane expansion.

Mean Point – Determine the mean point of the selected scan points.

Contrast Mean Point – Create a contrast mean point of the selected scan points. Usually used for circular flat targets..

Line - Create Lines.

Pipe – Create a pipe.

Mesh – Create a mesh

Region – Create a region.

Further information on these objects and their creation can be found in chapter 4.2 .

Delete Objects – Delete all objects within the selection.

Export – See chapter 9.3.3.


Picture

9.3.7. Picture

Figure 9‑41: Picture Menu

Loaded – Here a check mark shows whether the data of the picture is loaded.

View – Open a new planar view of the picture.

Import/Export

Figure 9‑42: Import / Export Menu

Export Objects – Exports all objects under the picture

Export Picture – Export the picture in its original format or in JPEG format.

Exchange Picture – Replaces the picture with an imported one.

Undistort – Remove any so-called barrel or pin-cushion distortions from the picture. The distortion parameters have to reside inside the picture.


Plane

9.3.8. Plane

Figure 9‑43: Plane Menu

New

Figure 9‑44: New Menu

Intersection Point – Creates an intersection point on the plane at the spot determined by the mouse pointer.

Plane with Border - Creates a new plane with border lines from the selection on which the current plane is based.

Slab By Plane – Create a slab from the plane (see chapter 4.2.3.10 ).

View Scan Point Dist. – Deviations from a level surface in relation to a plane are highlighted in color. See chapter 4.3.4 .

The remaining commands are described in chapter 9.3.1 .


Expanded Plane

9.3.9. Expanded Plane

Figure 9‑45: Expanded Plane Menu

Set Border from Selection – The border line of the plane is replaced by the border line of the selection.

The remaining commands are described in chapter 9.3.8 or 9.3.1.


Plane Fit

9.3.10. Plane Fit

See chapter 9.3.2 .


Constraints Object

9.3.11. Constraints Object

See chapter 9.3.1 .


Constrained Plane Fit

9.3.12. Constrained Plane Fit

See chapter 9.3.2 .


Slab

9.3.13. Slab

All commands of the context menu of a slab can be found in chapters 9.3.1 or 9.3.8 .


Slab Fit

9.3.14. Slab Fit

See chapter 9.3.2 .


Sphere

9.3.15. Sphere

All commands of the context menu of a sphere can be found in chapters 9.3.1 or 9.3.8 .


Sphere Fit

9.3.16. Sphere Fit

See chapter 9.3.2 .


Region

9.3.17. Region

Figure 9‑46: Region Menu

Select – The selection that was used to create the region is reactivated. The selection combination mode determines how the new selection results from the existing selection and the reactivated selection.

Import/Export – Export the region as object.

Delete – Delete the region object. The scan points are not deleted.

All further commands of the context menu of a point can be found in chapters 9.3.1 or 9.3.8 .


Point

9.3.18. Point

All commands of the context menu of a point can be found in chapters 9.3.1 or 9.3.8 .


Point Fit

9.3.19. Point Fit

See chapter 9.3.2 .


Pipe

9.3.20. Pipe

All commands of the context menu of a sphere can be found in chapters 9.3.1 or 9.3.8 .


Pipe Fit

9.3.21. Pipe Fit

See chapter 9.3.2 .


Line

9.3.22. Line

All commands of the context menu of a line can be found in chapters 9.3.1 or 9.3.8 .


Line Fit

9.3.23. Line Fit

See chapter 9.3.2 .


Rectangle

9.3.24. Rectangle

All commands of the context menu of a sphere can be found in chapters 9.3.1 or 9.3.8 .


Rectangle Fit

9.3.25. Rectangle Fit

See chapter 9.3.2 .


Scan

9.3.26. Scan

Figure 9‑47: Scan Menu

Locate – Resumes the initial perspective of the view. In 3D view the rotation point will be set to the position of the scanner.

Download – Only available with workspaces that were downloaded from a SCENE WebShare server. This command downloads the scan from the WebShare server to the project folder on your local hard disk.

New – Create a specific object, folder or duplicate the scan (without objects).

View – Open a new view of the scan.

Loaded – Loads the scan points of the scan. Here a check mark shows whether the scan points of a scan are loaded.

Operations – Apply several commands to the scan

Figure 9‑48: Operations Menu

Object Marker

Create Objects – Create the corresponding objects from the object markers.

Update Objects – Update the objects of the object markers.

Delete Inactive Fits– Deletes all inactive fit objects.

Color/Pictures

Figure 9‑49: Color / Pictures Menu

Color Contrast Filter – enhances the dynamic range of the color pictures.

Restore Grey Image- Remove the color information and restore the original reflectance values.

Import / Export

Figure 9‑50: Import / Export Menu

Export

Objects – Export the objects of this scan.

Image – Obtains an overview image from the scan points and saves it in the file system in the same folder as the scans.

Scan Parameters – Export the parameters of the scan.

Scan Points – Export scan points.

Scan Points of Object Marker – Export the scan points from the selections belonging to object markers.

Save Objects in Scan – Save the objects of the scan in the scan file.

Save Copy of Scan – Copy the scan to a target directory which is chosen by the user.

Assemble Meshes – Assembles the available meshes in the scan to one mesh, if possible. This function is only available if meshes are present.

Delete – Deletes the scan from the workspace. The associated file is not deleted.


Scan Fit

9.3.27. Scan Fit

See chapter 9.3.2 .


Scan Folder / Cluster

9.3.28. Scan Folder / Cluster

Figure 9‑51: Scan Folder Menu

Download – Only available with workspaces that were downloaded from a SCENE WebShare server. This command downloads the scans within the scan folder from the WebShare server to your local hard disk.

New – Create a new Documentation Object, Scan Folder or a standard folder within the scan folder.

View – Open the scans and objects of the scan folder in the 3D view or in the structure view.

Load All Scans – Loads all scans, or more precisely, the scan points of the scans.

Unload All Scans and Pictures – Unloads all scans and pictures. Scan points and pictures are removed from the memory. The scans are not deleted.

Import/Export

Figure 9‑52: Import / Export Menu

Export Scan Points – Apply the export of scan points to the scans one after the other. The scans are automatically loaded one after the other, the scan points are exported and the scan is unloaded again.

Export Objects – Export objects. Note, scans need not to be loaded and are therefore not loaded automatically.

Export Images – Obtains overview images from the scan points of each scan and saves these images in the file system in the same folder as the scans.

Export Scan Points of Object Marker – Export the scan points from the selections belonging to object markers.

Save Objects in Scans – Save the objects of the scans in the corresponding scan files.

Save Copy of Scans – Copy all scans of the scan folder to another directory.

Assemble Meshes – Assemble all available meshes to one mesh, if possible.

Delete – Deletes the scan folder and all the scans in it from the workspace. The files belonging to the scans are not deleted.

Create New Project from Cluster – Creates a new scan project from the scan folder or cluster.


Scan Manager

9.3.29. Scan Manager

Figure 9‑53: Scan Manager Menu

Delete – Deletes the Scan Manager

Rename – Renames the scan manager

Properties – opens the scan manager


Workspace

9.3.30. Workspace

Figure 9‑54: Workspace Menu

Download – Only available with workspaces that were downloaded from a SCENE WebShare server. This command downloads the complete content of the workspace from the WebShare server to your local hard disk.

New – Create a new Point, Sphere, Checkerboard, Circular Flat Target, Corner Point, Plane, Slab, Documentation Object, Folder or Scan Folder in the Workspace.

View – Open a 3D view, SCENE WebShare View or Structure View of the workspace.

3D View – Opens a 3D view with all the loaded scans and CAD models. Unloaded Scans are not loaded automatically.

WebShare view – Opens WebShare. The workspace will only be displayed in WebShare if it already has been exported as a WebShare project.

Structure View – opens a structure view of the workspace.

Import/Export

Figure 9‑55: Import / Export Menu

Export Objects– Export objects. Note, scans need not to be loaded and are therefore not loaded automatically.

Export Images– Obtains the overview images from all the scans in the workspace (see chapter 2.3.4). The scans are loaded one after the other, the overview image is created and saved and then unloaded again.

Export Positions – Saves the position specifications of all scans and reference objects.

Export Scan Points of Object Marker – Export scan points that are marked by the object marker.

Visibility

Figure 9‑56: Visibility Menu

3D Visibility Settings – Opens the dialog with the default visibility settings for quick views and 3D views.

Planar View Visibility Settings – Opens the dialog with the default visibility settings for the planar view.

Layer Manager – Opens the dialog box of the layer manager. See chapter 3.6.2 for more information.

Create New Project – Creates a new scan project from the workspace.


Snapshot (Focus3D Scanner Administration)

9.3.31. Snapshot (Focus3D Scanner Administration)

Figure 9‑57: Snapshot Menu

Administrate – Open the administration view of the snapshot.

Scanner Service Request – Send the snapshot via email to the FARO Customer Service.

Rename – Rename the snapshot

Erase – Erase the content of the snapshot. All data of the snapshot will be deleted but the snapshot itself will be kept.

Delete – Delete the complete snapshot.


Properties

9.4. Properties

9.4.1 Checkmarks

9.4.2 Frequently Used Properties

9.4.3 3D Picture Fit

9.4.4 Constraints Object

9.4.5 Constrained Plane Fit

9.4.6 Measurement

9.4.7 Object Marker

9.4.8 Picture

9.4.9 Pipe

9.4.10 Pipe Fit

9.4.11 Plane

9.4.12 Plane Fit

9.4.13 Slab

9.4.14 Slab Fit

9.4.15 Point

9.4.16 Point Fit

9.4.17 Sphere

9.4.18 Sphere Fit

9.4.19 Documentation Object

9.4.20 Scan Folder

9.4.21 Scan Manager

9.4.22 Scan

9.4.23 Scan Fit

9.4.24 Virtual Scan (3D Picture)


Checkmarks

9.4.1. Checkmarks

Some of the properties dialogs employ checkmarks to control the application of changed settings and of the display of coordinates.

Figure 9‑58: Checkmarks

Global Coordinates – If checked, coordinates are displayed in the global coordinate system; else they are displayed in the coordinate system of the scanner (see chapter 8.5).

Auto Apply – If checked, new settings are applied and visible immediately; you do not need to click on the Apply button after changing the settings.


Frequently Used Properties

9.4.2. Frequently Used Properties

9.4.2.1. General

Figure 9‑59: Properties - General

Name – The name of the object. The green traffic light right to the object name indicates that corresponding objects have been found in other scans. If corresponding references have not been found no traffic light will be displayed.

Use for Place Scans, Correspondence Search and Automatic Name – The object will be used for the registration, correspondence relationships to this object are enabled and its name will automatically be changed if corresponding objects have been found or the name of a corresponding object has been changed.

Local reference objects will have this option activated by default if their name has not been changed by the user manually.

Use for Place Scans and Correspondence Search – The object will be used for registering scans, correspondence relationships to this object are enabled but its name will not be changed automatically. This means that the name of this object is fixed and corresponding reference objects in other scans will be named accordingly.

Global reference objects and local references which have been (re-)named manually will have this option activated by default.

Use for Place Scans – The object will only be used for registering scans but excluded from any correspondence search. Its name will not be changed automatically.

Ignore for Place Scans – The object will not be used for registering scans and is excluded from any correspondence search. Its name will not be changed automatically.

These options are relevant for the automatic correspondence search and for the registration of scans which are only available in SCENE.

Layer – The representation layer on which the object is situated.

Select active layer – Enters the currently active representation layer.

9.4.2.2. Transformation

Figure 9‑60: Properties – Transformation

Position – The translation portion of the transformation

X – To key in a transformation in the x direction.

Y – To key in a transformation in the y direction.

Z – To key in a transformation in the z direction.

Scroll bar – Set the transformation using the mouse. The direction of the transformation will be the x, y or z coordinate that is highlighted in yellow.

Each tick increments by – Set the increment for the scroll bar.

Rotation Angle – The angle of rotation if the rotation axis is split along the coordinate axes.

X – The angle of rotation around the x axis.

Y – The angle of rotation around the y axis.

Z – The angle of rotation around the z axis.

Scroll bar – Set a new angle of rotation.

To change a value, you can either enter the required value directly into the appropriate field, or you first select the field and then use the corresponding slider to change the value step by step. You can set the increment using the drop-down box. If you hit the edge with the slider, simply reselect the field and the slider will return to the center without you losing your previous changes.

Axis snap – If checked, you can change the rotation for the current axis independently from the others. This is achieved by changing the order in which the rotations are applied (in see chapter 8.5.2.1 )


3D Picture Fit

9.4.3. 3D Picture Fit

Figure 9‑61: 3D Picture Fit

Plane – Plane in a scan that is used as a reference to place the virtual scan and should be created from the surface where the picture has been taken.

Properties – Opens the properties dialog of the plane

Scan – Scan that is used to select the matching points

Properties – Opens the properties dialog of the scan

View – Opens planar views of the scan and the virtual scan and arranges the windows if no planar view has been open before. Scans that have not been loaded will be loaded automatically.

Associate Points – Starts the tool to mark pairs of matching points in the planar view of the virtual scan and in the planar view of the scan

Done – Ends the selection process of matching points.

2D projective deviation - The mean distance between the computed 2D projection of the marked 3D points and the corresponding points marked in the picture. The traffic light indicates the quality of this individual criterion. It is green at values <7.5px, red at values >15px and orange between them.

3D projective deviation – The mean distance between the computed 3D projection of the marked 2D points and the corresponding 3D points marked in the scan. The traffic light indicates the quality of this individual criterion. It is green at values <3mm, red at values >15mm and orange between them.


Constraints Object

9.4.4. Constraints Object

Figure 9‑62: Constraints Object dialog

Name – The name of the constraints object.

Scanpoint Distance – A quality parameter of a plane.

Max – The scan point distance of the plane with the highest distance. The traffic light indicates the quality of this individual criterion. It is green at values <4mm, red at values >20mm and orange between them.

Mean – The mean value of all managed planes. The traffic light indicates the quality of this individual criterion. It is green at values <4mm, red at values >20mm and orange between them.

Constraint Error – Constraints are implemented by functions that are zero if the .constraint is met. Deviations from zero are called Constraint Error.

Max – Highest value of all constraint functions. The traffic light indicates the quality of this individual criterion. It is green at values <2.2e-013, red at values >1e-005 and orange between them.

Mean – Mean value of all constraint functions. The traffic light indicates the quality of this individual criterion. It is green at values <2.2e-013, red at values >1e-005 and orange between them.

Planes – Planes used to define constraints.

Plane – Name and path of the plane.

Fixed – Fixed planes are only used to define the constraint but will not be changed.

Constraints – List of pairs of planes and the constraint chosen for this pair.

Plane 1 – First plane.

Plane 2 – Second plane.

Description – The constraint chosen.


Constrained Plane Fit

9.4.5. Constrained Plane Fit

Figure 9‑63: Constrained Plane Fit

Plane Name – Name of the corresponding plane

Name – Name of the fit (by default named according to the constraints object that manages this fit)

Normal – The orientation determined by the fit. The orientation is given by the direction which stands perpendicular to the plane.

Position – The position determined by the fit.

Number of scan points – The number of scan points in the selection used for the fit. The traffic light indicates the quality of this individual criterion. It is green at values >80, red at values <20 and orange between them.

Scan point distance – The standard deviation of the distance of the scan points from the calculated plane. The traffic light indicates the quality of this individual criterion. It is green at values <4mm, red at values >20mm and orange between them.

Scan point drift – The average distance of the scan points from the calculated plane. With this, the scan points above the plane can be averaged out with the scan points below the plane. The traffic light indicates the quality of this individual criterion. It is green at values <1mm, red at values >5mm and orange between them.

Last Constraint – The name and path of the constraints object that has been used last to manage this fit.


Measurement

9.4.6. Measurement

Figure 9‑64: Measurement Properties

Measurement Name – Name of the measurement.

Overall Distance – Measured distance. When measuring between two points, the result will be the point-to-point distance. When using a plane or rectangle, the measurement is automatically taken perpendicular to this plane or rectangle. Note that negative distances will occur if the normal of the plane or rectangle points in opposite direction.

Vertical Distance – Vertical part of the point-to-point distance.

Horizontal Distance – Horizontal part of the point-to-point distance.

Along X – The distance along the x axis of the point-to-point distance.

Along Y – The distance along the y axis of the point-to-point distance.

Show Distance – Select which values shall be shown in the views.

Measure Objects – The objects used when measuring.


Object Marker

9.4.7. Object Marker

Figure 9‑65: Object Marker Properties

Position – Position of the object marker in the planar view of the scan.

Type – Object type, e.g. a sphere.

Subtype – Additional values, e.g. the radius of the sphere.

Info – Comment.

Task – Select a command from the menu. When pressing the button Go, this command is executed.


Picture

9.4.8. Picture

Figure 9‑66: Picture Properties

Spherical – A checkmark to indicate spherical pictures.


Pipe

9.4.9. Pipe

Figure 9‑67: Pipe Properties

Pipe Name – The name of the pipe.

Axis – The axis of the pipe.

Position – The position of the pipe.

Diameter – The diameter of the pipe.

Length – The length of the pipe.


Pipe Fit

9.4.10. Pipe Fit

Figure 9‑68: Pipe Fit

Pipe Name – The name of the corresponding pipe. You can enter a name manually or choose one from the drop down menu. This menu contains the names of the last 10 fitted pipes in other scans and helps choosing the right name for the registration and accelerates the manual naming process.

Name – The name of the fit object.

Axis – The axis determined by the fit.

Position – The position determined by the fit.

Diameter – The diameter determined by the fit.

Length – The length determined by the fit.

Number of scan points – The number of scan points in the selection used for the fit. The traffic light indicates the quality of this individual criterion. It is green at values >80, red at values <20 and orange between them.

Scan point distance – The standard deviation of the distance of the scan points from the calculated pipe. The traffic light indicates the quality of this individual criterion. It is green at values <4mm, red at values >20mm and orange between them.

Scan point drift – The average distance of the scan points from the calculated pipe. With this, the scan points inside the pipe can be averaged out with the scan points outside the pipe. The traffic light indicates the quality of this individual criterion. It is green at values <1mm, red at values >5mm and orange between them.


Plane

9.4.11. Plane

Figure 9‑69: Plane Properties

Plane Name – The name of the plane.

Normal – The orientation of the plane, given by the direction that stands perpendicular to the plane.

Position – A point of the plane.


Plane Fit

9.4.12. Plane Fit

Figure 9‑70: Plane Fit

Plane Name – The name of the corresponding plane. You can enter a name manually or choose one from the drop down menu. This menu contains the names of the last 10 fitted planes in other scans and helps choosing the right name for the registration and accelerates the manual naming process

Name – The name of the fit object.

Normal – The orientation determined by the fit. The orientation is given by the direction which stands perpendicular to the plane.

Position – The position determined by the fit.

Number of scan points – The number of scan points in the selection used for the fit. The traffic light indicates the quality of this individual criterion. It is green at values >80, red at values <20 and orange between them.

Transversal normal deviation – The standard deviation of the normal, which is determined using the interim results of the fit. A high standard deviation indicates that the selected area is not as flat as it should be. There could be a ripple or there might be other objects in the plane. The standard deviation is broken down in a transversal and longitudinal deviation. The traffic light indicates the quality of this individual criterion. It is green at values <1.15°, red at values >2.29° and orange between them.

Longitudinal normal deviation – The standard deviation of the normal in longitudinal direction. The traffic light indicates the quality of this individual criterion. I It is green at values <1.15°, red at values >2.29° and orange between them.

Scan point distance – The standard deviation of the distance of the scan points from the plane that has been determined. This is a good measurement for noise. The traffic light indicates the quality of this individual criterion. It is green at values <4mm, red at values >20mm and orange between them.

For planes with a boundary:

Figure 9‑71: Plane Ex Fit

Border Points – A list of all the corner points of the plane.


Slab

9.4.13. Slab

Figure 9‑72: Slab Properties

Face – The visible face of the slab object.

Thickness – The thickness of the slab object.

Normal – The orientation of the slab, given by the direction that stands perpendicular to the slab.

Position – A point of the slab.


Slab Fit

9.4.14. Slab Fit

Figure 9‑73: Slab Fit

Slab Name – The name of the corresponding slab. You can enter a name manually or choose one from the drop down menu. This menu contains the names of the last 10 fitted slabs in other scans and helps choosing the right name for the registration and accelerates the manual naming process

Face – The visible face of the slab object.

Thickness – The thickness of the slab object.

Name – The name of the fit object.

Normal – The orientation determined by the fit. The orientation is given by the direction which stands perpendicular to the plane.

Position – The position determined by the fit.

Number of scan points – The number of scan points in the selection used for the fit. The traffic light indicates the quality of this individual criterion. It is green at values >80, red at values <20 and orange between them.

Transversal Normal deviation – The standard deviation of the normal, which is determined using the interim results of the fit. A high standard deviation indicates that the selected area is not as flat as it should be. There could be a ripple or there might be other objects in the plane. The standard deviation is broken down in a transversal and longitudinal deviation.

Longitudinal Normal deviation – The standard deviation of the normal in longitudinal direction.

Scan point distance – The standard deviation of the distance of the scan points from the plane that has been determined. This is a good measurement for noise. The traffic light indicates the quality of this individual criterion. It is green at values <4mm, red at values >20mm and orange between them.


Point

9.4.15. Point

Figure 9‑74: Point Properties

Position – The position of the point.

Add GPS Position – Add GPS information to the point. See chapter 4.2.3.1 for more information.


Point Fit

9.4.16. Point Fit

Figure 9‑75: Point Fit

Point Name – The name of the corresponding point. You can enter a name manually or choose one from the drop down menu. This menu contains the names of the last 10 fitted points in other scans and helps choosing the right name for the registration and accelerates the manual naming process

Name – The name of the fit object.

Position – The position determined by the fit.

Number of scan points – The number of scan points in the selection used for the fit. The traffic light indicates the quality of this individual criterion. For (contrast) mean points it is green at values >80, red at values <20 and orange between them. For checkerboard reference objects it is green at values >400, red at values <100.

GPS Position – Enable to add a GPS position to the object.

Format – Select to enter the GPS position either as coordinates in decimal degree notation or in UTM format.

Position – the GPS position in decimal degree notation or in UTM format.

Altitude – The altitude above sea level of the position.

Accuracy – The accuracy of the position.

Only bright points – Is set for the contrast mean point of a selection.

Dependencies – When creating an intersection point (see chapter 4.2.3.9), the fit is depending on the properties of the corresponding plane. This dependency is listed here.


Sphere

9.4.17. Sphere

Figure 9‑76: Sphere Properties

Radius – The radius of the sphere.

Position – The position of the sphere mean point.


Sphere Fit

9.4.18. Sphere Fit

Figure 9‑77: Sphere Fit

Sphere Name – The name of the corresponding sphere. . You can enter a name manually or choose one from the drop down menu which contains the names of the last 10 fitted spheres in other scans. This drop down menu helps choosing the right name for the registration and expedites the manual naming process.

Name – The name of the fit object.

Radius – The sphere radius determined by the fit.

Position – The position of the sphere mean point determined by the fit.

Number of scan points – The number of scan points in the selection used for the fit. The traffic light indicates the quality of this individual criterion. It is green at values >80, red at values <20 and orange between them.

Radius deviation – The standard deviation of the radius, which is determined using the interim results of the fit. The traffic light indicates the quality of this individual criterion. It is green at values <1mm, red at values >4mm and orange between them.

Position deviation – The standard deviation of the position of the sphere mean point, which is determined using the interim results of the fit. The traffic light indicates the quality of this individual criterion. It is green at values <15mm, red at values >80mm and orange between them.

Scan point distance – The standard deviation of the distance of the scan points from the calculated sphere surface. The traffic light indicates the quality of this individual criterion. It is green at values <4mm, red at values >20mm and orange between them.

Scan point drift – The average distance of the scan points from the calculated sphere surface. Scan points outside the sphere can be averaged out with scan point within the sphere. The traffic light indicates the quality of this individual criterion. It is green at values <1mm, red at values >5mm and orange between them.

GPS Position – see fit of point object in chapter 9.4.16 .


Documentation Object

9.4.19. Documentation Object

Figure 9‑78: Documentation Object

Position - determines the position of the documentation object in the workspace.

Description – detailed information about the documentation object.

Hyperlinks – hyperlinks to files or web sites. Add a new hyperlink by entering its address into the lower text field, then press Add. You can change the order of the hyperlinks with Up / Down, delete them with Remove or open them by double clicking on the list item or by selecting the Open button.


Scan Folder

9.4.20. Scan Folder

Figure 9‑79: Scan Folder Properties

Name – The name of the scan folder.

Layer – The representation layer in which the scan folder is located.

Select active layer – Enters the currently active representation layer.

Assign layer to all contained objects – All the scans of the scan folder take on the representation layer of the scan folder.

Figure 9‑80: Scan Folder Properties – Folder

Cluster – Determine the scan folder as a cluster.

Reference Cluster – Determine the cluster as the reference cluster

Fixed Cluster – Mark the cluster alignment as fixed and exclude it from further automatic registration attempts.


Scan Manager

9.4.21. Scan Manager

Figure 9‑81: Scan manager

Name – The name of the scan manager.

Managed by – Name of the super ordinate scan manager.

Inclinometer – If checked, the inclinometer data will be used for the registration. If there is at least one scan without inclinometer data, the box will be grayed out.

Sub Manager – List of the subordinate scan managers.

The scan manager also informs whether external references were used for the registration or not.

The traffic lights next to the scan managers indicate whether they contain good or failed scan fits. If a traffic light next to a scan manager is red, this means that this scan manager contains bad scan fits. Green means that all the quality criteria are met. Amber shows that at least one quality criterion is somewhat compromised. If there is a [image] symbol next to a scan manger or a scan fit, this means that registration could not be executed because of e.g. missing references.

If you want to see the critical fits of a subordinate scan manager, double click onto this scan manager (in this example the scan manager of cluster “floor1”) to open it. Switch to the tab Scan Results.

Figure 9‑82: Scan results

The tab Scan Results gives you a list of all scan fits managed by the scan manager and shows the overall quality of each registration. This is symbolized by a traffic light too. Double-clicking on a fit object in the list opens its properties dialog.

The average tension of each registration is calculated in the second column of this table: the lower the value, the better the registration result. Here you can easily see which registrations failed or which registration results are bad (in this example the first two scan fits have an amber traffic light, so they seem not to be optimal). To identify the critical reference pairs which are responsible for the bad fit, you can switch to tab Ref. Tensions.

Figure 9‑83: Target tensions

Tab Ref. Tensions shows all reference pairs used for the scan placement, sorted by their tension. The information given here is mainly the same as in the tension table. The value Tension describes the discrepancy in the global coordinate system between the position and the orientation of the two corresponding reference objects in Scan 1 and Scan 2. With reference points the distance between the positions of the two reference points serves as input for the calculation of the tension. With planes, slabs or pipes the position and the direction of the objects serve as input for the calculation of this value.

Values close to zero indicate a good registration result. Here, you can easily identify reference pairs which are causing problems in the registration (in this example the reference “Pipe1” in the scans FARO_LS096_016 and FARO_LS096_017 seems to cause the problem). Clicking on the scan name selects the corresponding reference in this scan, double clicking opens the reference’s properties.

Weighted Tensions – Global references and inclinometer data have higher weightings in the registration algorithm. When you activate this option, these different weightings will be considered in the calculation of the tensions.

Full Hierarchy – When activated, the reference pairs of all scan managers will be displayed.

Weighted Statistics

Mean – Mean value over all tensions.

Deviation – Deviation over all tensions.

Min. – Minimum tension

Max. – Maximum tension


Scan

9.4.22. Scan

Depending on the used scanner type, the scan properties dialog might have different tabs. On the following pages the scan properties dialog will be described for scans recorded with the FARO Laser Scanner:

9.4.22.1. Scan

Figure 9‑84: Scan Properties

Size – The number of columns and rows. If a scan is loaded in reduced resolution, the reduced number of columns and rows is displayed and, in light grey underneath, the complete number of columns and rows.

Data loaded – Indicates whether the scan is loaded.

Reference Scan – Indicates whether the scan is used as a reference scan for registration.

Scan Fixed – Mark the scan alignment as fixed and exclude it from further automatic registration attempts.

Scanner Dist. Range – range of the scanner.

Scanner Position – The position of the scanner with the mirror being the point of origin.

Orientation Axis – Rotation axis of the scan.

Orientation Angle – The scan’s angle of rotation.

Recording Date – The time the scan was recorded.

Scan Origin Info – Additional information on the origin of the scan, for example, where it was recorded.

Info – Further details which were provided when recording.

9.4.22.2. General

Figure 9‑85: Scan Properties - General

Name – Name of the scan. Scans cannot be renamed.

Layer – The representation layer in which the scan is located.

Select active layer – Enters the currently active representation layer.

Assign layer to all contained objects – All the objects of the scan take on the representation layer of the scan.

9.4.22.3. Transformation

See chapter 9.4.2.2 .

9.4.22.4. Scan Area

Figure 9‑86: Scan Properties – Scan Area

Angular Area – The recorded angular area.

Vertical – The vertical angular area.

Horizontal – The horizontal angular area.

Resolution – The resolution of the scan, measured in fractions of the maximum resolution.

X-Control – the X-Control setting that had been selected for the recording of the scan. The X-Control setting has influence on the quality respectively on the noise of the scan data. The corresponding measurement rate is displayed too (in 1000 points per second).

Filters

Clear Sky – checked if the Clear Sky Filter had been applied during the recording of the scan.

Clear Contour – checked if Clear Contour Filter had been applied during the recording of the scan

Size – Number of rows and columns.

File Size – File size of the scan.

9.4.22.5. Operation

Figure 9‑87: Scan Properties - Operation

Name – The name of the project or the order.

Company – The client’s company name.

Division – The client’s or order’s division.

Subdivision – The client’s or order’s sub-division.

Area – The scanned area.

Info – Additional information.

Min. Reflection – The reflection value limit set when recording.

9.4.22.6. Operator

Figure 9‑88: Scan Properties - Operator

Name – The name of the operator.

Company – The operator’s company name.

Info – Additional information for the operator.

9.4.22.7. Scanner Info

Figure 9‑89: Scan Properties – Scanner Info

Scanner – The name of the scanner.

Revision – The revision number which is allocated during servicing.

Scanner Type – The type of scanner.

Serial Number – The serial number of the scanner.

Range – The range of the scanner.

Compensation – The name of the compensation file.

9.4.22.8. Scanner Settings

Figure 9‑90: Scan Properties – Scanner Settings

This tab contains some compensation data of the scanner.

9.4.22.9. Sensors

Figure 9‑91: Scan Properties - Sensors

Inclinometer

Use – Enable or disable the use of the inclinometer data for registration.

Inclinometer Axis – Shows the up direction of the inclinometer in the scan system.

Inclinometer Angle – Shows the angle between the z-axis and the inclinometer axis in the scan system.

Ignore Measurement – Overwrites the inclinometer axis and the angle with values that level the scan.

Transformation mismatch – Shows the difference between the z-axis defined by the inclinometer and the z-axis defined by the scan’s transformation.

Compass

Use – Enable or disable the use of the compass data for the correspondence search.

Compass Axis – Shows the orientation of the scan in the scan system.

Compass mismatch – Shows the difference between the orientation defined by the compass and the orientation defined by the scan’s transformation.

Altimeter

Use – Enable or disable the use of the altimeter data for correspondence search.

Measured Height – The height measured by the altimeter of the scanner based on a given reference height.

Place using Sensors – Restores the initial placement of the scan according to the measurements of the various sensors.

9.4.22.10. Camera

Figure 9‑92: Scan Properties - Camera

Camera Mount – Type of the camera bracket that has been used for taking a colored scan.

Non-winding is the old, fixed type for scans taken with FARO Photon and LS scanners and the type for all scans taken with FARO Focus3D scanners.

No parallax is the new mount with the sliding mechanism.

No parallax, with pins is the camera mount with the sliding mechanism and pins that fit into the bushes on the side of newer FARO Laser Scanners. Please that older models of the FARO Laser Scanner are not equipped with these bushes.

Camera Orientation - Camera orientation

Top – The camera was fixed in the top position of the mount bracket: Therefore the camera was pointing slightly upwards when taking pictures.

Horizontal – The camera was fixed in the lower position of the mount bracket and therefore oriented horizontally.

Exposure

Manual - Exposure time, exposure index, and f-number is set directly at the camera.

By Scanner - The scanner determined a balanced exposure setting.

Correction - Correction factor for the exposure settings that have been determined by the scanner.


Scan Fit

9.4.23. Scan Fit

Figure 9‑93: Scan Fit

Scan Name – Name of the scan. Scans cannot be renamed.

Name – The name of the fit object.

Inclinometer – If checked, the scanner’s inclinometer values are used to level the scan during registration

Position – The calculated position of the scan.

Orientation Axis – The calculated rotation axis of the scan.

Angle – The calculated angle of rotation of the scan.

Point distance – The standard deviation of the distance between the local reference points and their corresponding references. The traffic light indicates the quality of this individual criterion. It is green at values <10mm, red at values >20mm and orange between them.

Point drift – The mean value of the deviations between the local reference points and their corresponding references. In contrast to viewing purely the distance, the direction of the deviation is also taken into account here. Deviations can therefore cancel each other out. The traffic light indicates the quality of this individual criterion. It is green at values <1mm, red at values >5 mm and orange between them.

Long. mismatch – The standard deviation of the longitudinal distance between the local reference points and their corresponding references. The longitudinal distance is the difference between the distance values to the scanner. The traffic light indicates the quality of this individual criterion. It is green at values <10mm, red at values >20mm and orange between them.

Angular mismatch – The standard deviation of the angular distance between the local reference points and the corresponding references. The angles are measured in the local coordinate system of the scanner. The traffic light indicates the quality of this individual criterion. It is green at values <0.08°, red at values >0.17° and orange between them. Orthogonal mismatch – The standard deviation of the orthogonal distance between the local reference points and the corresponding references. This is a way to express the angular mismatch as distance mismatch.

Inclinometer mismatch – Angular difference between the calculated orientation axis and the axis defined by the inclinometer. The traffic light indicates the quality of this individual criterion. It is green at values <1°, red at values >5° and orange between them.

List of references used

Object – The name of the reference object. If reference object is a specific real reference, the full path of the corresponding object will be displayed; if referenced object is a virtual mean reference (mean reference from several scans) only its name will be displayed.

Distance – The distance between the local reference point and the corresponding global reference.

Long. – The longitudinal distance between local reference point and the corresponding global reference.

Angular – The angular distance between the local reference point and the corresponding global reference.

Orth. – The orthogonal distance between the local reference point and the corresponding global reference.

The traffic light here is green if a minimum of three references (including the inclinometer) are available; it’s red if there are less than three references.

When you press the button View, a 3D view will open which gives you an overview of the placement of the scanner and the local and global references.

Figure 9‑94: Overview of References

Figure 9‑95: Overview of References


Virtual Scan (3D Picture)

9.4.24. Virtual Scan (3D Picture)

Figure 9‑96: Virtual scan properties

For more information, see chapter 9.4.22.1 .


Error Messages

10. Error Messages

The application must be started once by someone with sufficient privilege to register controls. Otherwise several modules won't work as expected. You should at least have "Power User" rights. – SCENE LT must be started at least once by a power user or administrator to ensure all functions can be executed smoothly.

Version of model is not supported – The workspace was saved with a later version of SCENE LT and cannot be read by your version. Use a later version of SCENE LT.

Version of scan is not supported – The scan was saved with a later version of SCENE LT and cannot be read by your version. Use a later version of SCENE LT.

Failed to rename 'Scan’. Renaming scan files is not permitted! – You cannot rename scans.

One or several objects failed to read in successfully. Please check properties of marked objects. – The workspace contains scans that do not exist as a file.

Not all contents of 'Object' were copied successfully. One or several children are bound to their original location. – When copying objects that were created by a fit, it is not possible to also copy the fit object to the new location.

The move request was rejected, because either ‘Object’ or one of its children is bound to its current location. – Some objects cannot be moved or copied to different locations, for example fit objects, or unloaded pictures.


Frequently Asked Questions

11. Frequently Asked Questions

Why can I not rename scans?

Scans in the workspace must have the same name as the corresponding scan file on your data medium. You cannot rename the scan file at the same time as the scan in the workspace because scans can be used in several workspaces simultaneously.

Why can I only load a few scans even though I have a very big virtual memory?

Apart from the physical memory and the virtual memory, Windows has yet another parameter which limits the memory: the address space. The address space indicates the maximum amount of memory a process like SCENE LT can take up, independent of how much physical or virtual memory is available.

With 32-bit versions of Windows, the standard address space of a process is restricted to 2GB. However, you can also configure Windows with the boot option “/3GB” in such a way that a process is allocated 3GB of address space. Please contact your system administrator for this.

Why do I always get the message "Load data reduced size" when loading scans?

Please check the settings under Tools > Options > Scan Data. The maximum scan size permitted is set there. You can lift the size restriction by setting the setting to unlimited.

Why does my license not work any more?

The license is linked to the Ethernet address of your network card. When checking the license, SCENE LT compares the Ethernet address of the network card with the saved license. Unfortunately, a lot of network cards hide the Ethernet address if you are not physically connected to a network.

Why is the scan loaded even when starting a quick view?

The quick view is normally saved in the scan. If this is not the case for a scan, SCENE LT has to first load the scan before it can display the quick view. If the security settings permit it, SCENE LT then writes the quick view in the scan, so that next time you open the quick view, it is no longer necessary to load.

When I call the context menu, why do I sometimes get the dialog to select the object?

If several objects are lying next to one another or objects are lying within the selection, SCENE LT has to ask which object you mean.

Why can I no longer load some scans?

Some virus scanners have problems with the extensive scan files. Disable the virus scanner when working with SCENE LT.

Why do I get a black window when opening the 3D view?

SCENE LT requires a graphics card that supports OpenGL 2.0 or higher. If your graphics card supports older versions only, the 3D view might not work on it. Switching off the advanced textures and/or offscreen rendering under Tools > Options > View might solve this. When switching off advanced textures, the stereoscopic view is not available anymore. When switching off offfscreen rendering, the stereoscopic view, the clear view and gap filling are not available anymore.


Appendix A: Software License Agreement

This Software License Agreement is part of the Operating Manual for the product and software System which you have purchased from FARO TECHNOLOGIES INC. (collectively, the “Licenser”). By your use of the software you are agreeing to the terms and conditions of this Software License Agreement. Throughout this Software License Agreement, the term “Licensee” means the owner of the System.

I. The Licensor hereby grants the Licensee the non exclusive right to use the computer software described in this Operating Manual (the “Software”). The Licensee shall have no right to sell, assign, sub-license, rent or lease the Software to any third party without the Licenser’s prior written consent.

II. The Licenser further grants the Licensee the right to make a backup copy of the Software media. The Licensee agrees that it will not decompile, disassemble, reverse engineer, copy, transfer, or otherwise use the Software except as permitted by this Agreement. The Licensee further agrees not to copy any written materials accompanying the Software.

III. The Licensee is licensed to use the Software only in the manner described in the Operating Manual. Use of the Software in a manner other than that described in the Operating Manual or use of the Software in conjunction with any non-Licenser product which decompiles or recompiles the Software or in any other way modifies the structure, sequence or function of the Software code, is not an authorized use, and further, such use voids the Licenser’s set forth below.

IV. The only warranty with respect to the Software and the accompanying written materials is the warranty, if any, set forth in the Quotation/Purchase Order and Warranty Appendix B pursuant to which the Software was purchased from the Licenser.

V. THIS WARRANTY IS IN LIEU OF OTHER WARRANTIES, EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE WITH RESPECT TO THE SOFTWARE AND WRITTEN MATERIALS. IN NO EVENT WILL THE LICENSER BE LIABLE FOR DAMAGES, INCLUDING ANY LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE SOFTWARE, NOTWITHSTANDING THAT THE LICENSER HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES, THE LICENSER WILL NOT BE LIABLE FOR ANY SUCH CLAIM BY ANY OTHER PARTY.

VI. In the event of any breach by the Licensee of this Agreement, the license granted hereby shall immediately terminate and the Licensee shall return the Software media and all written materials, together with any copy of such media or materials, and the Licensee shall keep no copies of such items.

VII. The interpretation of this Agreement shall be governed by the following provisions:

a. This Agreement shall be construed pursuant to and governed by the substantive laws of the State of Florida (and any provision of Florida law shall not apply if the law of a state or jurisdiction other than Florida would otherwise apply).

b. If any provision of this Agreement is determined by a court of competent jurisdiction to be void and non-enforceable, such determination shall not affect any other provision of this Agreement, and the remaining provisions of this Agreement shall remain in full force and effect. If any provision or term of this Agreement is susceptible to two or more constructions or interpretations, one or more of which would render the provision or term void or non-enforceable, the parties agree that a construction or interpretation which renders the term of provision valid shall be favored.

c. This Agreement constitutes the entire Agreement, and supersedes all prior agreements and understandings, oral and written, among the parties to this Agreement with respect to the subject matter hereof.

VIII. If a party engages the services of an attorney or any other third party or in any way initiates legal action to enforce its rights under this Agreement, the prevailing party shall be entitled to recover all reasonable costs and expenses (including reasonable attorney’s fees before trial and in appellate proceedings).


Implementation Notes

13.1 paintlib

13.2 libtiff

13.3 JPEG

13.4 KissFFT

13.5 Open Source Computer Vision Library

13.6 GPL

13.7 LGPL

13.8 GEOTRANS


paintlib

SCENE LT contains paintlib code. paintlib is copyright (c) 1996-2000 Ulrich von Zadow.


libtiff

Copyright (c) 1988-1997 Sam Leffler

Copyright (c) 1991-1997 Silicon Graphics, Inc.


JPEG

This software is based in part on the work of the Independent JPEG Group.


KissFFT

Copyright (c) 2003,4 Mark Borgerding

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

· Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

· Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

· Neither the author nor the names of any contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


Open Source Computer Vision Library

Copyright (C) 2000, 2001, Intel Corporation, all rights reserved.

Third party copyrights are property of their respective owners.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

· Redistribution's of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

· Redistribution's in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

· The name of Intel Corporation may not be used to endorse or promote products derived from this software without specific prior written permission.

This software is provided by the copyright holders and contributors "as is" and any express or implied warranties, including, but not limited to, the implied warranties of merchantability and fitness for a particular purpose are disclaimed. In no event shall the Intel Corporation or contributors be liable for any direct, indirect, incidental, special, exemplary, or consequential damages (including, but not limited to, procurement of substitute goods or services; loss of use, data, or profits; or business interruption) however caused and on any theory of liability, whether in contract, strict liability, or tort (including negligence or otherwise) arising in any way out of the use of this software, even if advised of the possibility of such damage.


GPL

GNU GENERAL PUBLIC LICENSE

Version 3, 29 June 2007

Copyright (C) 2007 Free Software Foundation, Inc. <http://fsf.org/>

Everyone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.

Preamble

The GNU General Public License is a free, copyleft license for software and other kinds of works.

The licenses for most software and other practical works are designed to take away your freedom to share and change the works. By contrast, the GNU General Public License is intended to guarantee your freedom to share and change all versions of a program--to make sure it remains free software for all its users. We, the Free Software Foundation, use the GNU General Public License for most of our software; it applies also to any other work released this way by its authors. You can apply it to

your programs, too.

When we speak of free software, we are referring to freedom, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for them if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs, and that you know you can do these things.

To protect your rights, we need to prevent others from denying you these rights or asking you to surrender the rights. Therefore, you have certain responsibilities if you distribute copies of the software, or if you modify it: responsibilities to respect the freedom of others.

For example, if you distribute copies of such a program, whether gratis or for a fee, you must pass on to the recipients the same freedoms that you received. You must make sure that they, too, receive or can get the source code. And you must show them these terms so they know their rights.

Developers that use the GNU GPL protect your rights with two steps:

(1) assert copyright on the software, and (2) offer you this License giving you legal permission to copy, distribute and/or modify it.

For the developers' and authors' protection, the GPL clearly explains that there is no warranty for this free software. For both users' and authors' sake, the GPL requires that modified versions be marked as changed, so that their problems will not be attributed erroneously to authors of previous versions.

Some devices are designed to deny users access to install or run modified versions of the software inside them, although the manufacturer can do so. This is fundamentally incompatible with the aim of protecting users' freedom to change the software. The systematic pattern of such abuse occurs in the area of products for individuals to use, which is precisely where it is most unacceptable. Therefore, we have designed this version of the GPL to prohibit the practice for those products. If such problems arise substantially in other domains, we stand ready to extend this provision to those domains in future versions of the GPL, as needed to protect the freedom of users.

Finally, every program is threatened constantly by software patents. States should not allow patents to restrict development and use of software on general-purpose computers, but in those that do, we wish to avoid the special danger that patents applied to a free program could make it effectively proprietary. To prevent this, the GPL assures that patents cannot be used to render the program non-free.

The precise terms and conditions for copying, distribution and modification follow.

TERMS AND CONDITIONS

0. Definitions.

"This License" refers to version 3 of the GNU General Public License.

"Copyright" also means copyright-like laws that apply to other kinds of works, such as semiconductor masks.

"The Program" refers to any copyrightable work licensed under this License. Each licensee is addressed as "you". "Licensees" and "recipients" may be individuals or organizations.

To "modify" a work means to copy from or adapt all or part of the work in a fashion requiring copyright permission, other than the making of an exact copy. The resulting work is called a "modified version" of the earlier work or a work "based on" the earlier work.

A "covered work" means either the unmodified Program or a work based on the Program.

To "propagate" a work means to do anything with it that, without permission, would make you directly or secondarily liable for infringement under applicable copyright law, except executing it on a computer or modifying a private copy. Propagation includes copying, distribution (with or without modification), making available to the

public, and in some countries other activities as well.

To "convey" a work means any kind of propagation that enables other parties to make or receive copies. Mere interaction with a user through a computer network, with no transfer of a copy, is not conveying.

An interactive user interface displays "Appropriate Legal Notices" to the extent that it includes a convenient and prominently visible feature that (1) displays an appropriate copyright notice, and (2) tells the user that there is no warranty for the work (except to the extent that warranties are provided), that licensees may convey the work under this License, and how to view a copy of this License. If the interface presents a list of user commands or options, such as a menu, a prominent item in the list meets this criterion.

1. Source Code.

The "source code" for a work means the preferred form of the work for making modifications to it. "Object code" means any non-source form of a work.

A "Standard Interface" means an interface that either is an official standard defined by a recognized standards body, or, in the case of interfaces specified for a particular programming language, one that is widely used among developers working in that language.

The "System Libraries" of an executable work include anything, other than the work as a whole, that (a) is included in the normal form of packaging a Major Component, but which is not part of that Major Component, and (b) serves only to enable use of the work with that Major Component, or to implement a Standard Interface for which an implementation is available to the public in source code form. A "Major Component", in this context, means a major essential component (kernel, window system, and so on) of the specific operating system (if any) on which the executable work runs, or a compiler used to produce the work, or an object code interpreter used to run it.

The "Corresponding Source" for a work in object code form means all the source code needed to generate, install, and (for an executable work) run the object code and to modify the work, including scripts to control those activities. However, it does not include the work's System Libraries, or general-purpose tools or generally available free programs which are used unmodified in performing those activities but which are not part of the work. For example, Corresponding Source includes interface definition files associated with source files for the work, and the source code for shared libraries and dynamically linked subprograms that the work is specifically designed to require, such as by intimate data communication or control flow between those subprograms and other parts of the work.

The Corresponding Source need not include anything that users can regenerate automatically from other parts of the Corresponding Source.

The Corresponding Source for a work in source code form is that same work.

2. Basic Permissions.

All rights granted under this License are granted for the term of copyright on the Program, and are irrevocable provided the stated conditions are met. This License explicitly affirms your unlimited permission to run the unmodified Program. The output from running a covered work is covered by this License only if the output, given its content, constitutes a covered work. This License acknowledges your rights of fair use or other equivalent, as provided by copyright law.

You may make, run and propagate covered works that you do not convey, without conditions so long as your license otherwise remains in force. You may convey covered works to others for the sole purpose of having them make modifications exclusively for you, or provide you with facilities for running those works, provided that you comply with the terms of this License in conveying all material for which you do not control copyright. Those thus making or running the covered works for you must do so exclusively on your behalf, under your direction and control, on terms that prohibit them from making any copies of your copyrighted material outside their relationship with you.

Conveying under any other circumstances is permitted solely under the conditions stated below. Sublicensing is not allowed; section 10 makes it unnecessary.

3. Protecting Users' Legal Rights From Anti-Circumvention Law.

No covered work shall be deemed part of an effective technological measure under any applicable law fulfilling obligations under article 11 of the WIPO copyright treaty adopted on 20 December 1996, or similar laws prohibiting or restricting circumvention of such measures.

When you convey a covered work, you waive any legal power to forbid circumvention of technological measures to the extent such circumvention is effected by exercising rights under this License with respect to the covered work, and you disclaim any intention to limit operation or modification of the work as a means of enforcing, against the work's users, your or third parties' legal rights to forbid circumvention of technological measures.

4. Conveying Verbatim Copies.

You may convey verbatim copies of the Program's source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice; keep intact all notices stating that this License and any non-permissive terms added in accord with section 7 apply to the code; keep intact all notices of the absence of any warranty; and give all recipients a copy of this License along with the Program.

You may charge any price or no price for each copy that you convey, and you may offer support or warranty protection for a fee.

5. Conveying Modified Source Versions.

You may convey a work based on the Program, or the modifications to produce it from the Program, in the form of source code under the terms of section 4, provided that you also meet all of these conditions:

a) The work must carry prominent notices stating that you modified it, and giving a relevant date.

b) The work must carry prominent notices stating that it is released under this License and any conditions added under section 7. This requirement modifies the requirement in section 4 to "keep intact all notices".

c) You must license the entire work, as a whole, under this License to anyone who comes into possession of a copy. This License will therefore apply, along with any applicable section 7 additional terms, to the whole of the work, and all its parts, regardless of how they are packaged. This License gives no permission to license the work in any other way, but it does not invalidate such permission if you have separately received it.

d) If the work has interactive user interfaces, each must display Appropriate Legal Notices; however, if the Program has interactive interfaces that do not display Appropriate Legal Notices, your work need not make them do so.

A compilation of a covered work with other separate and independent works, which are not by their nature extensions of the covered work, and which are not combined with it such as to form a larger program, in or on a volume of a storage or distribution medium, is called an "aggregate" if the compilation and its resulting copyright are not used to limit the access or legal rights of the compilation's users beyond what the individual works permit. Inclusion of a covered work in an aggregate does not cause this License to apply to the other parts of the aggregate.

6. Conveying Non-Source Forms.

You may convey a covered work in object code form under the terms of sections 4 and 5, provided that you also convey the machine-readable Corresponding Source under the terms of this License, in one of these ways:

a) Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by the Corresponding Source fixed on a durable physical medium customarily used for software interchange.

b) Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by a written offer, valid for at least three years and valid for as long as you offer spare parts or customer support for that product model, to give anyone who possesses the object code either (1) a copy of the Corresponding Source for all the software in the product that is covered by this License, on a durable physical medium customarily used for software interchange, for a price no more than your reasonable cost of physically performing this conveying of source, or (2) access to copy the Corresponding Source from a network server at no charge.

c) Convey individual copies of the object code with a copy of the written offer to provide the Corresponding Source. This alternative is allowed only occasionally and noncommercially, and only if you received the object code with such an offer, in accord with subsection 6b.

d) Convey the object code by offering access from a designated place (gratis or for a charge), and offer equivalent access to the Corresponding Source in the same way through the same place at no further charge. You need not require recipients to copy the Corresponding Source along with the object code. If the place to copy the object code is a network server, the Corresponding Source may be on a different server (operated by you or a third party) that supports equivalent copying facilities, provided you maintain clear directions next to the object code saying where to find the Corresponding Source. Regardless of what server hosts the Corresponding Source, you remain obligated to ensure that it is available for as long as needed to satisfy these requirements.

e) Convey the object code using peer-to-peer transmission, provided you inform other peers where the object code and Corresponding Source of the work are being offered to the general public at no charge under subsection 6d.

A separable portion of the object code, whose source code is excluded from the Corresponding Source as a System Library, need not be included in conveying the object code work.

A "User Product" is either (1) a "consumer product", which means any tangible personal property which is normally used for personal, family, or household purposes, or (2) anything designed or sold for incorporation into a dwelling. In determining whether a product is a consumer product, doubtful cases shall be resolved in favor of coverage. For a particular product received by a particular user, "normally used" refers to a typical or common use of that class of product, regardless of the status of the particular user or of the way in which the particular user actually uses, or expects or is expected to use, the product. A product is a consumer product regardless of whether the product has substantial commercial, industrial or non-consumer uses, unless such uses represent the only significant mode of use of the product.

"Installation Information" for a User Product means any methods, procedures, authorization keys, or other information required to install and execute modified versions of a covered work in that User Product from a modified version of its Corresponding Source. The information must suffice to ensure that the continued functioning of the modified object code is in no case prevented or interfered with solely because modification has been made.

If you convey an object code work under this section in, or with, or specifically for use in, a User Product, and the conveying occurs as part of a transaction in which the right of possession and use of the User Product is transferred to the recipient in perpetuity or for a fixed term (regardless of how the transaction is characterized), the

Corresponding Source conveyed under this section must be accompanied by the Installation Information. But this requirement does not apply if neither you nor any third party retains the ability to install modified object code on the User Product (for example, the work has been installed in ROM).

The requirement to provide Installation Information does not include a requirement to continue to provide support service, warranty, or updates for a work that has been modified or installed by the recipient, or for the User Product in which it has been modified or installed. Access to a network may be denied when the modification itself materially and adversely affects the operation of the network or violates the rules and protocols for communication across the network.

Corresponding Source conveyed, and Installation Information provided, in accord with this section must be in a format that is publicly documented (and with an implementation available to the public in source code form), and must require no special password or key for unpacking, reading or copying.

7. Additional Terms.

"Additional permissions" are terms that supplement the terms of this License by making exceptions from one or more of its conditions. Additional permissions that are applicable to the entire Program shall be treated as though they were included in this License, to the extent that they are valid under applicable law. If additional permissions apply only to part of the Program, that part may be used separately under those permissions, but the entire Program remains governed by this License without regard to the additional permissions.

When you convey a copy of a covered work, you may at your option remove any additional permissions from that copy, or from any part of it. (Additional permissions may be written to require their own removal in certain cases when you modify the work.) You may place additional permissions on material, added by you to a covered work, for which you have or can give appropriate copyright permission.

Notwithstanding any other provision of this License, for material you add to a covered work, you may (if authorized by the copyright holders of that material) supplement the terms of this License with terms:

a) Disclaiming warranty or limiting liability differently from the terms of sections 15 and 16 of this License; or

b) Requiring preservation of specified reasonable legal notices or author attributions in that material or in the Appropriate Legal Notices displayed by works containing it; or

c) Prohibiting misrepresentation of the origin of that material, or requiring that modified versions of such material be marked in reasonable ways as different from the original version; or

d) Limiting the use for publicity purposes of names of licensors or authors of the material; or

e) Declining to grant rights under trademark law for use of some trade names, trademarks, or service marks; or

f) Requiring indemnification of licensors and authors of that material by anyone who conveys the material (or modified versions of it) with contractual assumptions of liability to the recipient, for any liability that these contractual assumptions directly impose on those licensors and authors.

All other non-permissive additional terms are considered "further restrictions" within the meaning of section 10. If the Program as you received it, or any part of it, contains a notice stating that it is governed by this License along with a term that is a further restriction, you may remove that term. If a license document contains a further restriction but permits relicensing or conveying under this License, you may add to a covered work material governed by the terms of that license document, provided that the further restriction does not survive such relicensing or conveying.

If you add terms to a covered work in accord with this section, you must place, in the relevant source files, a statement of the additional terms that apply to those files, or a notice indicating where to find the applicable terms.

Additional terms, permissive or non-permissive, may be stated in the form of a separately written license, or stated as exceptions; the above requirements apply either way.

8. Termination.

You may not propagate or modify a covered work except as expressly provided under this License. Any attempt otherwise to propagate or modify it is void, and will automatically terminate your rights under this License (including any patent licenses granted under the third paragraph of section 11).

However, if you cease all violation of this License, then your license from a particular copyright holder is reinstated (a) provisionally, unless and until the copyright holder explicitly and finally terminates your license, and (b) permanently, if the copyright holder fails to notify you of the violation by some reasonable means prior to 60 days after the cessation.

Moreover, your license from a particular copyright holder is reinstated permanently if the copyright holder notifies you of the violation by some reasonable means, this is the first time you have received notice of violation of this License (for any work) from that copyright holder, and you cure the violation prior to 30 days after your receipt of the notice.

Termination of your rights under this section does not terminate the licenses of parties who have received copies or rights from you under this License. If your rights have been terminated and not permanently reinstated, you do not qualify to receive new licenses for the same material under section 10.

9. Acceptance Not Required for Having Copies.

You are not required to accept this License in order to receive or run a copy of the Program. Ancillary propagation of a covered work occurring solely as a consequence of using peer-to-peer transmission to receive a copy likewise does not require acceptance. However, nothing other than this License grants you permission to propagate or modify any covered work. These actions infringe copyright if you do not accept this License. Therefore, by modifying or propagating a covered work, you indicate your acceptance of this License to do so.

10. Automatic Licensing of Downstream Recipients.

Each time you convey a covered work, the recipient automatically receives a license from the original licensors, to run, modify and propagate that work, subject to this License. You are not responsible for enforcing compliance by third parties with this License.

An "entity transaction" is a transaction transferring control of an organization, or substantially all assets of one, or subdividing an organization, or merging organizations. If propagation of a covered work results from an entity transaction, each party to that transaction who receives a copy of the work also receives whatever licenses to the work the party's predecessor in interest had or could give under the previous paragraph, plus a right to possession of the Corresponding Source of the work from the predecessor in interest, if the predecessor has it or can get it with reasonable efforts.

You may not impose any further restrictions on the exercise of the rights granted or affirmed under this License. For example, you may not impose a license fee, royalty, or other charge for exercise of rights granted under this License, and you may not initiate litigation (including a cross-claim or counterclaim in a lawsuit) alleging that any patent claim is infringed by making, using, selling, offering for sale, or importing the Program or any portion of it.

11. Patents.

A "contributor" is a copyright holder who authorizes use under this License of the Program or a work on which the Program is based. The work thus licensed is called the contributor's "contributor version".

A contributor's "essential patent claims" are all patent claims owned or controlled by the contributor, whether already acquired or hereafter acquired, that would be infringed by some manner, permitted by this License, of making, using, or selling its contributor version, but do not include claims that would be infringed only as a consequence of further modification of the contributor version. For purposes of this definition, "control" includes the right to grant patent sublicenses in a manner consistent with the requirements of this License.

Each contributor grants you a non-exclusive, worldwide, royalty-free patent license under the contributor's essential patent claims, to make, use, sell, offer for sale, import and otherwise run, modify and propagate the contents of its contributor version.

In the following three paragraphs, a "patent license" is any express agreement or commitment, however denominated, not to enforce a patent (such as an express permission to practice a patent or covenant not to sue for patent infringement). To "grant" such a patent license to a party means to make such an agreement or commitment not to enforce a patent against the party.

If you convey a covered work, knowingly relying on a patent license, and the Corresponding Source of the work is not available for anyone to copy, free of charge and under the terms of this License, through a publicly available network server or other readily accessible means, then you must either (1) cause the Corresponding Source to be so available, or (2) arrange to deprive yourself of the benefit of the patent license for this particular work, or (3) arrange, in a manner consistent with the requirements of this License, to extend the patent license to downstream recipients. "Knowingly relying" means you have actual knowledge that, but for the patent license, your conveying the covered work in a country, or your recipient's use of the covered work in a country, would infringe one or more identifiable patents in that country that you have reason to believe are valid.

If, pursuant to or in connection with a single transaction or arrangement, you convey, or propagate by procuring conveyance of, a covered work, and grant a patent license to some of the parties receiving the covered work authorizing them to use, propagate, modify or convey a specific copy of the covered work, then the patent license you grant is automatically extended to all recipients of the covered work and works based on it.

A patent license is "discriminatory" if it does not include within the scope of its coverage, prohibits the exercise of, or is conditioned on the non-exercise of one or more of the rights that are specifically granted under this License. You may not convey a covered work if you are a party to an arrangement with a third party that is in the business of distributing software, under which you make payment to the third party based on the extent of your activity of conveying the work, and under which the third party grants, to any of the parties who would receive the covered work from you, a discriminatory patent license (a) in connection with copies of the covered work conveyed by you (or copies made from those copies), or (b) primarily for and in connection with specific products or compilations that contain the covered work, unless you entered into that arrangement, or that patent license was granted, prior to 28 March 2007.

Nothing in this License shall be construed as excluding or limiting any implied license or other defenses to infringement that may otherwise be available to you under applicable patent law.

12. No Surrender of Others' Freedom.

If conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot convey a covered work so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not convey it at all. For example, if you agree to terms that obligate you to collect a royalty for further conveying from those to whom you convey the Program, the only way you could satisfy both those terms and this License would be to refrain entirely from conveying the Program.

13. Use with the GNU Affero General Public License.

Notwithstanding any other provision of this License, you have permission to link or combine any covered work with a work licensed under version 3 of the GNU Affero General Public License into a single combined work, and to convey the resulting work. The terms of this License will continue to apply to the part which is the covered work, but the special requirements of the GNU Affero General Public License, section 13, concerning interaction through a network will apply to the combination as such.

14. Revised Versions of this License.

The Free Software Foundation may publish revised and/or new versions of the GNU General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.

Each version is given a distinguishing version number. If the Program specifies that a certain numbered version of the GNU General Public License "or any later version" applies to it, you have the option of following the terms and conditions either of that numbered version or of any later version published by the Free Software Foundation. If the Program does not specify a version number of the GNU General Public License, you may choose any version ever published by the Free Software Foundation.

If the Program specifies that a proxy can decide which future versions of the GNU General Public License can be used, that proxy's public statement of acceptance of a version permanently authorizes you to choose that version for the Program.

Later license versions may give you additional or different permissions. However, no additional obligations are imposed on any author or copyright holder as a result of your choosing to follow a later version.

15. Disclaimer of Warranty.

THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.

16. Limitation of Liability.

IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR CONVEYS THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

17. Interpretation of Sections 15 and 16.

If the disclaimer of warranty and limitation of liability provided above cannot be given local legal effect according to their terms, reviewing courts shall apply local law that most closely approximates an absolute waiver of all civil liability in connection with the

Program, unless a warranty or assumption of liability accompanies a copy of the Program in return for a fee.

END OF TERMS AND CONDITIONS

Written Offer

If you, the owner of the scanner, like to get a copy of the source code of GPL covered parts of the scanner’s firmware, please contact our support team support@faroeurope.com. This offer is valid for three years and valid for as long as FARO offers spare parts or customer support for this product model.


LGPL

SCENE LT includes the following applications and libraries, which are covered by the LGPL:

• libusb

• Linux API

• DirectFB

• Eigen

GNU LESSER GENERAL PUBLIC LICENSE

Version 3, 29 June 2007

Copyright (C) 2007 Free Software Foundation, Inc. <http://fsf.org/>

Everyone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.

This version of the GNU Lesser General Public License incorporates the terms and conditions of version 3 of the GNU General Public License, supplemented by the additional permissions listed below.

0. Additional Definitions.

As used herein, "this License" refers to version 3 of the GNU Lesser General Public License, and the "GNU GPL" refers to version 3 of the GNU General Public License.

"The Library" refers to a covered work governed by this License, other than an Application or a Combined Work as defined below.

An "Application" is any work that makes use of an interface provided by the Library, but which is not otherwise based on the Library. Defining a subclass of a class defined by the Library is deemed a mode of using an interface provided by the Library.

A "Combined Work" is a work produced by combining or linking an Application with the Library. The particular version of the Library with which the Combined Work was made is also called the "Linked Version".

The "Minimal Corresponding Source" for a Combined Work means the Corresponding Source for the Combined Work, excluding any source code for portions of the Combined Work that, considered in isolation, are based on the Application, and not on the Linked Version.

The "Corresponding Application Code" for a Combined Work means the object code and/or source code for the Application, including any data and utility pro-grams needed for reproducing the Combined Work from the Application, but ex-cluding the System Libraries of the Combined Work.

1. Exception to Section 3 of the GNU GPL.

You may convey a covered work under sections 3 and 4 of this License without being bound by section 3 of the GNU GPL.

2. Conveying Modified Versions.

If you modify a copy of the Library, and, in your modifications, a facility refers to a function or data to be supplied by an Application that uses the facility (other than as an argument passed when the facility is invoked), then you may convey a copy of the modified version:

a) under this License, provided that you make a good faith effort to ensure that, in the event an Application does not supply the function or data, the facility still operates, and performs whatever part of its purpose remains meaningful, or

b) under the GNU GPL, with none of the additional permissions of this License applicable to that copy.

3. Object Code Incorporating Material from Library Header Files.

The object code form of an Application may incorporate material from a header file that is part of the Library. You may convey such object code under terms of your choice, provided that, if the incorporated material is not limited to numerical parameters, data structure layouts and accessors, or small macros, inline functions and templates (ten or fewer lines in length), you do both of the following:

a) Give prominent notice with each copy of the object code that the Library is used in it and that the Library and its use are covered by this License.

b) Accompany the object code with a copy of the GNU GPL and this license document.

4. Combined Works.

You may convey a Combined Work under terms of your choice that, taken together, effectively do not restrict modification of the portions of the Library contained in the Combined Work and reverse engineering for debugging such modifications, if you also do each of the following:

a) Give prominent notice with each copy of the Combined Work that the Library is used in it and that the Library and its use are covered by this License.

b) Accompany the Combined Work with a copy of the GNU GPL and this license document.

c) For a Combined Work that displays copyright notices during execution, include the copyright notice for the Library among these notices, as well as a reference directing the user to the copies of the GNU GPL and this license document.

d) Do one of the following:

0) Convey the Minimal Corresponding Source under the terms of this License, and the Corresponding Application Code in a form suitable for, and under terms that permit, the user to recombine or relink the Application with a modified version of the Linked Version to produce a modified Combined Work, in the manner specified by section 6 of the GNU GPL for conveying Corresponding Source.

1) Use a suitable shared library mechanism for linking with the Library. A suitable mechanism is one that (a) uses at run time a copy of the Library already present on the user's computer system, and (b) will operate properly with a modified version

of the Library that is interface-compatible with the Linked Version.

e) Provide Installation Information, but only if you would otherwise be required to provide such information under section 6 of the GNU GPL, and only to the extent that such information is necessary to install and execute a modified version of the

Combined Work produced by recombining or relinking the Application with a modified version of the Linked Version. (If you use option 4d0, the Installation Information must accompany the Minimal Corresponding Source and Corresponding Application Code. If you use option 4d1, you must provide the Installation Information in the manner specified by section 6 of the GNU GPL for conveying Corresponding Source.)

5. Combined Libraries.

You may place library facilities that are a work based on the Library side by side in a single library together with other library facilities that are not Applications and are not covered by this License, and convey such a combined library under terms of your choice, if you do both of the following:

a) Accompany the combined library with a copy of the same work based on the Library, uncombined with any other library facilities, conveyed under the terms of this License.

b) Give prominent notice with the combined library that part of it is a work based on the Library, and explaining where to find the accompanying uncombined form of the same work.

6. Revised Versions of the GNU Lesser General Public License.

The Free Software Foundation may publish revised and/or new versions of the GNU Lesser General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.

Each version is given a distinguishing version number. If the Library as you received it specifies that a certain numbered version of the GNU Lesser General Public License "or any later version" applies to it, you have the option of following the terms and conditions either of that published version or of any later version published by the Free Software Foundation. If the Library as you received it does not specify a version number of the GNU Lesser General Public License, you may choose any version of the GNU Lesser General Public License ever published by the Free Software Foundation.

If the Library as you received it specifies that a proxy can decide whether future versions of the GNU Lesser General Public License shall apply, that proxy's public statement of acceptance of any version is permanent authorization for you to choose that version for the Library.

Written Offer

If you, the owner of the scanner, like to get a copy of the source code of LGPL covered parts of the scanner’s firmware, please contact our support team sup-port@faroeurope.com. This offer is valid for three years and valid for as long as FARO offers spare parts or customer support for this product model.


GEOTRANS

The product was developed using GEOTRANS, a product of the National Geospatial-Intelligence Agency (NGA) and U.S. Army Engineering Research and Development Center.


Glossary

Context menu – a menu with commands that can be applied to the object selected. It appears if you click on an object with the right mouse button.

Fit object – an auxiliary object created by the object fit, that stores the selection used for the fit and the quality values of the fit.

Folder – an object type which stores any objects other than scans. It is similar to the Windows file system folder. The complement to this is the Scan Folder, in which scans are received.

Layer – is used to draw a grouping of objects in order to be able to control the visibility of objects.

Measurements – in the structure view a visible object of the workspace. It contains the measurement logs.

Menu bar – the top horizontal section in the SCENE LT screen. The menu bar contains all the menus with commands for the general operation. Further commands can be found in the toolbars and context menus.

Models – in the structure view a visible object of the workspace. It contains the CAD objects.

Object fit – ascertaining the best fitting object parameters possible from the scan points.

References – in the structure view a visible object of the workspace. It contains the reference objects for positioning scans (for example, survey coordinates) and should not be renamed.

Scan Folder – An object type that receives scans. It is similar to the Windows file system folder. The complement to this is the folder, in which all other objects are received.

Scans – a visible object of the workspace in the structure view. It is a kind of Scan Folder and contains Scans.

Status bar – the bottom horizontal section on the SCENE LT screen. The status bar displays command details or responses to the last command executed as well as scan point data.

Structure view – shows the structure of the workspace, including subfolders and objects.

Toolbar – a toolbar has buttons with which you can easily start commands. SCENE LT has many toolbars, which you can hide or unhide where necessary. Toolbars are mostly situated in the upper area of the screen, below the menu bar.

Workspace – the combination of all data required to process and analyze scans. This includes scans, CAD data, survey data, measurement results, text fields and much more.


unknown

©FARO Technologies Inc., 2008-2012. All rights reserved.

No part of this publication may be reproduced, or transmitted in any form or by any means without written permission of FARO Technologies, Inc.

FARO TECHNOLOGIES, INC. MAKES NO WARRANTY, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE, REGARDING THE FAROARM, FARO LASER TRACKER AND ANY MATERIALS, AND MAKES SUCH MATERIALS AVAILABLE SOLELY ON AN “AS-IS” BASIS.

IN NO EVENT SHALL FARO TECHNOLOGIES INC. BE LIABLE TO ANYONE FOR SPECIAL, COLLATERAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES IN CONNECTION WITH OR ARISING OUT OF THE PURCHASE OR USE OF THE FAROARM, FARO LASER TRACKER, FARO LASER SCANNER OR ITS MATERIALS. THE SOLE AND EXCLUSIVE LIABILITY TO FARO TECHNOLOGIES, INC., REGARDLESS OF THE FORM OF ACTION, SHALL NOT EXCEED THE PURCHASE PRICE OF THE MATERIALS DESCRIBED HEREIN.

THE INFORMATION CONTAINED IN THIS MANUAL IS SUBJECT TO CHANGE WITHOUT NOTICE AND DOES NOT REPRESENT A COMMITMENT ON THE PART OF FARO TECHNOLOGIES INC. ACCEPTANCE OF THIS DOCUMENT BY THE CUSTOMER CONSTITUTES ACKNOWLEDGMENT THAT IF ANY INCONSISTENCY EXISTS BETWEEN THE ENGLISH AND NON-ENGLISH VERSIONS, THE ENGLISH VERSION TAKES PRECEDENCE.

FARO Technologies Inc. Internal Control File Location:

X:\CONTROL\RECORDS\05MANUFA\PARTSPEC\7 Software\E959_SCENE_LT_5.0_Manual_EN.pdf